2007-04-24  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlw-shell.el (idlwave-shell-clear-all-bp):
	Don't re-query for each cleared BP.
	(idlwave-shell-clear-bp): Optionally skip BP query.
	(idlwave-shell-update-bp-overlays): Use set-window-margins instead
	of set-window-buffer, which incorrectly moves displayed region.

2007-04-23  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-bug-address): Update maintainer's address.
	* calc/*: Update maintainer's address.

2007-04-23  Richard Stallman  <rms@gnu.org>

	* simple.el (set-mark-command-repeat-pop): Doc fix.
	Put in `editing-basics' group.

2007-04-23  Chong Yidong  <cyd@stupidchicken.com>

	* info.el (Info-mouse-scroll-up, Info-mouse-scroll-down):
	New functions.
	(Info-mode-line-node-keymap): Bind mouse commands to
	Info-mouse-scroll-up/down instead of Info-scroll-up/down.

2007-04-23  Luc Teirlinck  <teirllm@auburn.edu>

	* locate.el (locate-local-prompt): New var.
	(locate-prompt-for-command): Doc fix.
	(locate-prompt-for-search-string): New function.
	(locate): New optional arg.  Make locate-local-prompt
	buffer-local.  Use locate-prompt-for-search-string.
	(locate-with-filter): New optional arg.
	Use locate-prompt-for-search-string.
	(locate-update): Bind locate-prompt-for-command.

2007-04-23  Glenn Morris  <rgm@gnu.org>

	* files.el (magic-mode-alist): `<!DOCTYPE HTML' in html-mode.

2007-04-23  Nick Roberts  <nickrob@snap.net.nz>

	* button.el (button): Inherit from link face on a tty.

2007-04-23  Glenn Morris  <rgm@gnu.org>

	* button.el (button): Use color for this face on a tty.

	* files.el (magic-mode-alist): Allow for carriage-returns in
	html-mode and sgml-mode entries.

2007-04-22  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/easy-mmode.el (define-globalized-minor-mode):
	Improve doc string of generated command.

	* subr.el (read-number): Catch errors.

	* hi-lock.el (hi-lock-file-patterns-policy): Doc fix.

2007-04-22  Chong Yidong  <cyd@stupidchicken.com>

	* image-dired.el: Rename from thumbnails.el.  All instances of
	"thumbnails" replaced with "image-dired".

	* dired.el (dired-mode-map): Rename "thumbnails" again, to
	"image-dired".

2007-04-22  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-kill-buffer-at-head, ido-delete-file-at-head):
	Don't use kill-line.

2007-04-22  Nick Roberts  <nickrob@snap.net.nz>

	* t-mouse.el (t-mouse-make-event): Pass on mev's more informative
	error message.

2007-04-22  Chong Yidong  <cyd@stupidchicken.com>

	* dired.el: Rename "tumme" to "thumbnails".

	* thumbnails.el: Rename from tumme.el.  All instances of "tumme"
	replaced with "thumbnails".

2007-04-22  Glenn Morris  <rgm@gnu.org>

	* hi-lock.el (hi-lock-file-patterns-policy): Make it a defcustom,
	and give it the risky-local-variable property.

	* textmodes/flyspell.el (flyspell-define-abbrev): Downcase abbrev
	before defining it.

2007-04-21  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/cc-mode.el (c-remove-any-local-eval-or-mode-variables):
	Use delete-region instead of kill-line.

2007-04-21  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-electric-slash): Replace wrong use of
	`kill-region' by `delete-region'.

2007-04-21  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/perl-mode.el (perl-indent-command): Use delete-region
	instead of kill-region.

	* progmodes/mantemp.el (mantemp-make-mantemps-region)
	(mantemp-insert-cxx-syntax, mantemp-sort-and-unique-lines)
	(mantemp-remove-memfuncs): Use delete-region instead of kill-word
	and kill-line.

	* progmodes/vhdl-mode.el (vhdl-template-type)
	(vhdl-template-record, vhdl-template-nature)
	(vhdl-template-configuration-spec, vhdl-template-component-inst)
	(vhdl-template-break, vhdl-regress-line, vhdl-electric-tab):
	Use delete-region instead of kill-word and kill-line.

2007-04-21  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* dired-x.el (dired-virtual-mode): Doc fix.

2007-04-21  Richard Stallman  <rms@gnu.org>

	* font-lock.el (font-lock-keywords-alist): Mark as risky.

	* subr.el (read-number): Doc fix.

	* simple.el (pop-to-mark-command): Display message "mark popped"
	if point does not move.
	(set-mark-command): Doc fix.

2007-04-21  Luc Teirlinck  <teirllm@auburn.edu>

	* locate.el: Revert 2006-09-09 and 2007-04-20 changes.
	(locate-local-filter, locate-local-search): New vars.
	(locate): Make variables local.
	(locate-update): Bind locate-buffer-name.  Call locate using
	locate-local-filter and locate-local-search.

2007-04-20  David Koppelman  <koppel@ece.lsu.edu>

	* hi-lock.el (hi-lock-file-patterns-policy): New var.
	(hi-lock-find-patterns): Use hi-lock-file-patterns-policy.
	(hi-lock-mode): Update docstring.

2007-04-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/fill.el (fill-move-to-break-point): Don't inhibit
	fill-nobreak-predicate when the break is past fill-column.

2007-04-20  Francesco Potort,Al(B  <pot@gnu.org>

	* locate.el (locate): Output from shell-command should go in the
	current buffer rather than *Shell Command Output*.

2007-04-20  Chong Yidong  <cyd@stupidchicken.com>

	* paren.el (show-paren-function): Fix last fix.

2007-04-19  Kevin Ryde  <user42@zip.com.au>

	* arc-mode.el (archive-find-type): lzh-exe for lzh self-extracting exe.
	(archive-lzh-summarize): Add optional start arg for where to start
	looking at the archive.
	(archive-lzh-exe-summarize, archive-lzh-exe-extract): New functions.

	* international/mule.el (auto-coding-alist): no-conversion for .exe
	and .EXE.

2007-04-19  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-in-function-trailer-p): Fix this: when a
	function return type contains "struct", "union", etc.
	c-end-of-defun goes too far forward.

2007-04-19  Chong Yidong  <cyd@stupidchicken.com>

	* paren.el (show-paren-function): Reset window-start to avoid
	recentering.

2007-04-19  Glenn Morris  <rgm@gnu.org>

	* calendar/todo-mode.el: Fix typo: "threshhold" -> "threshold".

2007-04-18  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-header-line-format): Add a custom
	:set function.
	(diary-list-entries): Only switch to diary-mode from
	default-major-mode (reverts 2007-03-21 change).  Otherwise, if in
	diary-mode set header-line-format, in case of any customization.

2007-04-18  Levin Du  <zslevin@gmail.com>  (tiny change)

	* calendar/parse-time.el (parse-time-string-chars): Check if CHAR
	is less than the length of parse-time-syntax.

2007-04-17  David Kastrup  <dak@gnu.org>

	* replace.el (query-replace-regexp-eval): Deprecate.

2007-04-17  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-beginning-of-defun): With -ve arg and
	point too close to EOB, leave point at EOB rather than last `}'.

2007-04-17  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-include-OPTkey)
	(bibtex-user-optional-fields, bibtex-entry-field-alist):
	Fix defcustom.

2007-04-17  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-dst.el (calendar-dst-find-startend): If YEAR cannot
	be encoded, fall back to current year.

2007-04-14  Kevin Ryde  <user42@zip.com.au>

	* arc-mode.el (archive-lzh-summarize): Only apply the "downcase if
	all upcase" rule to OS-ID 0 "generic".  Always downcase for OS-ID
	M "MSDOS".

2007-04-16  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/python.el (python-end-of-block): Avoid looping forever
	if python-next-statement fails.

2007-04-16  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-entry-field-alist): Use defcustom.

2007-04-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/perl-mode.el (perl-indent-level): Mark as safe local var.
	* progmodes/cperl-mode.el (cperl-indent-level): Likewise.

2007-04-15  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc-version): New function.
	(calc-trail-mode): Shorten the title.

2007-04-15  Chong Yidong  <cyd@stupidchicken.com>

	* mail/footnote.el (footnote-style): Clarify docstring to state
	that customizing this only applies to future footnotes.

2007-04-15  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-field-list): Use functionp.
	(bibtex-make-field): Check that INIT is a string. Use functionp.

2007-04-14  Glenn Morris  <rgm@gnu.org>

	* complete.el (PC-goto-end): New buffer-local variable.
	(PC-do-completion-end): Make buffer-local.
	(partial-completion-mode) <choose-completion-string-functions>:
	Do not go to the end of the minibuffer if PC-goto-end is non-nil.
	(PC-do-completion): New optional fourth argument GOTO-END.  Add a
	doc string.  Set PC-goto-end for choose-completion.
	(PC-lisp-complete-symbol): Pass non-nil GOTO-END arg to
	PC-do-completion.

	* textmodes/bibtex.el (bibtex-insert-kill): Pass non-nil NODELIM
	arg to bibtex-make-field.
	(bibtex-make-field): Add optional fourth arg NODELIM.
	Insert delimiters around INIT unless this arg is non-nil.

2007-04-14  Nick Roberts  <nickrob@snap.net.nz>

	* tmm.el (tmm-get-keybind): Use copy-sequence to ensure that the
	global map isn't modified.

2007-04-14  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-disp-window): Do not split small windows.
	Suggested by Jeff Miller <jmiller@cablespeed.com>.

2007-04-13  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-start): Revert 2007-03-25 change.

	* files.el: Ditto.

2007-04-13  Juanma Barranquero  <lekktu@gmail.com>

	* cus-edit.el (minibuffer, auto-save): Fix typos in docstrings.

	* term.el (term-buffer-maximum-size, term-exec, term-escape-char)
	(term-set-escape-char, term-termcap-format, term-get-old-input-default)
	(term-skip-prompt, term-send-string, term-send-region, term-pager-page)
	(term-pager-help): Fix typos in docstrings.

	* wid-edit.el (widget-documentation): Fix typo in docstring.

	* progmodes/ebnf2ps.el (ebnf-insert-style, ebnf-merge-style):
	Fix typos in error messages.

2007-04-13  Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/edebug.el (edebug-pop-to-buffer): Don't select
	window marked as dedicated.

	* mail/footnote.el (footnote-latin-string): New variable.
	(footnote-latin-regexp): Redefine as regexp alternative.
	(Footnote-latin): Use footnote-latin-string instead of
	footnote-latin-regexp.

2007-04-13  Glenn Morris  <rgm@gnu.org>

	* tmm.el (tmm-get-keybind): Use car-safe to avoid errors with
	inherited keymaps.

2007-04-12  Chong Yidong  <cyd@stupidchicken.com>

	* outline.el (outline-get-next-sibling): Clarify docstring.
	(outline-get-last-sibling): Handle case where we are at the first
	heading.  Clarify docstring.

2007-04-12  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-minor-mode-map): Make go button same
	length as stop button to lessen flicker.
	(jdb): Add gud-print.
	(gud-find-expr): Jdb prints the expression with the value, so
	don't insert it in the output.

2007-04-11  Jason Rumney  <jasonr@gnu.org>

	* dnd.el (dnd-get-local-file-name): Decode both upper and lower
	case hex.  Do not try to decode non-hex letters.

2007-04-11  Markus Triska  <markus.triska@gmx.at>

	* emacs-lisp/byte-opt.el (byte-optimize-backward-char)
	(byte-optimize-backward-word): Remove (move to bytecomp.el).
	(byte-optimize-form-code-walker): Evaluate pure function calls if
	possible.
	(byte-optimize-all-constp): New function.

	* emacs-lisp/bytecomp.el (byte-compile-char-before):
	Improve numeric argument case.
	(byte-compile-backward-char, byte-compile-backward-word):
	New functions, performing rewriting previously done in byte-opt.el.
	Fix their "Fixme" item (restriction to numeric arguments).

2007-04-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* desktop.el (desktop-save, desktop-create-buffer): Replace mapcar
	with dolist.
	(after-init-hook): Don't quote lambda.
	(desktop-first-buffer): Don't wrap it in eval-when-compile.
	(desktop-internal-v2s): Remove unused var `el'.
	(desktop-buffer-major-mode, desktop-buffer-locals): Move out of
	desktop-restore-file-buffer.
	(desktop-buffer-ok-count, desktop-buffer-fail-count): Move out of
	desktop-create-buffer.

2007-04-10  Chong Yidong  <cyd@stupidchicken.com>

	* woman.el (woman-decode-buffer): Postpone macro-set check...
	(woman-decode-region): ...to here.

2007-04-10  Thien-Thi Nguyen  <ttn@gnu.org>

	* startup.el (tty-handle-args): Use %S to log ARGS.

2007-04-10  Glenn Morris  <rgm@gnu.org>

	* dframe.el (dframe-frame-mode): Do not set auto-show-mode, since
	it is obsolete and has no effect.

	* dos-w32.el (default-buffer-file-type): Add defvar to quieten
	byte-compiler.

	* progmodes/cperl-mode.el (cperl-mode): Remove unnecessary call to
	obsolete function make-local-hook.

	* progmodes/dcl-mode.el (top-level): Move (require 'tempo) to
	start to quieten byte-compiler.

2007-04-10  Markus Triska  <markus.triska@gmx.at>

	* emacs-lisp/byte-opt.el (byte-optimize-char-before): Remove (move
	to bytecomp.el as byte-compile-char-before).
	* emacs-lisp/bytecomp.el (byte-compile-char-before):
	New function (modified replacement for byte-optimize-char-before in
	byte-opt.el).

2007-04-09  Alan Mackenzie  <acm@muc.de>

	* startup.el (inhibit-splash-screen): Emphatically state that it
	can't be set in site-start.el.

2007-04-09  Masatake YAMATO  <jet@gyve.org>

	* progmodes/cc-subword.el (c-capitalize-subword): More closely
	mimic the behavior of `capitalize-word'.  Do not move point with a
	negative argument.  Based on tiny change by Paul Curry.

2007-04-09  Paul Curry  <dashteacup@gmail.com>  (tiny change)

	* progmodes/cc-subword.el (c-downcase-subword, c-upcase-subword):
	Don't move point if ARG is negative.

2007-04-09  Alan Mackenzie  <acm@muc.de>

	Changes to make `narrow-to-defun' and `mark-defun' work properly
	in CC Mode:

	* progmodes/cc-defs.el (c-beginning-of-defun-1):
	* progmodes/cc-cmds.el (c-beginning-of-defun, c-end-of-defun):
	Bind beginning/end-of-defun-function to nil around calls to
	beginning/end-of-defun.

	* progmodes/cc-langs.el (beginning-of-defun-function)
	(end-of-defun-function): New c-lang-setvar's.

	* progmodes/cc-awk.el (c-awk-beginning-of-defun): Add "(or arg
	(setq arg 1))" to enable non-interactive call.

2007-04-09  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (set-mark-command): Doc fix.

2007-04-09  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gdb): Restore existing session if user
	tries to start a second one in graphical mode.

2007-04-08  Martin Rudalics  <rudalics@gmx.at>

	* cus-start.el <scroll-preserve-screen-position>: Add choices.

2007-04-08  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* term/xterm.el (terminal-init-xterm): Fix key definitions.
	Add binding for C-M-SPC.

2007-04-08  Richard Stallman  <rms@gnu.org>

	* pcomplete.el (pcomplete-read-event): One single definition,
	and not a defsubst.

2007-04-08  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/cc-cmds.el (c-end-of-defun): Tidy up, to eliminate
	byte-compiler warning "value unused".

2007-04-08  Andreas Schwab  <schwab@suse.de>

	* term/xterm.el (terminal-init-xterm): Add bindings for keypad keys.

2007-04-07  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (diary-font-lock-keywords, diary-live-p):
	Autoload these functions.
	(diary-date-forms): Add a custom :set form.

	* calendar/diary-lib.el (diary-set-maybe-redraw): Move definition
	before first use.
	(diary-font-lock-keywords): New function with old code for
	initialization of variable of same name.

2007-04-07  David Hansen  <david.hansen@gmx.net>  (tiny change)

	* progmodes/cc-cmds.el (c-electric-paren): Fix space-before-funcall
	clean-up: only insert space when on identifier, etc.

2007-04-07  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/grep.el (grep-find-use-xargs): Rewrite docstring.

	* net/tls.el (open-tls-stream): Properly handle case where there
	is no associated buffer.

2007-04-07  Glenn Morris  <rgm@gnu.org>

	* ffap.el (ffap-file-at-point): Lower the priority of the
	ffap-ftp-sans-slash-regexp check.

2007-04-06  Alan Mackenzie  <acm@muc.de>

	Fix fontification of labels, and other things with ":".

	* progmodes/cc-engine.el (c-forward-label): The function now
	returns 'goto-target, 'qt-2kwds-colon, 'qt-1kwd-colon, as well as
	the former t.

	* progmodes/cc-fonts.el (c-font-lock-declarations): Interpret the
	new return code from c-forward-label, fontifying tokens properly.
	Add some general comments throughout the file.

2007-04-06  Chong Yidong  <cyd@stupidchicken.com>

	* textmodes/flyspell.el (flyspell-duplicate, flyspell-incorrect):
	Revert 2006-01-27 change.

	* diff-mode.el (diff-mode): Revert 2007-03-04 change.

	* menu-bar.el (menu-bar-tools-menu): Revert 2003-07-25 change.

	* desktop.el (desktop-create-buffer, desktop-save):
	Revert 2004-11-12 change for lack of copyright papers.

	* dired-x.el (dired-guess-shell-case-fold-search): Delete var.
	(dired-guess-default): Respect case.

	* isearch.el (isearch-forward): Revert 1998-08-26 doc change.

	* emacs-lisp/byte-opt.el (byte-optimize-pure-func): Remove function;
	was originally checked in as byte-optimize-concat on 1997-11-02.

	* mail/sendmail.el (mail-text, mail-mode): Revert extant pieces of
	1995-05-19 doc changes.

2007-04-06  Kim F. Storm  <storm@cua.dk>

	* loadhist.el (read-feature): Reimplement.  New optional arg LOADED-P.
	(unload-feature): Update interactive spec accordingly.

	* progmodes/grep.el (grep-program): Remove commentary about zgrep.

2007-04-06  John Paul Wallington  <jpw@pobox.com>

	* subr.el (with-case-table): Use `make-symbol' to avoid variable
	capture.  Restore the table in the same buffer.

	* font-lock.el (lisp-font-lock-keywords-2): Add `with-case-table'.

2007-04-05  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/byte-opt.el (byte-optimize-form-code-walker):
	Print entire form.

2007-04-05  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (breakpoint-disabled): Tweak face (again)
	for low-color displays.

2007-04-05  Glenn Morris  <rgm@gnu.org>

	* play/5x5.el, play/animate.el, play/dissociate.el, play/doctor.el,
	* play/gomoku.el, play/landmark.el, play/tetris.el, play/zone.el:
	Seed random number generator on loading.

	* emacs-lisp/authors.el (top-level): Provide self.

	* play/animate.el (top-level): Provide self.

2007-04-04  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-vars.el (c-special-indent-hook): Amend doc-string
	to mention c-syntactic-indentation.

2007-04-04  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (with-case-table): New macro.

	* international/mule.el (ascii-case-table): New var.

	* mail/smtpmail.el (smtpmail-via-smtp): Use ascii-case-table when
	downcasing.

2007-04-03  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-minor-mode-map): Simplify.

	* t-mouse.el (t-mouse-make-event-element): Don't use the left edge
	of the window if we're outside it e.g menu-bar.

	* xt-mouse.el (xterm-mouse-event): Don't use the left edge of the
	window if we're outside it e.g menu-bar.

2007-04-03  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (rmail-convert-to-babyl-format): Don't try to
	decode base-64 encoded body if its content-type is something other
	than text/* or message/*.

2007-04-03  Juanma Barranquero  <lekktu@gmail.com>

	* simple.el (activate-mark-hook): Fix typo in docstring.

2007-04-03  Nick Roberts  <nickrob@snap.net.nz>

	* tmm.el (tmm-c-prompt): Initialize.
	(tmm-menubar): Deal with extended menu-items at top level.
	(tmm-get-keybind): Handle bindings redefined/undefined locally.
	(tmm-prompt): Handle visibility of top level menu-items.

	* progmodes/gud.el (gud-menu-map): Simplify.
	(gud-minor-mode-map): Add tool-bar like bindings to the text mode
	menubar.

2007-04-02  Chong Yidong  <cyd@stupidchicken.com>

	* mail/smtpmail.el (smtpmail-via-smtp): Revert last change.

	* comint.el (comint-send-input): Widen the buffer first.

	* info.el (Info-fontify-maximum-menu-size): Revert to 100000.

2007-04-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp-mode.el (lisp-fill-paragraph): Only obey
	emacs-lisp-docstring-fill-column in emacs-lisp-mode.

	* newcomment.el (comment-search-forward): Discard comment starters
	before point.

2007-04-01  Guanpeng Xu  <herberteuler@hotmail.com>

	* mouse.el (mouse-set-secondary): Update mouse-secondary-overlay.

2007-04-01  Chong Yidong  <cyd@stupidchicken.com>

	* mail/smtpmail.el (smtpmail-via-smtp): Use standard case table
	when downcasing.

	* button.el (previous-button): Rewrite to account for adjacent buttons.

2007-04-01  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlwave.el (idlwave-auto-fill):
	Revert paragraph-separate change.

	* progmodes/idlw-shell.el (idlwave-shell-break-in):
	Simplify module calc.
	(idlwave-shell-set-bp-in-module): Compute module.

2007-03-31  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/timer.el (run-at-time): Doc fix.

	* emacs-lisp/warnings.el (display-warning): If we create the
	buffer displaying the warning, disable undo there.

2007-03-31  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-register-file-name-handler)
	(tramp-register-completion-file-name-handler): New defsubst,
	derived from `tramp-register-file-name-handlers'.  The split is
	necessary because Tramp's file name handlers must be registered at
	different startup places.

2007-03-31  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/hideshow.el (turn-off-hideshow): New function.
	(hs-minor-mode): Use it instead of a lambda expression in
	change-major-mode-hook.

2007-03-31  David Kastrup  <dak@gnu.org>

	* woman.el (woman-Cyg-to-Win): Don't convert cons cells
	corresponding to MANPATH_MAP entries.
	(woman-man.conf-path, woman-parse-man.conf): Doc fix.
	(woman-parse-man.conf): Use more discriminating man.conf name.
	(woman-parse-man.conf): Parse MANPATH_MAP entries.
	(woman-manpath): Doc fix and type fix.
	(woman-cached-data): Check for MANPATH_MAP entries.
	(woman-expand-directory-path): Treat MANPATH_MAP entries.

2007-03-31  Stuart Herring  <herring@lanl.gov>

	* emacs-lisp/sregex.el (sregexq): Doc fix.

2007-03-31  Markus Triska  <markus.triska@gmx.at>

	* progmodes/flymake.el (flymake-err-line-patterns): Doc fix.

2007-03-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* info.el (info-tool-bar-map): Use "exit" for Info-exit.
	Move to the right.

2007-03-30  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-forward-to-nth-EOF-}): Fix EOB bug.

2007-03-30  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--insert-new-node): Take additional arg DLL.
	Use it, passed in explicitly, instead of from the dynamic binding.
	(ewoc-create, ewoc-enter-before): Update to use new call sequence.

2007-03-30  Juanma Barranquero  <lekktu@gmail.com>

	* simple.el (blink-matching-open): When in minibuffer, don't
	search for a match inside the prompt.

2007-03-30  Nick Roberts  <nickrob@snap.net.nz>

	* tmm.el (tmm-menubar): Select the right menu item with the mouse.
	(tmm-prompt): Don't make the mouse user select the first menu
	item twice.

2007-03-30  Chong Yidong  <cyd@stupidchicken.com>

	* eshell/esh-proc.el (eshell/kill): Tweak regexp to recognize
	SIGUSR1 and SIGUSR2.

2007-03-29  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-read-internal): When reading file or dir, only override
	minibuffer-local-filename-completion-map, otherwise only override
	minibuffer-local-completion-map.

2007-03-29  Glenn Morris  <rgm@gnu.org>

	* complete.el (partial-completion-mode): Set PC-do-completion-end
	to nil after use.
	(PC-lisp-complete-symbol): Create and use a marker at `end',
	rather than using point-marker.

2007-03-28  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (next-error-highlight): Doc fix.
	(compose-mail): Revert 2007-03-19 change.

2007-03-28  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/edebug.el (edebug-display): Don't go to
	edebug-outside-buffer if it is dead.

2007-03-28  Juanma Barranquero  <lekktu@gmail.com>

	* view.el (view-mode): Fix typos in docstring.

2007-03-28  Stephen Berman  <Stephen.Berman@gmx.net>

	* recentf.el (recentf-save-file): Add a custom :set function.

2007-03-28  Glenn Morris  <rgm@gnu.org>

	* complete.el (PC-do-completion-end): New variable.
	(partial-completion-mode) <choose-completion-string-functions>:
	Use PC-do-completion-end in the non-minibuffer case to replace the
	correct amount of text.
	(PC-do-completion): Set PC-do-completion-end for c-c-s-f.
	(PC-lisp-complete-symbol): Give marker the after-insertion type,
	to deal with improvements inserted after point.

2007-03-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* button.el (make-text-button): Add explicit `button' property.
	(default-button): Don't put a `button' property on it.

	* progmodes/python.el (python-mode): Skip comments when parsing.

	* vc-arch.el (vc-with-current-file-buffer): New macro.
	(vc-arch-file-source-p): Use it to avoid infloop.

2007-03-28  David Hansen  <david.hansen@gmx.net>  (tiny change)

	* emacs-lisp/lisp.el (lisp-complete-symbol):
	Fix call to get-buffer-window to find windows in other frames.

2007-03-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* comint.el (comint-proc-query, comint-dynamic-list-completions):
	Fix calls to get-buffer-window to find windows in other frames.
	Reported by David Hansen <david.hansen@gmx.net>.

2007-03-27   Kevin Ryde  <user42@zip.com.au>

	* info.el (Info-display-images-node): On a text-only terminal,
	show the "text" or "alt" parts of the image blobs.

2007-03-27  Glenn Morris  <rgm@gnu.org>

	* complete.el (PC-do-completion): Compute completion-base-size in
	the non-filename case, rather than setting to nil.
	(PC-lisp-complete-end): New variable.
	(PC-lisp-complete-symbol): Use PC-lisp-complete-end to store the
	original end in a series of consecutive invocations.

	* calendar/calendar.el (calendar-mode-hook): Declare it.

	* calendar/diary-lib.el (diary-live-p): Do not check for
	diary-selective-display.

2007-03-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* replace.el (occur-next-error): *Occur* might not be displayed in the
	selected frame.  Reported by David Hansen <david.hansen@gmx.net>.

2007-03-26  Richard Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-large-region):
	Use ispell-call-process-region.

2007-03-26  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* emacs-lisp/bytecomp.el (byte-compile-file-form-defmumble):
	Use prin1 instead of princ.

2007-03-25  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (face-set-after-frame-default): Revert 2007-03-10 change.
	Merge in X resources before global face.

	* progmodes/compile.el (compilation-start): Save compilation-directory
	rather than default-directory as local var.
	(compilation-directory): Mark as safe local var.

	* files.el: Don't mark default-directory as a safe local var.

2007-03-25  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-before-change): Fix BOB bug.
	* progmodes/cc-engine.el: Fix typo.

2007-03-25  Juri Linkov  <juri@jurta.org>

	* compare-w.el (compare-windows): Rename customization group
	`compare-w' to `compare-windows'.
	(compare-windows-whitespace, compare-ignore-whitespace)
	(compare-ignore-case, compare-windows-sync)
	(compare-windows-sync-string-size, compare-windows-recenter)
	(compare-windows-highlight, compare-windows): Change group name in
	the `group' tag from `compare-w' to `compare-windows'.
	(compare-windows-sync): Add option `nil' for no sync.  Doc fix.

2007-03-24  Markus Triska  <markus.triska@gmx.at>

	* expand.el: Change example to always enable abbrev-mode,
	and remove redundant `function'.
	(expand-abbrev-hook): Add autoload cookie.

2007-03-24  Ryan Yeske  <rcyeske@gmail.com>

	* emacs-lisp/testcover.el (testcover-start, testcover-end)
	(testcover-mark-all, testcover-unmark-all): Add prompts to
	interactive specs.

2007-03-24  Jason Rumney  <jasonr@gnu.org>

	* autorevert.el (find-file-hook, auto-revert-tail-mode):
	Use file size in bytes for auto-revert-tail-pos not characters.

2007-03-24  Thien-Thi Nguyen  <ttn@gnu.org>

	* vc-rcs.el (vc-rcs-annotate-command):
	Set text property :vc-annotate-prefix on the annotation text.
	(vc-rcs-annotate-time): Instead of searching for ": ",
	search for end of text propertized with :vc-annotate-prefix.

2007-03-24  Martin Rudalics  <rudalics@gmx.at>

	* whitespace.el (top level): Remove calls putting
	permanent-local nil property since these are no-ops.

	* man.el (Man-support-local-filenames): Assure that
	default-directory exists when doing call-process.

2007-03-23  David Vazquez  <xeos00@gmail.com>  (tiny change)

	* progmodes/m4-mode.el (m4-m4-buffer, m4-m4-region):
	Fix omission bug: Use m4-program-options to construct shell command.

2007-03-23  David Kastrup  <dak@gnu.org>

	* progmodes/cc-mode.el (c-make-emacs-variables-local):
	Use `mapcar' rather than `mapcan' to silence compiler warning.

2007-03-22  Ralf Angeli  <angeli@caeruleus.net>

	* textmodes/reftex.el, textmodes/reftex-vars.el,
	* textmodes/reftex-toc.el, textmodes/reftex-sel.el,
	* textmodes/reftex-ref.el, textmodes/reftex-parse.el,
	* textmodes/reftex-index.el, textmodes/reftex-global.el,
	* textmodes/reftex-dcr.el, textmodes/reftex-cite.el,
	* textmodes/reftex-auc.el: Add maintainer address.

2007-03-22  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-agenda-mode, org-table-edit-formulas):
	Make sure that `global-font-lock-mode' does not turn on font-lock
	in these buffers.

2007-03-21  Kim F. Storm  <storm@cua.dk>

	* xt-mouse.el (xt-mouse-epoch): New variable.
	(xterm-mouse-event): Use float-time.

2007-03-21  Nick Roberts  <nickrob@snap.net.nz>

	* xt-mouse.el (xterm-mouse-event): Compute a timestamp using
	current-time.

2007-03-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* complete.el (read-file-name-internal): Don't add the final > if the
	completion is not finished (re-application of this patch, which was
	accidentally undone by Eli).

2007-03-21  Chong Yidong  <cyd@stupidchicken.com>

	* emulation/viper.el (viper-non-hook-settings): Handle mouse
	clicks in describe-key and describe-key-briefly advice a little better.

2007-03-21  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-process-filter): Cancel any pending isearch.

2007-03-21  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar-version): Increase to 0.15.
	(icalendar--get-unfolded-buffer): Define actual arguments rather
	than just using &rest.  Check replace-in-string is fbound.
	(icalendar-import-buffer): Doc fix.
	(icalendar--convert-ical-to-diary): Set diary-file.
	Check diary-file before inserting final newline.
	(icalendar--add-diary-entry): Return diary-file.

2007-03-21  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (diary-set-maybe-redraw): Autoload it.
	(diary-display-hook): Add custom :set function.

	* calendar/diary-lib.el (diary-header-line-flag): Doc fix.
	Add custom :set function.
	(diary-header-line-format): Doc fix.
	(diary-set-maybe-redraw): New function.
	(number-of-diary-entries): Change :set to use diary-set-maybe-redraw.
	(diary-list-entries): Always run diary-mode.

2007-03-20  Kenichi Handa  <handa@m17n.org>

	* international/quail.el (quail-setup-completion-buf): Make the
	completion buffer read-only.
	(quail-completion): Adjusted for the above change.  Leave the
	modified flag nil.

2007-03-20  David Kastrup  <dak@gnu.org>

	* files.el (magic-mode-alist): Require literal "%!PS" string for
	magic postscript file detection.

2007-03-20  Richard Stallman  <rms@gnu.org>

	* textmodes/ispell.el (ispell-call-process): New function.
	Defends against bad `default-directory.'
	(ispell-check-version, ispell-find-aspell-dictionaries)
	(ispell-get-aspell-config-value, lookup-words): Call it.
	(ispell-call-process-region): New function.
	(ispell-send-string): Call it.

2007-03-20  Andreas Schwab  <schwab@suse.de>

	* Makefile.in (custom-deps): Depend on $(lisp)/subdirs.el.
	(finder-data): Likewise.
	(autoloads): Likewise.

2007-03-20  Martin Rudalics  <rudalics@gmx.at>

	* files.el (basic-save-buffer): Do not set visited filename when
	the corresponding directory does not exist or the specified
	filename is that of an existing directory.

2007-03-20  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-live-p): New function.
	(number-of-diary-entries): Add a :set function to redisplay diary
	when necessary.

2007-03-19  Nick Roberts  <nickrob@snap.net.nz>

	* t-mouse.el (t-mouse-make-event-element): Use timestamp output
	from client program, mev, to compute mouse event.

2007-03-19  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (momentary): Face removed; unused due to reversion of
	2007-01-04 changes by Kevin Rodgers.

	* mouse.el (mouse-drag-track): Remove spurious input-pending-p test.
	Suggested by Johan Bockg,Ae(Brd.

2007-03-19  Martin Rudalics  <rudalics@gmx.at>

	* font-lock.el (lisp-font-lock-keywords-1):
	Highlight define-globalized-minor-mode as a keyword.

2007-03-19  Kim F. Storm  <storm@cua.dk>

	* calc/calc-forms.el (math-std-daylight-savings)
	(math-std-daylight-savings-old): Doc fix.

2007-03-19  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/python.el (python-default-template): Doc fix.
	(python-buffer): Fix typo in docstring.

	* isearchb.el (isearchb-follow-char):
	* subr.el (def-edebug-spec): Fix typo in docstring.

2007-03-19  Richard Stallman  <rms@gnu.org>

	* files.el (default-directory): Mark safe.
	(basic-save-buffer-2): Put proper dir name in error message.

	* simple.el (compose-mail): Run switch-function after
	setting up the mail buffer.

	* startup.el (inhibit-splash-screen, initial-major-mode): Doc fixes.

2007-03-18  Jay Belanger  <belanger@truman.edu>

	* calc/calc-forms.el (math-parse-date): Fix a regular expression.
	(math-std-daylight-savings-new): Rename from
	`math-std-daylight-savings'.
	(math-std-daylight-savings-old): Rename from old value of
	`math-std-daylight-savings'.
	(math-std-daylight-savings): Use `math-std-daylight-savings-new' or
	`math-std-daylight-savings-old' depending on the year.

2007-03-18  Detlev Zundel  <dzu@gnu.org>

	* emacs-lisp/re-builder.el (reb-update-overlays): Do not mark
	zero-width regexps as invalid but rather at least count them correctly.

2007-03-18  Thien-Thi Nguyen  <ttn@gnu.org>

	* net/tls.el (open-tls-stream): In handshake-waiting loop,
	don't wait more if there is output available to process.

2007-03-18  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/compile.el (compilation-find-file): Revert change
	from 2006-07-18 to allow completion of directory names.
	Reported by John Carter <john.carter@tait.co.nz>.

2007-03-18  Kim F. Storm  <storm@cua.dk>

	* subr.el (when, unless): Doc fix.

2007-03-17  Thien-Thi Nguyen  <ttn@gnu.org>

	* net/tls.el (tls-program): Doc fix.

2007-03-17  Denis Bueno  <dbueno@gmail.com>  (tiny change)

	* autorevert.el (auto-revert-tail-handler):
	Call after-revert-hook.

2007-03-17  Ryan Yeske  <rcyeske@gmail.com>

	* simple.el (switch-to-completions): No error if search for \n\n fails.

2007-03-17  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-1):
	Respect `inhibit-line-move-field-capture' property.

2007-03-13  Chong Yidong  <cyd@stupidchicken.com>

	* comint.el (comint-arguments): Mark backslash-escaped chars.
	(comint-delim-arg): Don't treat them as delimiters.

2007-03-12  Kim F. Storm  <storm@cua.dk>
	* ido.el (ido-init-completion-maps): Remap delete-backward-char.

2007-03-12  Lawrence Mitchell  <wence@gmx.li>  (tiny change)

	* tempo.el (tempo-insert): Deal with 'r> if it appears
	specified with a prompt argument.

2007-03-12  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-set-font-lock-defaults):
	Handle narrow table columns correctly.

2007-03-12  Mark A. Hershberger  <mah@everybody.org>

	* xml.el (xml-parse-tag, xml-parse-string, xml-parse-attlist)
	(xml-parse-dtd, xml-parse-elem-type, xml-substitute-special):
	Return to use of the -no-properties variants.  There was
	consensus on emacs-devel that the speed of these variants was
	prefered since we are usually parsing files (from the internet
	or on disk) instead of XML created in Emacs.

	* eshell/esh-mode.el (eshell-handle-ansi-color): New function.
	Add customize option.

2007-03-12  Glenn Morris  <rgm@gnu.org>

	* calc/calc-forms.el (math-std-daylight-savings): Switch to new
	North American rule.  Replace "daylight savings" with "daylight
	saving" in doc.

	* calendar/cal-china.el, cal-dst.el, calendar.el, diary-lib.el:
	* calendar/lunar.el, solar.el: Replace "daylight savings" with
	"daylight saving" in text.

	* woman.el (woman-change-fonts): Tweak previous change by using
	woman-request-regexp rather than "^\\.".

	* startup.el (command-line-1): Make insertion of
	initial-scratch-message not depend on scratch being selected.

2007-03-11  Juri Linkov  <juri@jurta.org>

	* replace.el (match): Use yellow background on light-bg terminals.

2007-03-11  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-warning-prefix):
	Correctly compute line number.

2007-03-11  Guanpeng Xu  <herberteuler@hotmail.com>

	* type-break.el (type-break-get-previous-count):
	Repeat previous change here.

2007-03-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/grep.el (grep-find-ignored-directories):
	Add .git and .bzr to list.

2007-03-11  Andreas Schwab  <schwab@suse.de>

	* diff-mode.el (diff-apply-hunk): Use proper format string for error.

2007-03-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail/emacsbug.el (report-emacs-bug): Don't hard code the "X" name.

2007-03-10  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (face-set-after-frame-default): Recalculate face
	customizations after applying X resources.

2007-03-10  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-timeout-seconds): New variable.
	(rcirc-keepalive-seconds): Remove variable.
	(rcirc-server-name, rcirc-timeout-timer, rcirc-connecting)
	(rcirc-process, rcirc-user-disconnect): New variables.
	(rcirc-connect): Initalize new variables.
	(rcirc-keepalive): Don't send keepalive pings before connection
	is completed.
	(rcirc-sentinel): Do mark all channels with activity when
	connection is dropped.  Run hook with process buffer local.
	(rcirc-reschedule-timeout, rcirc-delete-process): New functions.
	(rcirc-buffer-process): Return value of rcirc-process if
	rcirc-server-buffer is nil.
	(rcirc-server-name): Return the reported server name.
	(rcirc-update-prompt): Simplify computation of the server name.
	(rcirc-format-response-string): Likewise.
	(rcirc-handler-001): Mark server as connected, record the reported
	server name, and schedule a timeout.
	(rcirc-track-nick): Add a spec for the tty class.
	(rcirc-user-non-nick): Remove function.
	(rcirc-nick-prefix-chars): Add variable.
	(rcirc-user-nick): Use above variable.

2007-03-10  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* icomplete.el (icomplete-tidy, icomplete-exhibit):
	Bind deactivate-mark to nil.

2007-03-10  Martin Rudalics  <rudalics@gmx.at>

	* complete.el (PC-do-completion): Bind dirlength to nil to avoid
	that buffer contents get erased during completion.

2007-03-10  Glenn Morris  <rgm@gnu.org>

	* woman.el (woman-change-fonts): Add a hack to deal with
	font-escape followed by "." at start of a line.
	(woman2-IP): Add a hack to deal with consecutive requests.
	(woman2-tagged-paragraph): Extend existing hack to handle "sp".

2007-03-10  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-before-change): Wrap in save-match-data.

2007-03-09  Richard Stallman  <rms@gnu.org>

	* abbrev.el (abbrev): Add `provide'.

2007-03-09  Thien-Thi Nguyen  <ttn@gnu.org>

	* net/ange-ftp.el (ange-ftp-try-passive-mode): Doc fix.

2007-03-09  Martin Rudalics  <rudalics@gmx.at>

	* complete.el (PC-try-completion): New function.
	(PC-do-completion, read-file-name-internal): Use it instead of
	try-completion.

2007-03-08  Alan Mackenzie  <acm@muc.de>

	Remove stale tokens from `c-found-types' cache.

	* progmodes/cc-mode.el (c-unfind-enclosing-token)
	(c-unfind-coalesced-tokens, c-before-change): New functions.
	(c-maybe-stale-found-type): New variable.

	* progmodes/cc-engine.el (c-partial-ws-p, c-unfind-type)
	(c-trim-found-types): New functions.

2007-03-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-remove-props): Don't mark the buffer modified.
	(debug-ignored-errors): Add entry from smerge-match-conflict.

2007-03-08  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlw-help.el (idlwave-do-context-help1): Don't visit
	special help topics for keywords.
	(idlwave-help-assistant-command): Include ".exe" for ms-dos
	etc. Assistant command.

2007-03-08  Chong Yidong  <cyd@stupidchicken.com>

	* replace.el (occur-engine): Move buffer-undo-list binding...
	(occur-1): ...to here.

	* complete.el (PC-bindings): Rebind M-TAB in read-expression-map.

	* simple.el (minibuffer-completing-symbol): New var.
	(eval-expression): Use it.
	(completion-setup-function): Don't bind completion-base-size when
	completing a symbol in the minibuffer.

2007-03-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gdb): Pop up current GUD buffer if user
	tries to start a second session in graphical mode.

2007-03-07  Miles Bader  <miles@gnu.org>

	* international/isearch-x.el
	(isearch-process-search-multibyte-characters):
	Strip text-properties from PROMPT to avoid an error from read-string.

2007-03-07  Kim F. Storm  <storm@cua.dk>

	* complete.el (PC-bindings): Remap lisp-complete-symbol to
	PC-lisp-complete-symbol instead of binding M-TAB in global-map.

2007-03-07  Micha,Ak(Bl Cadilhac  <michael@cadilhac.name>

	* complete.el (PC-do-completion): Delete duplicates in the list of
	possible completions.

2007-03-07  Glenn Morris  <rgm@gnu.org>

	* ses.el (ses-mode): Doc fix.

2007-03-06  Kim F. Storm  <storm@cua.dk>

	* isearch.el (isearch-message-prefix): Undo 2007-03-01 change.

2007-03-06  Kenichi Handa  <handa@m17n.org>

	* term/x-win.el (x-select-utf8-or-ctext): Improve the strategy.

2007-03-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (completion-setup-function): Improve last fix so it doesn't
	set it to a relative directory name either.

2007-03-05  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Replace some (defvar VAR) by (defvar VAR nil).

2007-03-05  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/re-builder.el (reb-re-syntax): Fix custom type.

	* files.el (find-file-noselect): No error if file no longer exists.
	Display a message and avoid other questions.

2007-03-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcomplete.el (pcomplete-show-completions): Improve last change, so
	as not to use an invisible window and to create a window if none exist.

	* progmodes/python.el (python-send-command): Restart proc if necessary.
	(python-proc): Simplify.

2007-03-05  David Hansen  <david.hansen@gmx.net>  (tiny change)

	* pcomplete.el (pcomplete-show-completions): Search all frames for
	completions buffer.

2007-03-05  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (customize-save-variable): Clear customized-value
	property (saved values are now put in theme-value property).
	(customize-set-variable): Doc fix.

	* complete.el (PC-do-completion): If completion-ignore-case is
	non-nil, replace field with completion string before exiting.

2007-03-05  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-make-temp-file): New parameter FILENAME.
	Append its extension to the resulting temporary file name.
	(tramp-handle-file-local-copy, tramp-handle-write-region): Apply it.

	* net/tramp-smb.el (tramp-smb-handle-file-local-copy)
	(tramp-smb-handle-write-region): Apply it.

2007-03-05  Alin C. Soare  <alinsoar@voila.fr>  (tiny change)

	* emacs-lisp/lisp-mode.el (calculate-lisp-indent):
	Redo previous change.

2007-03-04  Kevin Rodgers  <kevin.d.rodgers@gmail.com>  (tiny change)

	* diff-mode.el (diff-mode): Doc fix.

2007-03-05  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Set category `l' (latin)
	for more characters.

2007-03-04  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/authors.el (authors-aliases): Add alias.

2007-03-04  Glenn Morris  <rgm@gnu.org>

	* progmodes/hideshow.el (hs-minor-mode): Turn mode off and show
	all when switching major mode.
	(hs-minor-mode, hs-c-start-regexp, hs-block-start-regexp)
	(hs-block-start-mdata-select, hs-block-end-regexp)
	(hs-forward-sexp-func, hs-adjust-block-beginning):
	Do not make these variables permanent-local.

2007-03-04  Richard Stallman  <rms@gnu.org>

	* progmodes/cperl-mode.el (cperl-mode):
	Modify cperl-compilation-error-regexp-alist by appending.

	* emacs-lisp/edebug.el (edebug-kill-buffer): New function.
	(edebug-mode): Add the hook.
	(edebug-recursive-edit): Remove the hook on exiting.

	* type-break.el (type-break-get-previous-time):
	Handle end-of-file errors specially
	so they don't get reported wrong in .emacs.

	* startup.el (fancy-splash-text): Clarify text.

	* simple.el (beginning-of-buffer, end-of-buffer):
	Avoid treating plain C-u like numeric arg.

	* simple.el (completion-setup-function): Don't set
	default-directory to nil.

	* shell.el (shell-dirstack-query): Doc fix.

	* mouse.el (mouse-drag-mode-line-1, mouse-drag-vertical-line):
	Don't select the window -- pass it to primitives instead.

	* faces.el (minibuffer-prompt): Use medium blue by default.

2007-03-04  David Kastrup  <dak@gnu.org>

	* jit-lock.el (jit-lock-stealth-time): Change default to nil.
	Preserve 16 as default value for "seconds" when customizing.

2007-03-04  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-self-insert-command)
	(orgtbl-self-insert-command, org-delete-char)
	(org-delete-backward-char): Set the `flyspell-delayed' property.

2007-03-03  Chong Yidong  <cyd@stupidchicken.com>

	* international/mule.el (find-auto-coding): Don't search for
	line-ending characters past the end of the tail.

2007-03-03  Christopher Allan Webber  <cwebber@dustycloud.org>  (tiny change)

	* play/gamegrid.el (gamegrid-add-score-with-update-game-score-1):
	Jump to the line where new score has been uploaded.

	* play/tetris.el (tetris-move-bottom, tetris-move-left)
	(tetris-move-right, tetris-rotate-prev, tetris-rotate-next):
	Do nothing when the game is paused.

2007-03-03  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-set-tags): Prevent slipping of point
	during completion.

2007-03-01  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* isearch.el (isearch-message-prefix):
	Use minibuffer-prompt-properties.

2007-03-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Replace (defvar VAR nil) by (defvar VAR).
	(ps-setup): Print which Emacsen is running ps-print package.

2007-03-01  Stuart Herring  <herring@lanl.gov>

	* files.el (set-auto-mode-0): Use `indirect-function'.
	(hack-one-local-variable): Don't reapply current major mode.

2007-03-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-quote-syntax): Don't bother with
	syntax-ppss-context.
	(python-fill-paragraph): Make sure that fenced-string delimiters that
	stand on their own line stay there.

2007-03-01  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* replace.el (perform-replace): Propertize message.

2007-03-01  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-prepare-agenda-buffers): Also check for
	invisible heading.

2007-02-28  Chong Yidong  <cyd@stupidchicken.com>

	* net/tramp.el (tramp-file-name-handler): Revert last change.

2007-02-28  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-mouse-until, gdb-mouse-jump):
	Correct doc strings.

2007-02-28  Chong Yidong  <cyd@stupidchicken.com>

	* replace.el (perform-replace): Undo forward-char immediately if
	non-adjacent search fails.

2007-02-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* version.el (emacs-major-version, emacs-minor-version):
	string-to-int -> string-to-number.

2007-02-28  Juanma Barranquero  <lekktu@gmail.com>

	* help.el (where-is): Fail gracefully when not passed a command.

2007-02-28  Stuart Herring  <herring@lanl.gov>

	* find-lisp.el (find-lisp-default-directory-predicate):
	Fix bug: Do symlink check on expanded filename.

2007-02-28  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-set-tags, org-table-get-field): Avoid case
	changes during replacement.
	(org-agenda-mode-map): Add default binding for `org-agenda-archive'.

2007-02-28  Lars Hansen  <larsh@soem.dk>

	* desktop.el: Delete header line listing me as maintainer.

2007-02-28  Glenn Morris  <rgm@gnu.org>

	* tutorial.el (tutorial--describe-nonstandard-key): Tweak text in
	the menus case.

2007-02-28  Chong Yidong  <cyd@stupidchicken.com>

	* net/tramp.el (tramp-file-name-handler): Inhibit modification
	hooks to avoid confusion when combining after-change calls.

2007-02-27  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-encrypt-string): Remove inhibition of gpg-agent,
	now that pgg-gpg-process-region correctly honors passed-in passphrase.
	(allout-distinctive-bullets-string): Add info about bullet conventions.
	(allout-mode): Add info about distinctive vs plain bullets.

2007-02-27  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-archive-subtree): Quote variable name.
	(org-agenda-get-todos): Make sure skip properties are checked correctly.

2007-02-26  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-bashdb-history, gud-bashdb-marker-filter)
	(gud-bashdb-command-name, bashdb): Remove.
	(gud, gud-menu-map): Remove references to bash/bashdb.

2007-02-26  Andrey Zhdanov  <susuman@hotmail.com>  (tiny change)

	* progmodes/gud.el (gud-pdb-marker-regexp): Add optional <module>
	keyword for Python 2.5.

2007-02-26  Romain Francoise  <romain@orebokech.com>

	* net/net-utils.el (whois-server-tld): Update server for .org.
	(whois-server-list): Add whois.publicinterestregistry.net.
	(whois-guess-server): Fix formatting in docstring.

2007-02-26  Kim F. Storm  <storm@cua.dk>

	* mouse.el (mouse-show-mark): Run hooks and perform command
	remapping for mouse-region-delete-keys.

2007-02-26  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* font-core.el (font-lock-mode): Doc fix.

2007-02-25  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-buffer-internal): Set this-command to fallback command.
	Add selected buffer to buffer-name-history.
	(ido-file-internal): Set this-command to fallback command.
	Add file names to file-name-history.

	* emacs-lisp/map-ynp.el (map-y-or-n-p):
	Apply minibuffer-prompt-properties.

2007-02-25  Andreas Schwab  <schwab@suse.de>

	* files.el (hack-one-local-variable-eval-safep): Correct handling
	of edebug-form-spec property value.  Reported by Johan Bockg,Ae(Brd.

2007-02-25  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-table-overlay-coordinates)
	(org-table-toggle-coordinate-overlays): New functions.
	(org-table-overlay-coordinates, org-table-coordinate-overlays):
	New variables.
	(org-startup-with-deadline-check): Remove option.
	(org-mode): Remove deadline check on startup.
	(org-table-limit-column-width): Remove option.
	(org-table-formula-numbers-only): Remove option.
	(org-link-style, org-link-format): Remove options.
	(org-select-agenda-window, org-fit-agenda-window): Remove options.
	(org-export-ascii-show-new-buffer)
	(org-export-html-show-new-buffer): Remove options.
	(org-activate-links): Remove camel option.
	(org-file-link-context-use-camel-case): Remove option.
	(org-camel-regexp): Remove variable.
	(org-activate-camels): Remove function.
	(org-store-link): Remove Camel stuff.
	(org-make-org-heading-camel): Remove function.
	(org-open-at-point): Remove camel stuff.
	(org-link-search): Remove camel stuff.
	(org-camel-to-words): Function removed.
	(org-get-agenda-file-buffer): Make sure we prepare the base
	buffers, not any indirect buffers.
	(org-sort-entries): Sort top-level when not on a headline, and no
	active region.
	(org-in-regexp): New function.
	(org-search-not-self): Rename from `org-search-not-link'.
	(org-open-link-marker): New variable.
	(org-open-at-point): Set `org-open-link-marker'.
	(org-print-icalendar-entries): Fixe bug with excluding DONE
	entries from the exported list.
	(org-edit-formula-lisp-indent): New command.
	(orgtbl-to-texinfo, orgtbl-to-html): New functions.
	(orgtbl-to-latex, orgtbl-insert-radio-table)
	(orgtbl-toggle-comment, orgtbl-send-table): New functions.
	(orgtbl-radio-table-templates): New option.
	(org-store-link-props):
	(org-remember-templates): More possibilities to insert info
	into templates.
	(org-remember-apply-template): Make use of the extended
	template capabilities.
	(org-remember-redo-template): New command.
	(org-upgrade-old-links)
	(org-table-modify-formulas, org-table-replace-in-formulas)
	(org-table-find-dataline)
	(org-table-get-vertical-vector): Remove functions.
	(org-table-remove-rectangle-highlight)
	(org-time-stamp-format, org-toggle-log-option)
	(org-table-highlight-rectangle)
	(org-table-iterate, org-table-make-reference):
	(org-translate-time, org-tree-to-indirect-buffer)
	(org-table-field-info, org-table-fix-formulas)
	(org-table-force-dataline, org-table-get-descriptor-line)
	(org-table-get-range)
	(org-skip-comments, org-sort)
	(org-sort-entries, org-sublist, org-table-add-rectangle-overlay)
	(org-table-current-dline, org-table-current-field-formula)
	(org-table-edit-backward-field)
	(org-table-edit-formulas-post-command)
	(org-table-edit-line-down, org-table-edit-line-up)
	(org-agenda-archive)
	(org-agenda-clock-cancel)
	(org-agenda-clock-out, org-agenda-list-stuck-projects)
	(org-agenda-open-link, org-agenda-show-new-time)
	(org-agenda-skip-subtree-when-regexp-matches)
	(org-agenda-tree-to-indirect-buffer, org-agenda-undo)
	(org-at-regexp-p, org-auto-repeat-maybe, org-check-log-option)
	(org-do-sort, org-file-image-p, org-find-overlays)
	(org-find-row-type, org-get-indirect-buffer, org-get-repeat)
	(org-highlight-until-next-command, org-isearch-end)
	(org-match-any-p, org-next-link, org-previous-link):
	(org-remove-subtree-entries-from-agenda, org-replace-escapes)
	(org-rewrite-old-row-references)
	(org-isearch-post-command)
	(org-table-edit-move, org-table-edit-next-field)
	(org-table-edit-scroll, org-table-edit-scroll-down)
	(org-set-frame-title, org-show-reference)
	(org-unhighlight-once, org-verify-change-for-undo): New functions.
	(org-show-variable): Remove command.
	(org-add-log-maybe): New arguments STATE, FINDPOS
	(org-table-sort-lines): Rewrite from scratch.
	(org-link-search): New argument AVOID-POS.
	(org-print-icalendar-entries): Remove argument CATEGORY.
	(org-run-agenda-series): Remove argument WONDOW.
	(org-next-link, org-previous-link): New commands.
	(org-agenda-date-format): New option.
	(org-table-iterate): New command.
	(org-table-modify-formulas)
	(org-table-replace-in-formulas): Remove functions.
	(org-table-fix-formulas): New function.
	(org-table-insert-column, org-table-delete-column)
	(org-table-move-column): Use `org-table-fix-formulas'.
	(org-follow-gnus-link): Patch from Bastien/Leo.
	(org-table-current-field-formula): New function.
	(org-file-image-p): New function.
	(org-agenda-show-new-time): New function.
	(org-agenda-date-later): Call `org-agenda-show-new-time'.
	(org-with-remote-undo): New macro.
	(org-agenda-undo): New command.
	(org-verify-change-for-undo): New function.
	(org-time-stamp-format): New function.
	(org-agenda-get-timestamps): Skip scheduled if DONE and requested
	by user.
	(org-match-any-p): New function.
	(org-make-tags-matcher): Handle regular expressions for tag and
	todo matches.
	(org-read-date): Accept "+N" as input for a date relative to the
	current date.
	(org-remove-subtree-entries-from-agenda): New function.
	(org-agenda-archive, org-agenda-kill):
	Use `org-remove-subtree-entries-from-agenda'.
	(org-do-sort, org-sort-entries): New functions.
	(org-sort): New command.
	(org-table-sort-lines): Use `org-do-sort'.
	(org-fix-decoded-time): New function.
	(org-table-number-regexp): Require 0x... to identify as number
	in tables.
	(org-startup-options): New keywords for note taking.
	(org-upgrade-old-links): Remove function.
	(org-get-repeat): New function.
	(org-show-context): Also show siblings on current level.
	(org-show-siblings): New function.
	(org-isearch-end, org-isearch-post-command): New functions.
	(org-show-siblings): New option.
	(org-show-context): Use `org-show-siblings'.
	(org-table-maybe-recalculate-line): No longer require `calc-eval'
	to be bound, because user may just use elisp.

2007-02-24  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua-paste): Handle x-clipboard-yank.
	(cua--init-keymaps): Remap x-clipboard-yank to cua-paste.

2007-02-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* startup.el (command-line): Also check if the abbrev file is readable.

2007-02-24  John Paul Wallington  <jpw@pobox.com>

	* net/tls.el (tls-certtool-program): Fix custom type.

	* mail/feedmail.el (feedmail-message-id-generator)
	(feedmail-date-generator): Fix custom types.

	* mail/rmail.el (rmail-message-filter): Fix custom type.

2007-02-24  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (command-line): If simple.el cannot be found, proceed
	with a warning message.

2007-02-24  Kenichi Handa  <handa@m17n.org>

	* international/utf-8.el (utf-8-pre-write-conversion): Handle the
	case that BEG is a string.

2007-02-24  Chris Moore  <dooglus@gmail.com>

	* pgg-pgp5.el (pgg-pgp5-encrypt-region):
	* pgg-pgp.el (pgg-pgp-encrypt-region):
	* pgg-gpg.el (pgg-gpg-encrypt-region):
	Check pgg-encrypt-for-me if no other recipients.

2007-02-23  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmailedit.el (rmail-cease-edit): Restore the Rmail toolbar.

	* textmodes/sgml-mode.el (sgml-validate): Quote the file name with
	shell-quote-argument.

2007-02-23  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* comint.el (comint-read-input-ring): Use comint-input-ring-size
	from the comint buffer instead of the temporary one.

2007-02-23  David Reitter  <david.reitter@gmail.com>

	* cus-edit.el (custom-save-all): Canonicalize custom-file before
	storing it in recentf-exclude.

2007-02-23  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-splash-screens): Make cursor-type buffer-local
	in splash screen.

2007-02-22  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlw-shell.el (idlwave-shell-mode): Clean up pending
	commands, for restart.
	(idlwave-shell-current-module): Fix handling of module name by type.
	(idlwave-shell-break-in): Update type handling.
	(idlwave-shell-bp-get): Encode type in BP structure.
	(idlwave-shell-set-bp): Fix setting condition/count on disabled BPs.
	(idlwave-shell-module-source-query): Query routine info based on type.
	Fix path parsing for non-compiled files.
	(idlwave-shell-module-source-filter): Don't signal error in filter
	if no source found.
	(idlwave-shell-set-bp-in-module): Use fallback source to prevent
	filter race.

2007-02-22  Kim F. Storm  <storm@cua.dk>

	* wid-edit.el (widget-default-create): Undo 2007-02-04 change.
	(editable-field): Document need to put some text before the %v
	escape in :format string.

2007-02-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-svn.el: Remove the code inherited from CVSREAD and `cvs edit'.
	(vc-svn-use-edit): Remove unused config var.
	(vc-svn-update, vc-svn-revert): Checkout is always implicit.

	* outline.el (hide-sublevels): Keep empty last line, if available.

	* buff-menu.el (list-buffers-noselect): Use explicit unicode code
	rather than the corresponding unicode char, to make the code
	more readable.

2007-02-19  Juanma Barranquero  <lekktu@gmail.com>

	* speedbar.el (speedbar-frame-mode, speedbar-frame-width)
	(speedbar-show-unknown-files, speedbar-item-info-file-helper)
	(speedbar-item-info-tag-helper): Doc fixes.

2007-02-19  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (locale-language-names):
	Map "eo" to "Esperanto".

	* language/european.el ("Esperanto"): New language environment.

2007-02-17  Sven Joachim  <svenjoac@gmx.de>  (tiny change)

	* simple.el (kill-line): Doc fix.

2007-02-17  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/bindat.el (bindat--unpack-u*): Optimize.
	(bindat--unpack-item, bindat--length-group, bindat--pack-item)
	(bindat--unpack-group, bindat--pack-group):
	Handle vectors with optional element type.

2007-02-17  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-region): Make USE-AGENT nil
	if PASSPHRASE is given.

2007-02-17  Chris Moore  <dooglus@gmail.com>

	* jka-cmpr-hook.el (jka-compr-compression-info-list):
	Recognize backups of bz2 compressed files.

2007-02-17  Eli Zaretskii  <eliz@gnu.org>

	* info-look.el (info-lookup): Bind Info-fontify-maximum-menu-size
	to nil to speed up lookup of the symbol in index nodes.

2007-02-17  Alin C. Soare  <alinsoar@voila.fr>  (tiny change)

	* emacs-lisp/lisp-mode.el (calculate-lisp-indent):
	Add indentation for the constants of Lisp.

2007-02-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ps-print.el: Use (defvar <foo>) where applicable.
	(ps-print-emacs-type): Remove.
	(ps-x-frame-property, ps-e-frame-parameter): Remove.
	(ps-frame-parameter): Align its call-convention with frame-parameter.
	(ps-begin-job): Adjust calls to it appropriately.
	(ps-setup): Don't print ps-print-emacs-type.
	(ps-e-find-composition, ps-mark-active-p, ps-color-device):
	Define in such a way that it's obvious that it's defined.
	(ps-prsc, ps-c-prsc, ps-s-prsc): Remove.
	(ps-rmail-mode-hook, ps-vm-mode-hook, ps-gnus-summary-setup)
	(ps-jts-ps-setup): Use flavor-neutral syntax instead.

2007-02-15  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-indent-new-comment-line): When splitting
	an empty one-line C-style comment, post-position point properly.

2007-02-15  Chris Moore  <dooglus@gmail.com>

	* isearch.el (isearch-lazy-highlight-space-regexp): New variable.
	(isearch-lazy-highlight-new-loop): Bind it.
	(isearch-lazy-highlight-search): Use it.

	* replace.el (replace-highlight): Bind search-whitespace-regexp to nil.

2007-02-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-extend-region-wholelines):
	Only return non-nil if the region has really been changed.
	Reported by David Hansen <david.hansen@physik.fu-berlin.de>

2007-02-15  Juanma Barranquero  <lekktu@gmail.com>

	* play/5x5.el (5x5-crack-xor-mutate): Doc fix.
	(5x5-draw-grid-end, 5x5-make-xor-with-mutation, 5x5-mode, 5x5-crack)
	(5x5-play-solution, 5x5-y-or-n-p): Fix typos in docstrings.

2007-02-14  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (color-values): Revert changes to docstring from
	2007-01-31 and 2000-09-07.

	* textmodes/ispell.el (ispell-keep-choices-win, ispell-word)
	(ispell-begin-skip-region-regexp): Fix typos in docstrings.
	(ispell-dictionary-alist, ispell-process-line): Doc fixes.
	(ispell-help): Fix typos in docstring and output message.

2007-02-14  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (grep-files-aliases): Add tex and texi aliases.
	(lgrep): Add DIR arg to start grep in specific directory, like rgrep.
	(grep): Fix lgrep reference.

	* disp-table.el (make-glyph-code, glyph-char, glyph-face): New defuns.
	(standard-display-underline): Use make-glyph-code.

	* descr-text.el (describe-char): Use glyph-char and glyph-face.

	* international/latin1-disp.el (latin1-display-char):
	Use make-glyph-code.

2007-02-13  Juanma Barranquero  <lekktu@gmail.com>

	* ehelp.el (with-electric-help, electric-help-exit)
	(electric-help-retain): Doc fixes.

	* emacs-lisp/bytecomp.el (byte-compile-dest-file)
	(byte-compile-file): Doc fixes.

2007-02-13  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: Change all uses of
	mac-set-font-panel-visibility to mac-set-font-panel-visible-p.
	(mac-ae-number): Return integer 0 if coerced result is float 0.0.
	(mac-ae-get-url): Call select-frame-set-input-focus.
	(mac-dnd-handle-drag-n-drop-event): Don't call
	select-frame-set-input-focus.

2007-02-13  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Fix documentation of category `a'.

2007-02-11  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/grep.el (grep): Mention lgrep and rgrep in the docstring.

2007-02-12  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-get-ls-command, tramp-get-file-exists-command)
	(tramp-get-remote-ln): Handle error case.
	Reported by Chris Moore <dooglus@gmail.com>.

2007-02-11  Kim F. Storm  <storm@cua.dk>

	* bindings.el (ctl-x-map): Remove register compatibility bindings
	C-x /, C-x j, C-x x, and C-x g (deprecated since Emacs 19).

2007-02-11  Richard Stallman  <rms@gnu.org>

	* loadhist.el (unload-feature): Handle (t . SYMBOL) entries
	in load history.

	* emacs-lisp/lisp-mode.el (indent-sexp): Clean up termination
	condition -- don't fail to stop at endpos.

2007-02-11  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-agenda-get-todos)
	(org-agenda-get-timestamps, org-agenda-get-closed)
	(org-agenda-get-deadlines, org-agenda-get-scheduled)
	(org-agenda-get-blocks, org-format-agenda-item)
	(org-agenda-change-all-lines, org-scan-tags): Rename text property
	from `category' to `org-category'.

2007-02-11  Kenichi Handa  <handa@m17n.org>

	* international/titdic-cnv.el (titdic-convert): Force files be written
	with Unix-like eol format.  Read files under CXTERM-DIC by raw-text.
	(miscdic-convert): Force files be written with Unix-like eol format.

2007-02-11  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (change-major-mode-with-file-name): Fix typo in docstring.

	* calculator.el (calculator-prompt): Doc fix.
	(calculator-mode-map): Fix typo in menu entry.

2007-02-10  Jay Belanger  <belanger@truman.edu>

	* calculator.el (calculator): Do more extensive checking for when
	3 lines should be used for the calculator.

2007-02-10  Eli Zaretskii  <eliz@gnu.org>

	* info-look.el (info-lookup-make-completions):
	Bind Info-fontify-maximum-menu-size to nil to speed up lookup of
	index nodes.

	* info.el (Info-fontify-maximum-menu-size): Document the effect
	of a nil value.
	(Info-fontify-node): Make sure Info-fontify-maximum-menu-size is
	non-nil before using it as size.

2007-02-09  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (insert-for-yank-1): Prevent read-only properties from
	interfering with text property operations.

	* image-mode.el (image-mode): Revert 2007-01-30 changes.

	* image.el (image-type-auto-detectable): Don't autodetect x[pb]m.
	(image-type-auto-detected-p): Fail if another match is found in
	auto-mode-alist.

	* files.el (magic-mode-alist): Call image-mode instead of
	image-mode-maybe for autodetected images.

2007-02-09  Juanma Barranquero  <lekktu@gmail.com>

	* mail/smtpmail.el (smtpmail-smtp-service, smtpmail-queue-index-file):
	Fix typos in docstrings.
	(smtpmail-local-domain, smtpmail-queue-mail): Doc fixes.

2007-02-09  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/float-sup.el: Remove obsolete comment.

2007-02-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-sanity-check-hunk): Fix last fix.

2007-02-08  Karl Fogel  <kfogel@red-bean.com>

	* simple.el: Revert previous change, at request of RMS:
	(fundamental-mode-hook): Remove.
	(fundamental-mode): Run after-change-major-mode-hooks manually,
	and don't run the now-nonexistent fundamental-mode-hook.

2007-02-08  Karl Fogel  <kfogel@red-bean.com>

	* simple.el (fundamental-mode-hook): Declare new hook.
	(fundamental-mode): Run the new dedicated hook, and don't run
	after-change-major-mode-hooks manually anymore.

2007-02-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-svn.el (vc-svn-merge-news): Understand the new format with two
	added columns of chars.  Remove support for the "no-meta-info" format.
	Prompted by Romain Francoise <romain@orebokech.com>.

2007-02-07  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-if-arrow): New macro.
	(gdb-mouse-until, gdb-mouse-jump): Use it.

2007-02-07  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-mouse-until, gdb-mouse-jump): Make them
	work when there is just an assembler buffer (no source buffer).

2007-02-07  Per Cederqvist  <ceder@lysator.liu.se>  (tiny change)

	* diff-mode.el (diff-sanity-check-hunk): Don't reject the hunk
	just because the diff was produced using "-p" (--show-c-function).

2007-02-07  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (frame-set-background-mode): Use `color-values' and
	`display-color-p', not `x-color-values' and `x-display-color-p'.
	(face-valid-attribute-values): Use `defined-colors' instead of
	`x-defined-colors'.

2007-02-07  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: The ps-print commands without face printing should not
	print background color.  Reported by Leo <sdl.web@gmail.com>.
	(ps-print-version): New version 6.7.3.
	(ps-begin-job): New arg.  Fix ps-default-background and
	ps-default-foreground initialization.
	(ps-face-attributes): Fix doc string.
	(ps-face-background, ps-generate-postscript, ps-generate): Fix code.

	* printing.el: Fix ps-print link.

2007-02-06  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (face-set-after-frame-default): Compile attributes to
	be set by frame parameters before merging in X resources.

2007-02-06  Juanma Barranquero  <lekktu@gmail.com>

	* simple.el (blink-matching-paren-dont-ignore-comments):
	(blink-matching-paren-on-screen): Doc fixes.

2007-02-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-frames-mode): Truncate lines in stack buffer.

2007-02-05  Juanma Barranquero  <lekktu@gmail.com>

	* loadhist.el (unload-feature): Silently ignore `load-history' entries
	of the form `(defface . SYMBOL)', and treat `(autoload . SYMBOL)'
	entries like `defun'.  Return nil.

2007-02-05  Kim F. Storm  <storm@cua.dk>

	* ido.el: Doc fixes.

2007-02-04  David Kastrup  <dak@gnu.org>

	* play/mpuz.el (mpuz-random-puzzle): Fix potential lockup when
	`mpuz-allow-double-multiplicator' is non-zero, and correct
	calculation of `min'.

2007-02-04  Per Abrahamsen  <abraham@dina.kvl.dk>

	* wid-edit.el (widget-default-create): Insert new text at the
	:from marker _after_ the marker, not before it.

2007-02-04  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-indent-line): Don't erase ^L when a line
	containing it is re-indented.

2007-02-03  Chong Yidong  <cyd@stupidchicken.com>

	* net/newsticker.el (newsticker--insert-image): Update docstring,
	and insert the image directly.
	(newsticker--buffer-redraw): Update docstring.

	* emacs-lisp/easy-mmode.el (define-globalized-minor-mode):
	Rename from define-global-minor-mode.

	* progmodes/cwarn.el (global-cwarn-mode):
	* emacs-lisp/autoload.el (make-autoload):
	* hi-lock.el (global-hi-lock-mode):
	* font-core.el (global-font-lock-mode): All callers changed.

2007-02-03  Eli Zaretskii  <eliz@gnu.org>

	* textmodes/texnfo-upd.el (texinfo-menu-copy-old-description):
	Don't copy @ignore lines into menu descriptions.
	(texinfo-multi-file-update): Goto the @node line before attempting
	to pluck the node name.
	(texinfo-multiple-files-update): Reverse the optional arguments'
	order, as per the doc string and the `interactive' form.

2007-02-03  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el: Use autoload to avoid overriding disabled setting
	applied in .emacs.

2007-02-03  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-in-knr-argdecl): Slight correction
	for, e.g. "void (*hdone)();" in a k&r list.  (No WS between
	adjacent paren groups).

2007-02-02  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* progmodes/ebnf2ps.el: Doc fixes.
	(ebnf-eps-buffer, ebnf-eps-region, ebnf-syntax-alist): Doc fixes.

2007-02-02  Eli Zaretskii  <eliz@gnu.org>

	* dired-x.el (dired-do-relsymlink): Add reference to
	dired-do-symlink.  Add an autoload cookie.

	* dired-aux.el (dired-do-symlink): Add reference to
	dired-do-relsymlink.

2007-02-02  Doug Maxey  <dwm@enoyolf.org>  (tiny change)

	* mouse.el <left-fringe mouse-2, right-fringe mouse-3>:
	<left-fringe mouse-3>: New bindings.

2007-02-02  Ulf Jasper  <ulf.jasper@web.de>

	* net/newsticker.el (newsticker-version): Changed to "1.10".
	(newsticker--set-customvar): Doc string.
	(newsticker-new-item-face): Doc string.
	(newsticker-mode): Initialize `invisibility-spec' with t.
	(newsticker-mode-map): Added
	`newsticker-mark-all-items-at-point-as-read'.
	(newsticker-menu): Added narrow-to-item and narrow-to-feed.
	(newsticker-w3m-show-inline-images): Do not call
	`w3m-remove-image'.
	(newsticker--buffer-after-w3m-insert-image): New advice for
	w3m-insert-image to cache images.
	(newsticker-next-item-same-feed): New.
	(newsticker-mark-all-items-at-point-as-read-and-redraw): New.
	(newsticker-mark-all-items-of-feed-as-read): New.
	(newsticker-mark-all-items-at-point-as-read): Use new functions.
	(newsticker-mark-item-at-point-as-read): Doc string.
	(newsticker-mark-item-at-point-as-read): Use new functions.
	(newsticker--do-mark-item-at-point-as-read): New, extracted from
	`newsticker-mark-item-at-point-as-read'.
	(newsticker-hide-entry): Use (t) instead of t for invisibility.
	(newsticker--sentinel): Yet another xml-parser workaround.
	(newsticker--decode-iso8601-date): Bugfix for datestrings without
	days.
	(newsticker--buffer-do-insert-text): Fix.
	(newsticker--buffer-insert-enclosure): Fix. length might be missing.
	(newsticker--buffer-make-item-completely-visible):
	`switch-to-buffer' not necessary.

2007-02-02  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/ebnf2ps.el (ebnf-eps-buffer, ebnf-eps-region)
	(ebnf-syntax-directory, ebnf-syntax-file, ebnf-syntax-region)
	(ebnf-style-database, ebnf-apply-style, ebnf-reset-style)
	(ebnf-push-style, ebnf-pop-style, ebnf-eps-production-list)
	(ebnf-directory, ebnf-file, ebnf-syntax-alist): Doc fixes.

2007-02-02  Kenichi Handa  <handa@m17n.org>

	* international/quail.el (quail-show-key): Fix an error message.

2007-02-01  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (set-face-underline-p, modify-face): Rename arg
	UNDERLINE-P to UNDERLINE (it is not a flag).

2007-02-01  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-speedbar-update): Avoid duplication
	when adding gdb-speedbar-update to gdb-input-queue.

2007-02-01  Kenichi Handa  <handa@m17n.org>

	* international/quail.el (quail-show-key): Signal an error if the
	current input method is not using Quail.

2007-02-01  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlwave.el (idlwave-xml-create-sysvar-alist):
	Trim leading whitespace in sysvar names.

2007-02-01  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (internal-find-face, internal-get-face): Doc fixes.

2007-01-31  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-set-common-completion): Use `let', not `let*'.

2007-01-31  Romain Francoise  <romain@orebokech.com>

	* comint.el: Delete extra copy of `comint-copy-old-input' added in
	previous change to this file.

2007-01-31  Jason Rumney  <jasonr@gnu.org>

	* files.el (magic-mode-alist): Use image-mode-maybe rather than
	image-mode.

	* image-mode.el (image-mode-maybe): Prevent magic-mode-alist from
	interfering with attempt to set major mode from modified
	auto-mode-alist.

2007-01-31  Juanma Barranquero  <lekktu@gmail.com>

	* faces.el (color-values): Doc fix.
	(face-differs-from-default-p): Don't check :foreground twice.

2007-01-31  J.D. Smith  <jdsmith@as.arizona.edu>

	* comint.el (comint-mode): Prevent non-keyword fontification by default.

2007-01-31  Kenichi Handa  <handa@m17n.org>

	* international/quail.el (quail-store-decode-map-key): Store a
	translated character too.
	(quail-char-equal-p): New function.
	(quail-find-key1): Check character equality by quail-char-equal-p.
	(quail-decode-map-generated): New variable.
	(quail-find-key): Check quail-decode-map-generated and re-generate
	a decode map if necessary.

2007-01-30  Richard Stallman  <rms@gnu.org>

	* tutorial.el (tutorial--detailed-help): Make the list of
	changed keys look nicer.

2007-01-30  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-delete-1): New function.
	(gdb-var-delete): Use it.
	(gdb-var-update-handler-1): Handle value "invalid" for MI field
	`in_scope'.

2007-01-30  Michael Albinus  <michael.albinus@gmx.de>

	* files.el (get-free-disk-space): Return nil for remote directories.

	* net/ange-ftp.el (ange-ftp-ls): In case of wildcards, use "ls"
	instead of "dir".

2007-01-30  Chong Yidong  <cyd@stupidchicken.com>

	* type-break.el (type-break-catch-up-event): New function.
	(type-break-demo-hanoi, type-break-demo-life)
	(type-break-demo-boring): Use it.

	* image-mode.el (image-mode): Don't automatically view as image.
	(image-toggle-display): Add `disabled' property.

2007-01-29  Juanma Barranquero  <lekktu@gmail.com>

	* isearchb.el (isearchb-iswitchb):
	* ps-print.el (ps-build-face-reference):
	* emacs-lisp/shadow.el (list-load-path-shadows):
	* eshell/esh-cmd.el (eshell-rewrite-for-command):
	* international/mule.el (find-auto-coding):
	* mail/supercite.el (sc-attrib-selection-list):
	* progmodes/cc-defs.el (c-emacs-features):
	* progmodes/cc-vars.el (c-offsets-alist):
	* progmodes/flymake.el
	(flymake-init-create-temp-source-and-master-buffer-copy):
	Fix typos in docstrings (some suggested by Chris Moore).

	* progmodes/vhdl-mode.el (vhdl-components-package-name)
	(vhdl-get-library-unit, vhdl-corresponding-begin)
	(vhdl-skip-case-alternative, vhdl-backward-skip-label)
	(vhdl-align-region-2, vhdl-electric-dash, vhdl-case-word)
	(vhdl-hooked-abbrev, vhdl-hs-forward-sexp-func)
	(vhdl-font-lock-match-item): Fix typos in docstrings.
	(vhdl-get-library-unit, vhdl-get-block-state, vhdl-sort-alist)
	(vhdl-set-offset, vhdl-fix-case-region-1, vhdl-scan-directory-contents)
	(vhdl-speedbar-insert-project-hierarchy):
	Improve argument/docstring consistency.

2007-01-29  Kenichi Handa  <handa@m17n.org>

	* international/titdic-cnv.el (py-converter): Fix previous change.

2007-01-29  Chong Yidong  <cyd@stupidchicken.com>

	* jka-compr.el (jka-compr-partial-uncompress)
	(jka-compr-call-process): Rebind default-directory if it is
	invalid.  Suggested by Chris Moore.

	* comint.el (comint-insert-input): Handle situation where the
	selected buffer is not the clicked buffer.

2007-01-29  Kenichi Handa  <handa@m17n.org>

	* international/ja-dic-cnv.el (skkdic-convert):
	Add byte-compile-disable-print-circle:t at the head.

	* international/titdic-cnv.el (tit-process-header):
	Add byte-compile-disable-print-circle:t at the head.
	(miscdic-convert): Likewise.
	(py-converter): Skip the header comments.

	* emacs-lisp/bytecomp.el (byte-compile-disable-print-circle):
	New variable.
	(byte-compile-output-file-form): Bing print-circle to nil if
	byte-compile-output-file-form is not nil.
	(byte-compile-output-docform): Likewise.

2007-01-28  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua-global-keymap, cua--region-keymap):
	Declare earlier to avoid byte compiler warnings.

2007-01-28  Markus Triska  <markus.triska@gmx.at>

	* speedbar.el (speedbar-make-specialized-keymap): Doc fix.

2007-01-28  Chong Yidong  <cyd@stupidchicken.com>

	* play/gamegrid.el (gamegrid-kill-timer): Cancel timer directly.
	(gamegrid-add-score-with-update-game-score-1): Allow local quits
	when calling update-game-score program.  Remove unnecessary
	save-excursion.

	* play/tetris.el (tetris-new-shape): Stop drawing if game is over.

2007-01-28  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-breakpoint-regexp): Declare earlier to
	avoid compiler warning.
	(gdb-var-update-handler-1): Consider that the MI field `in_scope'
	might have values other than "true" or "false".

2007-01-28  Richard Stallman  <rms@gnu.org>

	* textmodes/fill.el (fill-paragraph-function): Doc fix.
	(fill-paragraph): Bind fill-paragraph-function to t to avoid recursion.

	* emacs-lisp/pp.el (pp-eval-last-sexp): Don't eval here.

	* image.el (image-type-header-regexps): Make GIF regex more specific.

	* tutorial.el (tutorial--default-keys): Check M-DEL, not `M-backspace'.
	Don't check `backspace'.
	(tutorial--find-changed-keys): Look up bindings in a temp buffer
	in Fundamental mode.

	* startup.el (fancy-splash-text, normal-splash-screen):
	Mention C-g.

	* simple.el (eval-expression): Don't use eval-last-sexp-print-value
	when inserting in buffer.

	* vc-arch.el (vc-arch-file-id): Move with-current-buffer
	inside the if.

2007-01-27  Richard Stallman  <rms@gnu.org>

	* obsolete/awk-mode.el (awk-font-lock-keywords): Add "do".

2007-01-27  Guanpeng Xu  <herberteuler@hotmail.com>

	* add-log.el (add-log-current-defun): Skip the semicolon ``;'' for
	enum/union/struct/class definition.
	Revert change to call `forward-sexp' multiple times.

2007-01-27  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (hack-local-variables-confirm): Don't keep trying to
	read an event from an empty kbd macro.

2007-01-27  Eli Zaretskii  <eliz@gnu.org>

	* server.el (server-start): Mention LEAVE-DEAD arg in the doc string.

2007-01-27  Ben North  <ben@redfrontdoor.org>

	* outline.el (outline-promote, outline-demote): Doc fix.  Rename
	the arg CHILDREN -> WHICH.

2007-01-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file-out-of-band): Set
	default-directory to a sane value when calling start-process.

2007-01-27  Eli Zaretskii  <eliz@gnu.org>

	* ls-lisp.el (ls-lisp-use-localized-time-format): New defcustom.
	(ls-lisp-format-time-list): Doc fix.  Mention
	ls-lisp-use-localized-time-format.
	(ls-lisp-format-time): Use ls-lisp-format-time-list if
	ls-lisp-use-localized-time-format is non-nil, even if a valid
	locale is defined.

2007-01-27  Juanma Barranquero  <lekktu@gmail.com>

	* jka-compr.el (jka-compr-shell): Doc fix.

	* jka-cmpr-hook.el (jka-compr-compression-info-list): Doc fix.

2007-01-26  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.ps: Fix background height.
	(ps-print-version): New version 6.7.2.

2007-01-26  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (finder-data, custom-deps): Depend on
	$(lisp)/loaddefs.el.

2007-01-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* Makefile.in (custom-deps, finder-data): Add dependency to loaddefs.el.

2007-01-24  Miles Bader  <miles@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-output-file-form)
	(byte-compile-output-docform): Bind `print-circle' to t.

2007-01-24  Kenichi Handa  <handa@m17n.org>

	* international/ja-dic-cnv.el (skkdic-convert): Insert a related
	file name of the original SKK dictionary file.

2007-01-24  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-initial-position): New variable.
	(ido-read-internal): Set it if default item is specified.
	(ido-minibuffer-setup): Position cursor accordingly if set.
	(ido-edit-input): C-e moves to end of input if not already there.
	(ido-magic-backward-char): C-b does like M-b if prev char is /.
	Don't switch to buffer mode if repeating C-b at start of input.
	(ido-toggle-ignore): C-a only toggles ignore at start or end of
	input; else it moves to start of input.
	(ido-kill-buffer-at-head, ido-delete-file-at-head): If cursor is
	not at end of input, delete rest of input, rather than normal op.

2007-01-23  Michael Kifer  <kifer@cs.stonybrook.edu>

	* emulation/viper-keym.el (viper-insert-basic-map):
	Delete binding for S-TAB.

	* ediff-util.el (ediff-clone-buffer-for-region-comparison): Change text
	of message.  Activate mark.
	(ediff-activate-mark): Set transient-mark-mode to t.

	* ediff.el (ediff-regions-wordwise, ediff-regions-linewise): Doc fix.

2007-01-23  Martin Rudalics  <rudalics@gmx.at>

	* help-fns.el (describe-variable): Don't suppress display of
	buffer local value when the value is "large".

2007-01-22  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-active): Add XEmacs test from ido-minibuffer-setup.
	(ido-initiate-auto-merge, ido-exhibit, ido-minibuffer-setup)
	(ido-tidy): Use ido-active.

2007-01-22  Chris Moore  <christopher.ian.moore@gmail.com>

	* hexl.el (hexl-mode-exit): Add missing quote.

2007-01-22  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-keyboard-modifier-mask-alist): New constant.
	(mac-ae-keyboard-modifiers): New function.
	(mac-handle-toolbar-switch-mode): Use it.
	(mac-dnd-handle-drag-n-drop-event): Likewise.  Set action to `copy'
	if keyboard modifiers on drop contain option key.
	(mac-dnd-drop-data): Add optional argument `action'.
	(special-event-map): Remove binding for M-drag-n-drop.

2007-01-21  Guanpeng Xu  <herberteuler@hotmail.com>

	* add-log.el (add-log-current-defun): Use CC Mode functions to
	find the beginning and end of a defun.

2007-01-21  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-create-regexp)
	(gdb-var-create-handler): Handle value field in GDB output of
	-var-create.
	(gdb-max-frames): New variable.
	(gdb-stack-buffer, gdb-frames-select): Use it.
	(gdb-info-stack-custom): Help user customize gdb-max-frames,
	if necessary.
	(gdb-get-frame-number): Simplify.

2007-01-21  Glenn Morris  <rgm@gnu.org>

	* net/tramp.el (tramp-perl-encode, tramp-perl-decode):
	Update copyrights.

2007-01-21  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-where-wrt-brace-construct): Correct the
	handling of K&R stuff.

2007-01-21  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-files): Fix customization type.

2007-01-21  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-print.el: Handle frame parameters (background and/or foreground
	colors) changing dynamically.  Reported by Leo <sdl.web@gmail.com>.
	(ps-print-version): New version 6.7.1.
	(ps-x-frame-property, ps-e-frame-parameter): New aliases.
	(ps-frame-parameter): New fun.
	(ps-default-fg, ps-default-bg): New default value ('frame-parameter).
	Fix doc and customization.
	(ps-begin-job): Get frame parameters (background and/or foreground
	colors).
	(ps-do-despool): Ensure ps-printer-name has a valid value.

2007-01-21  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-debug-log): Rename from gdb-debug-ring.
	(gdb-debug-log-max): Rename from gdb-debug-ring-max.
	(gud-gdba-marker-filter): Make a value of nil for gdb-debug-ring-max
	mean unlimited.

2007-01-20  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-in-knr-argdecl): Reformulate to do
	much more rigorous analysis of putative K&R regions.

2007-01-20  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-defs.el (c-go-list-forward, c-go-list-backward):
	New functions.

2007-01-20  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-align.el, progmodes/cc-cmds.el,
	* progmodes/cc-defs.el, progmodes/cc-engine.el,
	* progmodes/cc-langs.el, progmodes/cc-styles.el,
	* progmodes/cc-vars.el: Add my name.

2007-01-20  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (find-alternate-file): Revert query message to Emacs 21
	version.

2007-01-20  Eric Hanchrow  <offby1@blarg.net>  (tiny change)

	* progmodes/cperl-mode.el (cperl-electric-keywords): Document in
	the doc string how to use personal abbrevs without electric
	keywords.

2007-01-20  Alin C. Soare  <alinsoar@voila.fr>  (tiny change)

	* emacs-lisp/lisp-mode.el (last-sexp-toggle-display):
	Fixed cursor position when toggle abbreviated display.

2007-01-20  Nick Roberts  <nickrob@snap.net.nz>

	* t-mouse.el: Update copyright following assignment by
	Alessandro Rubini.

2007-01-20  Chong Yidong  <cyd@stupidchicken.com>

	* type-break.el (type-break-demo-hanoi, type-break-demo-life)
	(type-break-demo-boring): Call read-event instead of read-char.

2007-01-19  Daniel Pfeiffer  <occitan@esperanto.org>  (tiny change)

	* progmodes/compile.el: Add handling for makepplog.

2007-01-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* textmodes/ispell.el (ispell-change-dictionary): Ensure that
	aspell dictionaries are initialized when called non-interactively.

2007-01-19  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-loop): New arg limit.
	Handle case where the first error is at point-min.
	(compilation-next-error): New arg to compilation-loop call.

2007-01-18  Bruno Haible  <bruno@clisp.org>  (tiny change)

	* info.el (Info-default-dirs): Change default info dir to
	share/info.

	* paths.el (Info-default-directory-list): Ditto.

2007-01-18  Chris Moore  <christopher.ian.moore@gmail.com>

	* hexl.el (hexl-before-revert-hook): New function.
	(hexl-mode): Use it.
	(hexl-after-revert-hook): Just call hexl-mode.
	(hexl-mode-exit): Remove before-revert-hook.

2007-01-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* isearch.el (isearch-no-upper-case-p): Look for [:upper:] as well.

2007-01-16  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/ispell.el (ispell-dictionary-alist-3): Replace "---"
	by "-" in francais7 otherchars entry.
	(ispell-dictionary-alist-5): Replace "." by "[.]" for polish
	otherchars entry.

2007-01-15  Karl Fogel  <kfogel@red-bean.com>

	* bookmark.el (bookmark-buffer-file-name): Abbreviate the bookmark
	path.  Rewrite function in `cond' style for readability.

	Suggested by: Stephen Eglen <S.J.Eglen{_AT_}damtp.cam.ac.uk>.
	(The path shortening, that is, not the rearrangement.)

2007-01-15  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-ae-quit-application): New function.
	(mac-apple-event-map): Bind "quit application" Apple event to it.

2007-01-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-svn.el (vc-svn-parse-status): Trust the filename argument more
	than the program's output.

2007-01-14  Juanma Barranquero  <lekktu@gmail.com>

	* kmacro.el (kmacro-insert-counter, kmacro-set-counter)
	(kmacro-start-macro-or-insert-counter)
	(kmacro-step-edit-prefix-commands): Fix typos in docstrings.
	(kmacro-call-ring-2nd, kmacro-call-ring-2nd-repeat): Doc fixes.

	* longlines.el (longlines-show-hard-newlines):
	* ruler-mode.el (ruler-mode-ruler):
	* emulation/keypad.el (keypad-setup):
	* progmodes/antlr-mode.el (antlr-indent-at-bol-alist):
	Fix typo in docstring.

2007-01-13  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el (tumme-cmd-rotate-original-options): Add -outfile option.
	Remove redirect character ">".

2007-01-13  Juanma Barranquero  <lekktu@gmail.com>

	* replace.el (perform-replace): Remove leftover code.

2007-01-12  Richard Stallman  <rms@gnu.org>

	* replace.el (perform-replace): Don't clear NODENT when computing
	the replacement string.

2007-01-11  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-file-local-copy):
	Set `enable-multibyte-characters' to nil.  Reported by Chris Moore
	<christopher.ian.moore@gmail.com>.

2007-01-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-sanity-check-context-hunk-half)
	(diff-sanity-check-hunk): New functions.
	(diff-find-source-location): Use'em to check the hunks are well-formed.

	* hexl.el (hexlify-buffer, dehexlify-buffer): Don't complain and don't
	activate undo when undo is not active.
	Reported by Chris Moore <christopher.ian.moore@gmail.com>.

2007-01-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* ffap.el (ffap-next-regexp, ffap-machine-p, ffap-newsgroup-regexp)
	(ffap-newsgroup-p, ffap-alist, ffap-string-at-point-mode-alist)
	(ffap-url-at-point): Use char-classes rather than "a-z".

2007-01-10  Juanma Barranquero  <lekktu@gmail.com>

	* ediff-init.el (ediff-autostore-merges):
	* textmodes/fill.el (fill-region): Doc fix.

2007-01-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-ensure-safe-dir): UIDs may be floats.

2007-01-10  Richard Stallman  <rms@gnu.org>

	* battery.el (battery-linux-proc-acpi): Use ignore-errors
	around calls to directory-files.

	* subr.el (momentary-string-display): Use save-excursion.

	* emacs-lisp/pp.el (pp-eval-expression): Once again eval the
	argument, but read it as `X' does.

2007-01-09  Juri Linkov  <juri@jurta.org>

	* info.el (Info-fontify-node): Don't hide node names of index entries.

	* faces.el (momentary): Change :group to basic-faces where all
	basic faces belong to.  Add :version.

2007-01-09  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* tutorial.el (tutorial--display-changes): Show M-x sequence if no
	keybinding is found.
	(tutorial--find-changed-keys): Never treat null keybinding as a
	remapping.

2007-01-09  Martin Rudalics  <rudalics@gmx.at>

	* wdired.el (wdired-xcase-word): Skip non-word read-only characters.

2007-01-09  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el
	(select-safe-coding-system-interactively): Fix message.

2007-01-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-process-one-action): Remove `with-timeout'.
	(tramp-process-actions): Add optional parameter TIMEOUT.
	(tramp-open-connection-telnet, tramp-open-connection-rsh)
	(tramp-open-connection-su): Add timeout of 60".

2007-01-09  Richard Stallman  <rms@gnu.org>

	* progmodes/compile.el (compile): Doc fix.

2007-01-09  Markus Triska  <markus.triska@gmx.at>

	* tumme.el (tumme-display-thumb): Doc fix.

2007-01-08  Juanma Barranquero  <lekktu@gmail.com>

	* battery.el (battery-search-for-one-match-in-files):
	* bindings.el (mode-line-minor-mode-help):
	* x-dnd.el (x-dnd-types-alist):
	* calendar/icalendar.el (icalendar-import-buffer):
	* term/mac-win.el (mac-dnd-types-alist): Fix typo in docstring.

	* progmodes/vhdl-mode.el (vhdl-save-caches): Fix typo in error message.

2007-01-07  Chris Moore  <christopher.ian.moore@gmail.com>

	* replace.el (replace-regexp): Fix typo in docstring.

2007-01-07  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-langs.el (c-operators, c-filter-ops):
	Amend doc-string and comments.

2007-01-06  Eli Zaretskii  <eliz@gnu.org>

	* files.el (abbreviate-file-name): Doc fix.

2007-01-06  Markus Triska  <triska@gmx.at>

	* subr.el (split-string): Remove spurious ")" from doc string.

2007-01-05  Takaaki Ota  <Takaaki.Ota@am.sony.com>

	* textmodes/table.el (table--warn-incompatibility):
	Use display-warning instead of momentary-string-display.

2007-01-05  Richard Stallman  <rms@gnu.org>

	* image.el (image-type-header-regexps): Recognize xbm more strictly.

	* simple.el (backward-kill-word): Doc fix.

2007-01-05  Romain Francoise  <romain@orebokech.com>

	* international/mule.el (sgml-html-meta-auto-coding-function):
	Ensure that the buffer contains a HTML document.

2007-01-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* faces.el (momentary): Move here ...
	* subr.el (momentary): ... from here.

2007-01-05  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-max-children): New customizable variable.
	(gdb-speedbar-expand-node): Ask user for confirmation before expanding
	large structures/arrays.

2007-01-04  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (find-file-noselect-1, set-visited-file-name):
	Allow backup-enable-predicate to be nil.

2007-01-04  Andreas Schwab  <schwab@suse.de>

	* progmodes/ebrowse.el (ebrowse-global-prefix-key): Fix typo in
	last change.

2007-01-03  Richard Stallman  <rms@gnu.org>

	* woman.el (woman-decode-buffer): Clarify error message.

2007-01-03  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-mask-paragraph): Fix yesterday's buggy patch.

2007-01-03  Chris Moore  <christopher.ian.moore@gmail.com>

	* tutorial.el (tutorial--describe-nonstandard-key): Fix typo.

2007-01-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* iswitchb.el (iswitchb-global-map): Use command-remapping if available.

2007-01-02  Juanma Barranquero  <lekktu@gmail.com>

	* emulation/viper.el (viper-custom-file-name, viper-mode):
	Fix typos in docstrings.

	* subr.el (momentary-string-display): After moving point, set POS
	variable to it to avoid later errors once the buffer is modified.
	Doc fix.

2007-01-02  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-mask-paragraph): In a block comment,
	check that the "*/" is present before trying to manipulate it.

2007-01-02  Richard Stallman  <rms@gnu.org>

	* wid-edit.el (widget-choose): Avoid ugly error for function keys.

	* progmodes/cfengine.el (cfengine-font-lock-syntactic-keywords):
	Fix format of value.

	* cus-edit.el (customize-unsaved): Rename from customize-customized.
	Change messages accordingly.
	(customize-customized): Now alias.

2007-01-02  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (version-control): Doc fix.

2007-01-01  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-guess-basic-syntax, case 5N):
	Check the format of c-state-cache is valid for an optimisation before
	using it.

	* progmodes/cc-engine.el (c-guess-basic-syntax): New case 5Q "we
	are at a statement within a macro".  Other changes so that only
	the first continuation line in a macro gets the symbol
	`cpp-define-intro', the others getting `statement', or whatever.

	* progmodes/cc-cmds.el (c-context-line-break): When invoked within
	a string, preserve whitespace.  Add a backslash only when also in
	a macro.

	* progmodes/cc-defs.el: Correct typos.

	* progmodes/cc-cmds.el (c-context-line-break): Don't indent the
	new line after an escaped EOL in a string.

	* progmodes/cc-engine.el (c-forward-label): Recognise "foo:" as a
	label when it directly follows "else", "do", ....

	* progmodes/cc-engine.el (c-backward-<>-arglist): Tolerate empty
	angle brackets (as seen in "explicit specialisations" of C++
	templates).

	* progmodes/cc-vars.el (c-indentation-style): Mention c-file-style
	in the doc-string.

	* progmodes/cc-cmds.el (c-mask-paragraph): Fix for C comments,
	when the comment ender looks like "=========*/" and is alone on
	its line.

	* progmodes/cc-langs.el, progmodes/cc-engine.el: Correct the
	spelling of c-opt-op-identiTier-prefix, t -> f.  Leave an alias
	for the old name.

	* progmodes/cc-mode.el: Bind C-M-a and C-M-e to
	c-\(beginning\|end\)-of-defun by default.

	* progmodes/cc-align.el (c-lineup-gnu-DEFUN-intro-cont):
	New line-up function, for the DEFUN macro in the Emacs C sources.
	Only used in "gnu" style.

	* progmodes/cc-styles.el (c-style-alist): Use this new function in
	the "gnu" style.

	* progmodes/cc-cmds.el (c-electric-slash): Extend the handling of
	clean-up comment-close-slash also to work when there's a comment
	terminator on the line.
	(c-beginning-of-defun, c-end-of-defun): Refactor and optimise
	these for large arg - only take account of top level {..}, except
	for initial and final adjustments.  M-- C-M-[ae] now go to the
	right defuns when the starting point is between defuns.  They use
	the four new functions:
	(c-in-function-trailer-p, c-where-wrt-brace-construct)
	(c-backward-to-nth-BOF-{, c-forward-to-nth-EOF-}): New functions to
	support c-\(beginning\|end\)-of-defun.

	* progmodes/cc-engine.el (c-forward-label): Analyze ":"
	expressions more rigorously, to exclude bit-field specifiers from
	being classed as labels.
	(c-forward-label): When analyzing a ":" within a macro, be careful
	about using c-forward-syntactic-ws at the macro beginning.
	(c-beginning-of-decl-1): Whilst searching for "=" as evidence of a
	stmt boundary, check for "operator=", etc.

	* progmodes/cc-mode.el (c-postprocess-file-styles):
	Bind inhibit-read-only to t, around the call to
	c-remove-any-local-eval-or-mode-variables, so that it works on a
	RO file.

	* progmodes/cc-defs.el (c-version): Update the version number to
	"5.31.4".

2007-01-01  Richard Stallman  <rms@gnu.org>

	* isearch.el (isearch-done): Use FOUND-POINT or FOUND-START
	only if we restored isearch-window-configuration.

2006-12-31  Romain Francoise  <romain@orebokech.com>

	* net/tramp.el (tramp-default-method): Don't use `symbol-function'.

2006-12-31  Kim F. Storm  <storm@cua.dk>

	* files.el (auto-mode-case-fold): New defcustom.
	(set-auto-mode): If non-nil, perform second case-sensitive pass
	through auto-mode-alist if first pass failed.

2006-12-30  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/easy-mmode.el (define-global-minor-mode): Doc fix.

2006-12-30  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-encrypt-string): Handle symmetric-key
	passphrase caching but leave keypair caching to pgg.

2006-12-30  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.0.55.

	* net/tramp.el (tramp-completion-mode): Use `wholenump' instead of
	`integerp'.  `char-equal' could fail else in case of negative
	numbers.  Reported by Toby Speight <T.M.Speight.90@cantab.net>.
	(top): Check for `font-lock-add-keywords' before calling; it
	doesn't exist under XEmacs.
	(tramp-yn-prompt-regexp): Fix regexp.  Add question from plink.
	(tramp-completion-mode): Remove clause (not
	tramp-unified-filenames), because the function is called in other
	context too, where this check results in wrong results in the
	XEmacs case on Windows.
	(tramp-touch): UTC handling is not possible for XEmacs.

2006-12-30  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* scroll-bar.el (previous-scroll-bar-mode): New variable
	(set-scroll-bar-mode): Set previous-scroll-bar-mode.
	(scroll-bar-mode): Use previous-scroll-bar-mode if set.

	* term/x-win.el: Set scroll bar mode to right if set by X resources.

2006-12-30  Richard Stallman  <rms@gnu.org>

	* files.el (make-backup-file-name-1): Precompute abs name
	but don't lose the relative name.

	* international/mule-cmds.el (select-safe-coding-system-interactively):
	Fix message.

2006-12-30  Kevin Rodgers  <kevin.d.rodgers@gmail.com>  (tiny change)

	* files.el (backup-buffer): Show entire backup file name in msg.

2006-12-30  Juanma Barranquero  <lekktu@gmail.com>

	* image.el (image-type-header-regexps, image-type-from-data)
	(image-type-from-buffer, image-type-from-file-header):
	Revert changes from 2006-12-26.
	(image-type-auto-detectable): New variable.
	(image-type-auto-detected-p): New function.

	* files.el (magic-mode-alist): Detect image files with
	`image-type-auto-detected-p' instead of `image-type-from-buffer'.

2006-12-29  Nick Roberts  <nickrob@snap.net.nz>

	* dired.el (dired-sort-other): Move test for dired-mode...
	(dired-sort-set-modeline): ...to here.

2006-12-29  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* textmodes/fill.el (fill-comment-paragraph): Document 2006-12-24
	change.  Suggested by Stefan Monnier.

2006-12-29  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/bindat.el (bindat--unpack-group, bindat--length-group)
	(bindat--pack-group): Let-bind COUNT during repeat block evaluation.

2006-12-27  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/authors.el (authors-aliases): Anchor FSF alias regexp,
	so it doesn't accidentally match an fsf.org mail address.
	(authors-renamed-files-alist): Add tcover-*.el.

2006-12-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-arch.el (vc-arch-find-version): New function.

	* vc-hooks.el (vc-version-backup-file-name): Revision names may be
	composed of arbitrary characters (even /) in some systems.

2006-12-27  Eli Zaretskii  <eliz@gnu.org>

	* international/mule-cmds.el (select-safe-coding-system-interactively):
	Improve the message in the *Warning* buffer.

2006-12-27  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-set-matches-1): Fix last change.  If default item is
	current buffer, it is ok to be first.

2006-12-27  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (select-safe-coding-system-interactively):
	Use face `link' for problematic chars.

2006-12-27  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (select-safe-coding-system-interactively):
	Improve the message in *Warning* buffer.

2006-12-27  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-set-matches-1): Never put current buffer first if
	there are other matches.

2006-12-26  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gud-watch): Allow duplicate names for watch
	expressions.
	(gdb-var-delete): Handle duplicate names.  Print message for non
	root expressions.
	(gdb-partial-output-name): Start buffer name with a space.
	(gdb-info-breakpoints-custom, gdb-reset): Handle space in above
	buffer name.

2006-12-26  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* mail/footnote.el (Footnote-insert-footnote): Fix the search of the
	last footnote when `footnote-spaced-footnotes' is nil.

2006-12-26  Richard Stallman  <rms@gnu.org>

	* cus-edit.el (custom-browse-sort-alphabetically)
	(custom-buffer-sort-alphabetically)
	(custom-menu-sort-alphabetically): Doc fixes.  Add autoloads.

	* image.el (image-type-header-regexps): Change element format
	to include third item NOT-ALWAYS.
	(image-type-from-data): Handle new format.
	(image-type-from-buffer): Handle new format.  New arg INCLUDE-MAYBES.
	(image-type-from-file-header): Pass t for INCLUDE-MAYBES.

2006-12-26  Guanpeng Xu  <herberteuler@hotmail.com>

	* add-log.el (add-log-current-defun): Call `forward-sexp'
	multiple times to pick a member function name defined as
	part of nested classes/namespaces.

2006-12-26  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* emacs-lisp/easymenu.el (easy-menu-change): New arg MAP to indicate
	which keymap should be used to change menu.  It does not affect any
	existent code.

2006-12-26  Richard Stallman  <rms@gnu.org>

	* textmodes/fill.el (fill-paragraph): Check for a minibuffer
	rather than for being in a minibuffer window.

2006-12-25  Daiki Ueno  <ueno@unixuser.org>

	* pgg-def.el (pgg-passphrase-coding-system): Default to nil instead of
	locale-coding-system.
	* pgg-gpg.el (pgg-gpg-process-region): Encode passphrase with eol-type
	LF.

2006-12-25  Michael R. Mauger  <mmaug@yahoo.com>

	* progmodes/sql.el (sql-mode-abbrev-table): Correct initialization.
	(sql-mode-syntax-table): Disable double quoted strings.
	(sql-mode-font-lock-object-name): Add TYPE and TYPE BODY.

2006-12-25  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* startup.el (fancy-splash-last-input-event): New variable.
	(fancy-splash-special-event-action): New function.
	(fancy-splash-screens): Temporarily bind special events to it.
	Execute command for saved special event before exiting from
	recursive editing.

	* term/mac-win.el (mac-keyboard-translate-char, mac-unread-string):
	New functions.
	(mac-ts-update-active-input-area, mac-ts-unicode-for-key-event):
	Use mac-unread-string.

2006-12-24  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* textmodes/fill.el (fill-comment-paragraph): Prevent the use of
	an optimized comment regexp if `comment-start-skip' uses a ^.
	* bs.el (bs--up): Remove interactive spec.

2006-12-24  Chong Yidong  <cyd@stupidchicken.com>

	* woman.el (woman-decode-buffer): Signal error for alien macro sets.
	Suggested by James Cloos.

2006-12-24  Kevin Ryde  <user42@zip.com.au>

	* calendar/cal-dst.el (calendar-dst-starts): Default to second Sunday
	in March.
	(calendar-dst-ends): Default to first Sunday in November.

2006-12-24  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-encrypt-string): Inhibit use of agent within
	body of let form where encryption happens.  Acknowledge non-use of
	gpg-agent in docstring.
	(allout-toggle-subtree-encryption): Acknowledge non-use of
	gpg-agent in docstring.

2006-12-24  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el (custom-add-frequent-value): Alias for custom-add-option.

2006-12-23  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff-diff.el (ediff-diff-options): Clarify docstring.
	(ediff-setup-diff-regions): Disallow -u in ediff-diff-options.

	* emulation/viper-cmd.el (viper-post-command-sentinel):
	Protect against errors in hooks.
	(viper-add-newline-at-eob-if-necessary): Add newline only if we
	actually modify buffer; ignore errors if occur.

2006-12-23  Chong Yidong  <cyd@stupidchicken.com>

	* calendar/calendar.el (calendar-mode-map): Switch < and >.
	(calendar-mode-line-format): Use mouse-1 bindings, and tweak
	formatting.

2006-12-23  Richard Stallman  <rms@gnu.org>

	* simple.el (delete-horizontal-space): Doc fix.

2006-12-23  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (bootstrap-clean): Run bootstrap-clean-$(SHELLTYPE)
	explicitly in a recursive Make, not implicitly through prerequisites,
	since the latter is wrong under parallel builds.

2006-12-22  Eli Zaretskii  <eliz@gnu.org>

	* w32-fns.el (convert-standard-filename): Wrap in save-match-data.

2006-12-22  Kevin Rodgers  <kevin.d.rodgers@gmail.com>  (tiny change)

	* progmodes/sh-script.el (sh-make-vars-local): Fix a typo in
	message string.

2006-12-22  Ben North  <ben@redfrontdoor.org>  (tiny change)

	* outline.el (outline-next-visible-heading): Fix the case with a
	header at end-of-file with no final newline.

2006-12-22  Robert Thorpe  <rthorpe@realworldtech.com>  (tiny change)

	* indent.el (tab-always-indent): Doc fix.

2006-12-22  Chong Yidong  <cyd@stupidchicken.com>

	* info.el (Info-fontify-maximum-menu-size): Bump to 1000000.
	(Info-fontify-node): Do fontify indices.

	* tutorial.el (tutorial--detailed-help): Remove unnecessary link
	to the Emacs Lisp reference manual.
	(tutorial--tab-map): Remove.  All callers changed.
	(tutorial--find-changed-keys): New elt QUIET, used to...
	(tutorial--display-changes): ...ensure that warning messages are
	only issued once per changed key.
	(tutorial--remove-remarks): Delete unused code-path.
	(lang-strings): Remove extraneous formatting.
	(tutorial--save-tutorial): Prompt before saving tutorial state.

2006-12-21  Chong Yidong  <cyd@stupidchicken.com>

	* tutorial.el: Remove `cl' requirement.  Clean up whitespace.
	Replace '?\ ' by '?\s' throughout.
	(tutorial-warning-face): Inherit font-lock-warning-face.  Move to
	`help' custom group.
	(tutorial--key-description): New function.
	(tutorial--display-changes): Remove redundant arg.  Scan for all
	key sequences to avoid false matches.  Cleanup.
	(tutorial--saved-dir): Save to a subdirectory in .emacs.d to
	reduce homedir pollution.
	(help-with-tutorial): Call tutorial--display-changes with no arg.

2006-12-21  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-mode-map): Bind org-complete also to M-\t.

2006-12-20  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-default-method): We still need to check for
	`executable-find', because it is not bound under Emacs 20.
	(tramp-handle-file-name-completion)
	(tramp-completion-handle-file-name-completion): Handle optional
	parameter PREDICATE.
	(tramp-find-default-method): Add code for default values.

2006-12-20  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-stopped): After attaching to a process
	make gud-go send "continue".

2006-12-19  Juanma Barranquero  <lekktu@gmail.com>

	* image.el (image-type-header-regexps): Be more specific detecting `pbm'
	and `png' files.  Use non-capturing parenthesis for `tiff' regexp.

2006-12-19  Kim F. Storm  <storm@cua.dk>

	* bindings.el: Bind sigusr1 and sigusr2 in special-event-map
	instead of global-map.

	* files.el (magic-mode-alist): Allow matching file type by
	calling a function at bob.  Check for image types by calling
	image-type-from-buffer.  Suggested by Juanma Barranquero.
	(set-auto-mode): Do it.

2006-12-19  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods): Introduce new method `scpc'.
	Remove "ControlMaster" option from the other `scp*' methods.
	(tramp-default-method): Check for ssh-agent before setting to `scp'.

2006-12-18  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-mode): Show context after isearch.
	(org-show-siblings): New function.
	(org-show-context): Use `org-show-siblings'.

2006-12-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/syntax.el (syntax-ppss-flush-cache, syntax-ppss):
	Use syntax-ppss-toplevel-pos.

2006-12-18  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-current-line): Make sure that lines are
	counted from beginning of buffer.
	(org-table-copy-region, org-table-paste-rectangle): Make sure that
	lines are counted from beginning of buffer.

2006-12-17  Chong Yidong  <cyd@stupidchicken.com>

	* info.el (Info-build-node-completions): Signal error if tag-table
	marker is not found.

	* pgg-gpg.el (pgg-gpg-use-agent): Default to t.

2006-12-17  Alan Mackenzie  <acm@muc.de>

	* emacs-lisp/lisp.el (beginning-of-defun-raw): Optimise (for
	speed) the case when open-paren-in-column-0-is-defun-start is nil.
	Based on code by Martin Rudalics.

	* progmodes/cc-mode.el (c-basic-common-init): Don't set
	open-paren-in-column-0-is-defun-start to nil any more.

2006-12-17  Richard Stallman  <rms@gnu.org>

	* simple.el (delete-horizontal-space): Use prefix arg.

	* help-fns.el (describe-variable): Improve blank separator lines.

	* files.el (magic-mode-alist): Mark as risky.

	* files.el (make-backup-file-name-1):
	Expand backup-directory explicitly.

2006-12-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-default-method): Before setting to "pscp",
	check whether package password.el is loaded, or Pageant is running.

2006-12-17  Ulf Jasper  <ulf.jasper@web.de>

	* calendar/icalendar.el (icalendar-version): Increase to "0.14".
	(icalendar--rris): First try Emacs, then XEmacs.
	(icalendar--convert-ical-to-diary): Doc fix.
	Insert newline at end of target file.

2006-12-17  Kim F. Storm  <storm@cua.dk>

	* outline.el (outline-isearch-open-invisible-function): New defvar.
	(outline-flag-region): Use it if non-nil for isearch-open-invisible
	overlay property instead of outline-isearch-open-invisible.

2006-12-16  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-completion-help): Build ido-cur-list and ido-matches
	if ido-directory-too-big is set on entry.
	(ido-toggle-ignore, ido-completion-help): Print message while
	reading big directory.

2006-12-15  Richard Stallman  <rms@gnu.org>

	* shell.el (shell): Doc fix.

2006-12-15  Kevin Gallagher  <Kevin.Gallagher@boeing.com>

	* emulation/edt.el (edt-xserver):
	* emulation/edt-mapper.el (edt-xserver): Replace `/' with a `-',
	to fix a problem on Cygwin.

	* emulation/edt.el
	* emulation/edt-mapper.el
	* emulation/edt-lk201.el
	* emulation/edt-pc.el
	* emulation/edt-vt100.el: Update maintainer's email address.

2006-12-15  Simon Marshall  <simon@gnu.org>

	* progmodes/cc-fonts.el (c-font-lock-declarations): Fix previous change.

2006-12-15  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-atsu-font-table): Remove defvar.
	(mac-handle-font-selection): Use mac-atsu-font-face-attributes
	instead of mac-atsu-font-table.
	(fontset-default): Specify argument MAXIMUM in x-list-fonts calls.

2006-12-14  Stephen Leake  <stephen_leake@member.fsf.org>

	* align.el (align-match-tex-pattern): Fix a rare bug which
	hanged Emacs.

2006-12-14  Richard Stallman  <rms@gnu.org>

	* startup.el (use-fancy-splash-screens-p): Use frame-height
	instead of window-height.  Pass frame to image-size.

2006-12-13  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (set-locale-environment):
	Set default-sendmail-coding-system too.

2006-12-12  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlw-help.el: Fix copyright notice.

2006-12-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/syntax.el (syntax-ppss-toplevel-pos): New fun.

2006-12-11  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (unread-command-char): Reformat obsolescence info.

2006-12-11  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/cl-macs.el (defstruct): Suppress warnings
	about calls to cl-struct-setf-expander.

2006-12-11  Juanma Barranquero  <lekktu@gmail.com>

	* ediff-merg.el (ediff-show-clashes-only): Doc fix.
	(ediff-combination-pattern): Fix typo in docstring.

	* textmodes/refer.el (refer-find-entry): Doc fix.
	(refer-bib-files-regexp, refer-bib-directory, refer-bib-files)
	(refer-cache-bib-files, refer-find-next-entry, refer-yank-key):
	Fix tipos in docstrings.

	* progmodes/idlwave.el (idlwave-library-path): Fix typos in docstring.

2006-12-10  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-init-completion-maps): Remap backward-kill-word
	instead of binding M-backspace.

2006-12-10  Juanma Barranquero  <lekktu@gmail.com>

	* replace.el (replace-match-data, replace-match-maybe-edit):
	* calc/calc-aent.el (calc-eval-error):
	* emulation/vi.el (vi-char-argument):
	* progmodes/cc-langs.el (c-at-vsemi-p-fn)
	(c-vsemi-status-unknown-p-fn): Doc fixes.

2006-12-10  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el (menu-bar-showhide-menu, menu-bar-tools-menu)
	(menu-bar-help-menu): Tooltip fixes.  Suggested by Francis Wright.

2006-12-10  Masatake YAMATO  <jet@gyve.org>

	* progmodes/ld-script.el (ld-script-keywords): Fix a typo.

2006-12-09  Chong Yidong  <cyd@stupidchicken.com>

	* mouse-sel.el (mouse-sel-mode): Register mouse-2 as a click type.

	* man.el (Man-xref-button-action): New function.  If the
	`Man-target-string' button property is a function, assume it
	accepts a position argument.
	(Man-abstract-xref-man-page): Use it.
	(Man-default-man-entry): New optional arg POS.

	* wdired.el (wdired-preprocess-symlinks): Make the spaces after
	symlink arrows read-only and non-rear-sticky.

2006-12-09  Martin Rudalics  <rudalics@gmx.at>

	* wdired.el (wdired-change-to-wdired-mode, wdired-finish-edit)
	(wdired-search-and-rename): Simplify code.
	(wdired-preprocess-files, wdired-preprocess-perms): Make
	read-only property of preceding character rear-nonsticky to
	avoid that it can be modified.  Put old-name and old-link
	properties on character preceding name and replace
	put-text-property by add-text-properties.
	(wdired-get-filename, wdired-get-previous-link): Get old-name
	and old-link properties from character preceding name and
	simplify code.
	(wdired-preprocess-perms, wdired-set-bit, wdired-toggle-bit)
	(wdired-perms-to-number): Make local-map property
	rear-nonsticky to avoid that text following permissions may be
	modified.  Use add-text-properties instead of put-text-property
	when changing a permission bit.
	(wdired-change-to-dired-mode): Remove stickiness properties.

2006-12-09  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule-cmds.el (register-input-method): Doc fix.

2006-12-09  Masayuki Ataka  <masayuki.ataka@gmail.com>  (tiny change)

	* cmuscheme.el (scheme-start-file): Use `let*', not `let'.

2006-12-09  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* textmodes/flyspell.el (flyspell-hack-local-variables-hook): New.
	Force buffer local defs evaluation on local variables loading.
	(flyspell-mode-on, flyspell-mode-off): Use it in
	`hack-local-variables-hook'.

2006-12-09  Eli Zaretskii  <eliz@gnu.org>

	* emacs-lisp/find-func.el (find-variable): Doc fix.

	* help-fns.el (variable-at-point): Doc fix.

	* w32-fns.el (w32-append-code-lines): New function.

2006-12-09  Romain Francoise  <romain@orebokech.com>

	* comint.el (comint-insert-input): Delete obsolete comment.

2006-12-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/browse-url.el (browse-url): Set DISPLAY to the one of the
	current frame, in case we're connected to several displays.

2006-12-08  Juanma Barranquero  <lekktu@gmail.com>

	* frame.el (other-frame): Doc fix.
	(set-frame-parameter): Fix typo in docstring.

2006-12-07  Kim F. Storm  <storm@cua.dk>

	* info.el (Info-index): Strip leading colon from topic.

2006-12-07  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-speedbar-buttons): Deal with references
	to pointers.

2006-12-05  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlwave.el (idlwave-xml-create-class-method-lists):
	Trim out spurious class inheritance "None" entries.

2006-12-05  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua-paste-pop-rotate-temporarily): Doc fix.
	(cua-paste-pop): Rework last change for
	cua-paste-pop-rotate-temporarily, so first M-y and C-y works alike,
	pasting the head of the kill-ring, and prefix arg C-u M-y inserts the
	text inserted by the last M-y command.

2006-12-05  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* cmuscheme.el (run-scheme, scheme-start-file): Search the start
	file in ~/.emacs.d as `init_SCHEMENAME.scm' instead.

	* shell.el (shell): Search the start file in ~/.emacs.d as
	`init_SHELLNAME.sh' instead.

2006-12-05  Glenn Morris  <rgm@gnu.org>

	* progmodes/cperl-mode.el (cperl-mode)
	* progmodes/f90.el (f90-mode-abbrev-table)
	* progmodes/fortran.el (fortran-mode-abbrev-table)
	* progmodes/octave-mod.el (octave-abbrev-table)
	* progmodes/sql.el (sql-mode-abbrev-table): Define abbrevs even
	if abbrev-table is non-nil (saved user abbrevs may have been restored).

	* progmodes/vhdl-mode.el (vhdl-mode-abbrev-table-init): Do not
	clear abbrev table, else saved abbrevs will not be restored.

2006-12-04  Juanma Barranquero  <lekktu@gmail.com>

	* facemenu.el (facemenu-unlisted-faces): Put obsolescence info in
	the call to `make-obsolete-variable', not in the docstring.

2006-12-04  Chong Yidong  <cyd@stupidchicken.com>

	* facemenu.el (facemenu-unlisted-faces): Define as obsolete variable.

2006-12-04  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* progmodes/ebnf-abn.el:
	* progmodes/ebnf-bnf.el:
	* progmodes/ebnf-dtd.el:
	* progmodes/ebnf-ebx.el:
	* progmodes/ebnf-iso.el:
	* progmodes/ebnf-otz.el:
	* progmodes/ebnf-yac.el:
	* progmodes/ebnf2ps.el:
	* delim-col.el:
	* printing.el:
	* ps-bdf.el:
	* ps-mule.el:
	* ps-print.el: Remove 'Time-stamp' comment mark.

	* printing.el (pr-menu-bind): Replace 'easy-menu-change' by
	'easy-menu-add-item' when called in Emacs 21 or higher.

2006-12-04  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-xref.el (ada-check-current): Doc fix.
	(ada-make-body-gnatstub): Doc fix.  Remove redundant `progn'.

2006-12-04  Kim F. Storm  <storm@cua.dk>

	* bindings.el (global-map): Bind [signal t] to ignore, to have
	user signals ignored by default.

2006-12-04  Juanma Barranquero  <lekktu@gmail.com>

	* descr-text.el (describe-char-unicode-data): Use a hidden buffer for
	Unicode data file pointed to by `describe-char-unicodedata-file'.

2006-12-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/sgml-mode.el (sgml-font-lock-keywords-1): Fix pathological
	O(n^2) regexp-search by anchoring the search.

2006-12-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* whitespace.el (whitespace-cleanup-internal): Use current
	argument for recursive call.

2006-12-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods): Add "ControlPath" and
	"ControlMaster" to scp, scp1 and scp2 methods.  Suggested by
	Andreas Schwab <schwab@suse.de>.
	(tramp-do-copy-or-rename-file-out-of-band)
	(tramp-open-connection-rsh): Compute format spec for ?t.
	(tramp-process-actions): Trace command parameters.

2006-12-04  Nick Roberts  <nickrob@snap.net.nz>

	* simple.el (toggle-truncate-lines): Clarify doc string.

	* progmodes/gdb-ui.el (gdb-var-delete-children): New function.
	(gdb-speedbar-expand-node): Use it.

2006-12-04  Richard Stallman  <rms@gnu.org>

	* progmodes/python.el (python-indent): Add safe-local-variable prop.

	* dired.el (dired-revert): Turn off dired-after-readin-hook
	around call to dired-readin.

	* menu-bar.el (menu-bar-make-toggle): Add "globally"
	to echo area messages.
	<indicate-empty-lines, case-fold-search>:
	Add "globally" to Help string.
	<case-fold-search>: MESSAGE arg need not say "globally".
	(menu-bar-edit-menu <paste-from-menu>): Rename from select-and-paste.

2006-12-03  Liam Healy  <lnp@healy.washington.dc.us>  (tiny change)

	* outline.el (outline-end-of-subtree): Don't leave an empty
	line hidden as we would a real next heading.

2006-12-03  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-ascend): Add an optional argument to preserve
	original position of point when unsuccessful.  Also, fix a
	docstring error.
	(allout-yank-processing): Fix depth shift of multiple-topic so yanks
	work again, using allout-ascend's new option.
	(allout-setup-mode-map): Extract from allout-mode to initialize
	allout-mode-map.  Call it on file load, so the mode docstring
	substitutions work even if allout mode has not yet been invoked.
	(allout-mode): Use new allout-setup-mode-map to track any keybinding
	customizations since the map was last processed.  Also, refine the
	docstring so it's ship-shape for release.
	(allout-default-layout, allout-beginning-of-line-cycles)
	(allout-distinctive-bullets-string, allout-use-mode-specific-leader)
	(allout-encrypt-unencrypted-on-saves, allout-inhibit-auto-fill)
	(allout-version, allout-layout, allout-infer-body-reindent)
	(allout-infer-header-lead-and-primary-bullet, allout-view-change-hook)
	(allout-init, allout-mode, allout-next-heading, allout-chart-subtree)
	(allout-previous-heading, allout-goto-prefix-doublechecked)
	(allout-current-bullet-pos, allout-next-sibling-leap)
	(allout-pre-command-business, allout-encrypted-type-prefix)
	(allout-make-topic-prefix, allout-open-topic, allout-rebullet-heading)
	(allout-rebullet-topic, allout-rebullet-topic-grunt)
	(allout-flag-region, allout-expose-topic, allout-expose-topic)
	(allout-old-expose-topic, allout-listify-exposed)
	(allout-process-exposed, allout-latex-verb-quote)
	(allout-latex-verbatim-quote-curr-line, allout-adjust-file-variable)
	(allout-toggle-current-subtree-encryption)
	(allout-toggle-subtree-encryption, allout-bullet-isearch):
	Remove extraneous open-paren and close paren string escapes.

2006-12-03  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/ada-xref.el (is-windows, ada-find-in-src-path): Doc fixes.
	(ada-xref-pos-ring-max, ada-xref-project-files, ada-xref-initialize)
	(ada-prj-default-comp-cmd, ada-quote-cmd, ada-compile-current):
	Fix typos in docstrings.

2006-12-03  Glenn Morris  <rgm@gnu.org>

	* progmodes/cc-align.el
	* progmodes/cc-awk.el
	* progmodes/cc-cmds.el
	* progmodes/cc-compat.el
	* progmodes/cc-defs.el
	* progmodes/cc-engine.el
	* progmodes/cc-langs.el
	* progmodes/cc-menus.el
	* progmodes/cc-mode.el
	* progmodes/cc-styles.el
	* progmodes/cc-vars.el
	* progmodes/vhdl-mode.el: Fix Copyright format.

2006-12-02  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (mouse-drag-track): Suppress automatic hscrolling for
	initial down event.

2006-12-02  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua-toggle-set-mark): Doc fix.
	(cua-repeat-replace-region): Make M-v more robust.
	(cua-paste-pop-rotate-temporarily): New defcustom.
	(cua-paste-pop): Use it.
	(cua-auto-mark-last-change): New defcustom.
	(cua-pop-to-last-change): New helper function.
	(cua-set-mark): Use them.

2006-12-01  Nick Roberts  <nickrob@snap.net.nz>

	* menu-bar.el (toggle-case-fold-search): Clarify doc/help string and
	mini-buffer message.

2006-12-01  Juanma Barranquero  <lekktu@gmail.com>

	* descr-text.el (describe-char-unicodedata-file): Fix typo in docstring.

2006-12-01  Ben North  <ben@redfrontdoor.org>

	* paren.el: Fix the highlight overlay extension when the user types a
	sequence of char very fast just before the open parenthesis.

2006-12-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-mule.el: Eliminate Emacs 20 compatibility.

	* ps-print.el: Eliminate Emacs 20 & 21 compatibility.
	(ps-print-version): New version 6.7.
	(ps-print-quote): Replace '?\ ' by '?\s'.

2006-11-30  Juanma Barranquero  <lekktu@gmail.com>

	* hexl.el (hexl-goto-address, hexl-forward-char, hexl-forward-short)
	(hexl-forward-word, hexl-previous-line, hexl-beginning-of-1k-page)
	(hexl-end-of-1k-page): Doc fixes.
	(hexl-address-region, hexl-ascii-region, hexl-highlight-line-range):
	Fix typos in docstrings.

2006-11-30  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* ido.el (ido-local-file-exists-p): New.  Tell if a file exists
	locally, i.e. without using file name handlers.
	(ido-read-internal): Allow mono letter host names, avoiding the
	`c:' problem by testing if the file exists locally.
	(ido-complete, ido-make-file-list, ido-exhibit): Ditto.

2006-11-30  Masatake YAMATO  <jet@gyve.org>

	* hexl.el (hl-line-range-function, hl-line-face): Declare variables
	to avoid bytecomp warnings.
	(hexl-mode-old-ruler-function): New variable.
	(hexl-follow-line): Bind `hexl-mode-old-hl-line-range-function'
	and `hl-line-range-function' after `require' hl-line.
	Then bind `hl-line-range-function' and `hl-line-face'.
	Don't require frame.  Don't use `with-no-warnings'.
	(hexl-activate-ruler): Store the original value of
	`ruler-mode-ruler-function' to `hexl-mode-old-ruler-function'.
	(hexl-mode-exit): Restore the original value of
	`ruler-mode-ruler-function'.

2006-11-30  Alin C. Soare  <alinsoar@voila.fr>  (tiny change)

	* hexl.el (hexl-mode-old-hl-line-range-function): New variable.
	(hexl-mode-old-hl-line-face): New variable.
	(hexl-mode, hexl-mode-exit): Fix the highlighting of the current
	line when exit from the hexl-mode.

2006-11-30  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/bytecomp.el (byte-optimize, byte-compile-warnings):
	Doc fixes.

	* international/fontset.el (create-fontset-from-ascii-font)
	(create-fontset-from-fontset-spec, x-compose-font-name): Doc fixes.
	(fontset-name-p): Fix typo in docstring.

	* progmodes/cc-cmds.el (c-indent-exp): Fix typo in docstring.

2006-11-30  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-bdf.el: Fix maintainer email.

	* ps-mule.el: Fix maintainer email.  Define functions for Emacs 20
	compatibility.

	* ps-print.el: Fix maintainer email.  Define functions for Emacs 20 &
	21 compatibility.
	(ps-print-quote): Replace '?\s' by '?\ ' to keep compatibility with
	Emacs 20 & 21.

2006-11-29  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlwave.el (idlwave-auto-fill):
	Remove paragraph-start let to prevent auto-fill giving up.

2006-11-28  Juanma Barranquero  <lekktu@gmail.com>

	* vt100-led.el (led-state): Fix typo in previous change.

2006-11-27  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* emacs-lisp/easy-mmode.el (easy-mmode-define-navigation):
	Fix interactive spec of the functions getting defined to make them
	work as documented.

2006-11-28  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-splash-screens): Hide initial splash buffer.

2006-11-28  Kim F. Storm  <storm@cua.dk>

	* icomplete.el (icomplete-tidy, icomplete-exhibit): Check that
	icomplete-mode is enabled.

2006-11-28  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (require): Require gnus-sum during compilation
	to avoid problem with a macro call.

2006-11-28  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-aliases): Add new alias.

	* progmodes/fortran.el (fortran-font-lock-keywords-4): Add `min'.
	(fortran-window-create-momentarily): Do not need string-to-char.

2006-11-28  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-get-constant):
	Replace incorrect use of assoc-default with a loop.

	* term.el (term-exec-1): Set envvar INSIDE_EMACS.

	* simple.el (next-error-find-buffer): Improve messages.

	* files.el (revert-buffer): Special error message if file
	is now not readable.

	* facemenu.el (facemenu-add-new-face): Improve doc strings of
	constructed commands.

	* comint.el (comint-exec-1): Provide Emacs version and `comint'
	in INSIDE_EMACS.

2006-11-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-mode-map): Add a binding for unified->context.

	* server.el: Remove spurious * in docstrings.
	(server-process-filter): Exit from recursive editing before processing
	a new request.

2006-11-27  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/hideshow.el (hs-already-hidden-p): Move to end of
	line so hidden blocks will be correctly identified.

2006-11-27  Juanma Barranquero  <lekktu@gmail.com>

	* ledit.el (ledit-save-defun, ledit-mode):
	* resume.el (resume-emacs-args-buffer):
	* rot13.el (rot13-display-table, rot13-translate-table, rot13)
	(rot13-string, rot13-region, rot13-other-window, toggle-rot13-mode):
	* vmsproc.el (subprocess-input, start-subprocess, subprocess-command)
	(command-send-input, command-kill-line):
	* vt100-led.el (led-state, led-on): Fix typos in docstrings.

	* autoarg.el (autoarg-kp-mode): Doc fix.

	* emacs-lock.el (toggle-emacs-lock): Doc fix.  Simplify.
	(emacs-lock-check-buffer-lock): Doc fix.  Use `when'.
	(check-emacs-lock): Doc fix.  Simplify.

	* iimage.el (iimage-mode-image-regex-alist): Doc fix.
	(iimage-mode-buffer): Fix typos in docstring.

	* misc.el (zap-up-to-char): Doc fix.

	* time-stamp.el: Fix comment and obsolescence string for old
	functions.  Use `dolist' instead of `while'.

	* userlock.el (ask-user-about-lock-help): Fix typos in output message.

	* disp-table.el (standard-display-8bit, standard-display-default):
	* ebuff-menu.el (electric-buffer-list):
	* ehelp.el (electric-help-command-loop):
	* font-core.el (font-lock-mode):
	* help-macro.el (make-help-screen):
	* help.el (describe-minor-mode-completion-table-for-indicator)
	(lookup-minor-mode-from-indicator):
	* indent.el (tab-to-tab-stop, move-to-tab-stop):
	* info-look.el (info-lookup-guess-custom-symbol):
	* locate.el (locate-main-listing-line-p, locate-mode, locate-do-setup):
	* longlines.el (longlines-wrap-line):
	* macros.el (insert-kbd-macro):
	* menu-bar.el (menu-bar-update-buffers):
	* misc.el (copy-from-above-command):
	* mouse.el (mouse-popup-menubar, mouse-buffer-menu-alist):
	* newcomment.el (comment-indent):
	* novice.el (disabled-command-function):
	* sort.el (sort-fields-syntax-table):
	* subr.el (momentary-string-display):
	* tar-mode.el (tar-header-block-summarize)
	(tar-clear-modification-flags):
	* terminal.el (terminal-cease-edit, te-more-break-unwind, te-newline)
	(te-clear-rest-of-line, te-clear-rest-of-screen, te-clear-screen)
	(te-insert-lines, te-delete-lines, te-delete, te-insert-spaces)
	(te-delete-char, te-down-vertically-or-scroll):
	* time-stamp.el (time-stamp-string-preprocess):
	* tmm.el (tmm-add-one-shortcut): "?\ " -> "?\s".

2006-11-26  Nick Roberts  <nickrob@snap.net.nz>

	* speedbar.el (speedbar-timer-fn): Revert to old behaviour when not
	in GUD mode.

	* progmodes/gud.el (gud-install-speedbar-variables): Remove bindings:
	speedbar-expand-line-descendants, speedbar-contract-line-descendants.

2006-11-26  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* progmodes/cc-vars.el (c-backslash-column): Add . at end of sentence.

2006-11-26  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-mode.el (ada-which-compiler): Fix typo in docstring.
	(ada-compile-goto-error): Adapt to new argument profile of
	compilation-goto-locus in Emacs 22.  Don't check if the various
	compile functions are defined; we already do "(require 'compile)".

2006-11-26  Kim F. Storm  <storm@cua.dk>

	* kmacro.el: Fix commentary.

2006-11-26  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gdb): Explain how to run in text command mode
	more clearly.  Say in error message that multiple debugging
	requires restarting GDB.

2006-11-25  Juanma Barranquero  <lekktu@gmail.com>

	* international/fontset.el (create-fontset-from-fontset-spec): Doc fix.

2006-11-25  Pavel Kobiakov  <pk_at_work@yahoo.com>

	* progmodes/flymake.el (flymake-posn-at-point-as-event): New function.
	(flymake-popup-menu): Use it instead of posn-at-point.

2006-11-25  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* progmodes/cc-vars.el (c-backslash-column):
	Mention c-backslash-max-column in documentation for c-backslash-column.

2006-11-24  Lars Hansen  <larsh@soem.dk>

	* net/tramp.el (tramp-default-method): Under Windows, change from
	plink to pscp.
	(tramp-copy-failed-regexp, tramp-action-copy-failed): Add.
	(tramp-actions-copy-out-of-band):
	Add pair (tramp-copy-failed-regexp tramp-action-copy-failed).
	(tramp-action-out-of-band): Move "Permission denied" handling to
	tramp-action-copy-failed.
	(tramp-do-copy-or-rename-file-out-of-band): unwind-protect killing of
	process buffer.

2006-11-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pgg-pgp.el (pgg-pgp-process-region): Change `args' from a list of
	strings to a single string.  Quote `errors-file-name'.
	(pgg-pgp-encrypt-region, pgg-pgp-decrypt-region, pgg-pgp-sign-region)
	(pgg-pgp-verify-region, pgg-pgp-insert-key, pgg-pgp-snarf-keys-region):
	Adjust calls.  Use `shell-quote-argument'.

	* international/mule.el (load-with-code-conversion)
	(with-category-table): Use with-current-buffer.
	(after-insert-file-set-coding): Use restore-buffer-modified-p.

2006-11-24  Eli Zaretskii  <eliz@gnu.org>

	* mail/smtpmail.el (smtpmail-send-it):
	Copy buffer-file-coding-system from the mail buffer.  Possibly add a
	MIME header for the message encoding.
	Bind coding-system-for-write around the call to mail-do-fcc.
	Use smtpmail-code-conv-from to encode queued mail messages.

2006-11-24  Juanma Barranquero  <lekktu@gmail.com>

	* tabify.el (tabify-regexp): Doc fix.

	* net/rcirc.el (rcirc-buffer-maximum-lines):
	* progmodes/gud.el (jdb): Fix space/tab mixup in docstrings.

	* play/gomoku.el (gomoku-terminate-game, gomoku-human-takes-back)
	(gomoku-prompt-for-move, gomoku-human-plays, gomoku-offer-a-draw):
	Fix typos in output messages.
	(gomoku-vector-length, gomoku-init-board): Fix typos in docstrings.

2006-11-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* hexl.el (hexl-mode): Don't try to guess the max-address: get it from
	the horse's mouth.
	(hexlify-buffer): Don't re-encode an arg that's already encoded.

2006-11-23  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff-diff.el (ediff-exec-process, ediff-same-file-contents):
	Remove condition-case.

2006-11-23  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-comment-indent): Do not move point in
	default case.

2006-11-21  Romain Francoise  <romain@orebokech.com>

	* emacs-lisp/find-func.el (find-library-name): Don't strip ".el"
	from library name (reverts change of 2005-10-25).

2006-11-21  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* tutorial.el (tutorial--default-keys): Add newline and
	delete-backward-char bindings.
	(tutorial--detailed-help): Save excursion when finding keys.
	Correct warning string for M-x FOO case.
	(tutorial--display-changes): Print special keys in tutorial style.
	Tweak search regexp for changed keys.

2006-11-21  Bob Rogers  <rogers-emacs@rgrjr.dyndns.org>  (tiny change)

	* thingatpt.el (thing-at-point-url-at-point): Don't add a
	redundant scheme.

2006-11-21  Diane Murray  <disumu@x3y2z1.net>  (tiny change)

	* thingatpt.el (thing-at-point-uri-schemes): Add schemes that
	are new to the list at IANA.  Also added irc, mms, mmsh.

2006-11-20  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlw-help.el (idlwave-html-help-location):
	Fail gracefully for missing help packages.
	(idlwave-help-assistant-open-link): Open full links.
	(idlwave-help-assistant-help-with-topic): Direct help link.

	* progmodes/idlwave.el (idlwave-mode):
	Set add-log-current-defun-function.
	(idlwave-current-routine-fullname): Add, to support add-log.
	(idlwave-convert-xml-system-routine-info): Simplify XML parsing
	to reflect improvements to xml-parse-file.
	(idlwave-mode-menu-def): New binding for help-with-topic.

	* progmodes/idlw-shell.el (idlwave-shell-filter-directory):
	Handle extra newlines and spaces.
	(idlwave-shell-mode-map): Add help-with-topic.

2006-11-20  Chong Yidong  <cyd@stupidchicken.com>

	* tutorial.el (tutorial-warning-face): New face.
	(tutorial--detailed-help, tutorial--display-changes): Use it.
	(tutorial--find-changed-keys): Check ESC-prefix binding specially.
	Improve search pattern for occurrences of changed keys.

2006-11-20  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-last-cut-buffer-coding): New variable.
	(x-select-text): Set it.
	(x-cut-buffer-or-selection-value): Check also x-last-cut-buffer-coding
	when checking for newness.

2006-11-19  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (posn-image):
	* progmodes/ebnf2ps.el (ebnf-stop-on-error): Fix typos in docstrings.

	* emacs-lisp/regexp-opt.el (regexp-opt): Doc fix.

2006-11-19  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* progmodes/glasses.el (glasses-separate-parentheses-exceptions): New.
	Exceptions to the rule "add a space between an identifier and an
	opening parenthesis".  Defaulted to the `#define' problem of cpp.
	(glasses-parenthesis-exception-p): New.  Check if the region is an
	exception regarding to that.
	(glasses-make-readable): Use it.
	(glasses-convert-to-unreadable): Ditto.  Modify the file also if
	`glasses-convert-on-write-p' and `glasses-separate-parentheses-p' are t.

2006-11-19  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/bytecomp.el (byte-compile-if): Revert last change.

2006-11-19  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-mode.el (ada-make-body): Fix typo.

	* progmodes/ada-xref.el (ada-make-body-gnatstub): Fix typo.
	(ada-xref-initialize): Fix typo.  Use add-hook and remove-hook.

2006-11-18  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/bytecomp.el (byte-compile-maybe-guarded): Check `and'
	conditions for function or variable bindings.

	* comint.el (comint-exec-1): Set EMACS and INSIDE_EMACS to t.

	* progmodes/compile.el (compilation-start): Ditto.

2006-11-18  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (top): cl and custom are always required.

2006-11-18  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-cut-buffer-or-selection-value): Decode text from
	cut-buffers with next-selection-coding-system if not nil.

2006-11-17  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-fix-decoded-time): New function.
	(org-display-custom-time): Use `org-fix-decoded-time'.

2006-11-17  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el (menu-bar-games-menu): Remove yow.

2006-11-17  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-scan-tags): Re-align code fixed.
	(org-detach-overlay): Rename from `org-detatch-overlay'.
	(org-table-convert-region): Insert space after column separator.
	(org-agenda-kill): New command.
	(org-metaleft): Call `org-outdent-item' on bullets.
	(org-metaright): Call `org-indent-item' on bullets.
	(org-timestamp-change): Set `org-last-changed-timestamp'.
	(org-current-line): Make sure (bolp) returns correct result.
	(org-agenda-change-all-lines): Make sure TODO are highlighted.

2006-11-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-retrieve-revision): Set buffer-file-coding-system.

2006-11-16  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (global-map): Change 2006-08-16 fix to call
	mouse-yank-at-click explicitly, since mouse events are not carried
	over into keyboard macros.

2006-11-16  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-file-internal): Use current buffer's file name as default
	choice for ido-find-alternate-file.  Suggested by Matt Hodges.

2006-11-15  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-doublecheck-at-and-shallower): Clarify docstring.
	(allout-inhibit-aberrance-doublecheck): Rename from
	allout-during-yank-processing.  All callers changed.
	(allout-ascend): Provide for unusual case where some topic after
	the first in file is at lower depth than the first.
	(allout-shift-in): Ensure the offspring of the new containing
	topic are exposed.
	(allout-encrypt-string): Preserve the coding-system of the text,
	according to that of the containing buffer.
	(allout-toggle-subtree-encryption): When the text being encrypted
	requires a different coding system, offer to preserve the coding
	system using a file local var.

2006-11-15  Simon Marshall  <simon@gnu.org>

	* progmodes/cc-fonts.el (c-font-lock-declarators): Use c-at-toplevel-p
	to recognise "T t()" as a function declaration, rather than a
	variable instantiation, iff at the top-level or inside a class
	declaration.  Suggested by Feng Li <fengli@gmail.com>.

2006-11-14  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-xref.el (ada-parse-prj-file):
	Don't delete project buffer; user may want to edit it.
	(ada-xref-set-project-field, ada-xref-current-project-file)
	(ada-xref-current-project, ada-show-current-project)
	(ada-set-main-compile-application): New functions.
	(ada-xref-get-project-field, ada-require-project-file):
	Normalize use of ada-prj-default-project-file.
	(ada-gdb-application, ada-get-ada-file-name, ada-make-body-gnatstub):
	Normalize use of ada-require-project-file.
	(ada-prj-find-prj-file): Improve doc string, comments.

	* progmodes/ada-mode.el (ada-mode-version): Bump version.
	(ada-create-keymap): Add \C-c\C-m 'ada-set-main-compile-application.
	(ada-create-menu): Add ada-set-main-compile-application,
	ada-show-current-main, ada-show-current-project.

2006-11-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (inferior-python-mode-syntax-table): New var.
	(inferior-python-mode): Use it.

2006-11-14  Andreas Schwab  <schwab@suse.de>

	* term/xterm.el (terminal-init-xterm): Add more key bindings.

2006-11-13  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-copy-current-word): C-o copies region if active.

2006-11-13  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-emph-face): Fix typo in variable name.

2006-11-13  Juanma Barranquero  <lekktu@gmail.com>

	* ediff.el (ediff-revision):
	* files.el (set-visited-file-name):
	* mail/rmailout.el (rmail-output-body-to-file):
	Use `format', not `message', in `y-or-n-p' call.

2006-11-13  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-metaleft): Call `org-outdent-item' on bullets.
	(org-metaright): Call `org-indent-item' on bullets.
	(org-timestamp-change): Set `org-last-changed-timestamp'.
	(org-current-line): Make sure (bolp) returns correct result.
	(org-agenda-change-all-lines): Make sure highlighting TODO always works.

2006-11-12  Richard Stallman  <rms@gnu.org>

	* language/european.el (turkish-case-conversion-enable)
	(turkish-case-conversion-disable): New functions.
	("Turkish" lang env): Use them.

	* international/characters.el (case table):
	Do nothing special for i and I.

	* subr.el (remove-overlays): Fix last change.

	* cus-edit.el (custom-save-all): Use find-file-visit-truename
	for visiting the custom file.

2006-11-12  Markus Triska  <triska@gmx.at>

	* play/handwrite.el (handwrite): Also process lines not ending
	with newline.  Replace some position-fiddling with different
	logic.  Improve performance.

2006-11-12  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-xref.el (ada-prj-default-check-cmd): New variable,
	replacing deleted variable `ada-check-switch'.
	(ada-project-file-extension): Rename to `ada-prj-file-extension'.
	(ada-xref-project-files): Improve doc string.
	(ada-find-executable): New function.
	(ada-initialize-runtime-library): Use `ada-find-executable'.
	(ada-xref-set-default-prj-values): In compile commands, don't need
	`ada-cd-command'; `compile' does that more portably.
	Use ada-prj-default-check-cmd.
	(ada-parse-prj-file): Don't set 'debug_post_cmd, 'debug_pre_cmd
	properties if not specified in project file.
	(ada-goto-declaration): Display useful message for new error
	'error-file-not-found.
	(ada-get-ada-file-name, ada-find-in-src-path): Signal new error
	'error-file-not-found.
	(ada-get-all-references): Match latest ali syntax.  Signal new
	error 'error-file-not-found.
	(ada-find-in-ali): Match latest ali syntax.
	(ada-make-filename-from-adaname): Handle different semantics of
	gnatkr in GNAT 3.15p vs later.

	* progmodes/ada-stmt.el (ada-func-or-proc-name): Match changes to
	ada-procedure-start-regexp.
	(ada-or-accept, ada-or-delay, ada-or-terminate): Improve doc string.

	* progmodes/ada-mode.el: Replace conditional (require 'ispell)
	with defvar.
	(ada-language-version): Rename ada05 -> ada2005.
	(ada-align-region-separate): Add `eval-when-compile'.
	(ada-name-regexp): Remove unneeded escapes in regexp character
	alternative.
	(ada-compile-goto-error-file-linenr-re): New constant.
	(ada-matching-start-re): Handle additional cases `declare',
	`procedure', `function'.
	(ada-compile-goto-error): Handle "... at line nn".
	(ada-mode): Clearer syntax, comments for ff-special-constructs.
	Delete support for old versions of `align'.
	(ada-search-prev-end-stmt): Handle additional keyword `private'.
	(ada-check-defun-name): Simplify handling of `declare'.
	(ada-goto-matching-start): Handle nested `begin ... end'.
	Handle `declare', `protected', `procedure', `function'.
	(ada-create-menu): Presence of arm95 is not conditional on using
	GNAT compiler.

2006-11-12  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/re-builder.el (reb-mode): Set `blink-matching-paren' to
	nil in the *RE-Builder* buffer (it causes spurious error messages).

	* server.el (server-visit-files): If `minibuffer-auto-raise' has
	been set to t, respect it.

2006-11-11  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-mode.el: Delete `eval-and-compile' around `require'.
	Delete commented out code for old Emacs versions.  Autoloading of
	"ada-xref", "ada-prj" is useful even if compiler is not GNAT.
	(ada-mode-version): Bump version number.
	(ada-95-string-keywords, ada-2005-string-keywords)
	(ada-2005-keywords, ada-name-regexp): New constant.
	(ada-language-version, ada-procedure-start-regexp, ada-mode)
	(ada-font-lock-keywords): Add support for Ada 2005 keywords.
	(ada-package-start-regexp): Support private packages, include package
	name (for ada-set-point-accordingly).
	(ada-next-procedure, ada-previous-procedure)
	(ada-which-function-are-we-in): Match changes to
	ada-procedure-start-regexp.
	(ada-make-body): Make non-interactive; not a user function.
	(ada-make-subprogram-body): Improve doc string.

2006-11-11  Romain Francoise  <romain@orebokech.com>

	* progmodes/cperl-mode.el (cperl-mode): Before adding to it, make
	`compilation-error-regexp-alist' buffer-local, since we changed
	`compilation-error-regexp-alist-alist' locally.

2006-11-11  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-visit-files): Bind `minibuffer-auto-raise'
	to the value of `server-raise-frame'.

2006-11-11  Glenn Morris  <rgm@gnu.org>

	* ido.el (ido-enable-prefix)
	* ses.el (ses-call-printer-return)
	* net/tramp.el (tramp-unified-filenames)
	* progmodes/cc-align.el (c-lineup-string-cont)
	* progmodes/compile.el (compilation-directory-matcher)
	* progmodes/ebnf2ps.el (ebnf-stop-on-error)
	* progmodes/vhdl-mode.el (vhdl-reset-active-high)
	(vhdl-clock-rising-edge)
	* textmodes/org.el (org-export-with-timestamps)
	(org-export-remove-timestamps-from-toc)
	(org-export-with-tags): Improve previous doc fixes.

2006-11-11  Richard Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-mode-map):
	Bind C-c $ instead of M-RET.

2006-11-10  Simon Marshall  <simon@gnu.org>

	* progmodes/cc-fonts.el (c-font-lock-declarations): Don't overwrite
	fontification for "case" and "default" keywords.

2006-11-10  Andreas Schwab  <schwab@suse.de>

	* calendar/cal-dst.el (calendar-dst-check-each-year-flag):
	Avoid starting sentence with "nil".

2006-11-10  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-raise-frame): New option.
	(server-switch-buffer): Use it.

2006-11-10  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-many-windows): Start doc string
	with a capital.

2006-11-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* textmodes/org.el (org-show-hierarchy-above)
	(org-show-following-heading): Fix typo in default value.
	(org-scan-tags): Make the search case-sensitive.
	(org-tags-sparse-tree): Don't overrule
	`org-show-following-heading' and `org-show-hierarchy-above'.
	(org-reveal): New command.
	(org-show-context): Rename from `org-show-hierarchy-above'.
	(org-fast-tag-selection-single-key): New option.
	(org-fast-tag-show-exit, org-set-current-tags-overlay): New functions.
	(org-tags-overlay): New variable.
	(org-agenda-todo-ignore-deadlines): New option.
	("session"): Add circular data structure `org-mark-ring' to
	exceptions list in session.el.
	(org-agenda-window-setup, org-agenda-restore-windows-after-quit):
	New options.
	(org-agenda-quit): Use `org-agenda-restore-windows-after-quit'.
	(org-prepare-agenda, org-agenda-quit): Use `org-agenda-window-setup'.
	(org-pre-agenda-window-conf, org-blank-before-new-entry): New vars.
	(org-finalize-agenda): Activate bracket links in agenda.
	(org-at-timestamp-p, org-at-date-range-p): Additional argument
	INACTIVE-OK.
	(org-show-hierarchy-above, org-show-following-heading):
	List values allowed for fine-tuned configuration.
	(org-show-hierarchy-above): New argument CONTEXT, use the
	fine-tuned settings in `org-show-hierarchy-above' and
	`org-show-following-heading'.
	(org-display-custom-time): New function.
	(org-toggle-time-stamp-overlays, org-insert-time-stamp): New function.
	(org-display-custom-times, org-time-stamp-custom-formats):
	(org-maybe-intangible): New macro.
	(org-activate-bracket-links, org-hide-wide-columns):
	Use `org-maybe-intangible'.
	(org-open-file): Use `shell-quote-argument'.
	(org-display-internal-link-with-indirect-buffer): New option.
	(org-file-remote-p): Get regexp from list.
	(org-link-expand-abbrev): New function.
	(org-link-abbrev-alist): New option.
	(org-open-at-point, org-cleaned-string-for-export):
	Call `org-link-expand-abbrev'.
	(org-timeline, org-agenda-list, org-todo-list)
	(org-tags-view): Remove the KEEP-MODES argument.
	(org-finalize-agenda-hook): New hook.
	(org-get-alist-option): New function.
	(org-follow-timestamp-link): New function.
	(org-open-at-point): Call `org-follow-timestamp-link'.
	(org-log-note-marker, org-log-note-purpose)
	(org-log-note-window-configuration): New variables.
	(org-add-log-maybe, org-add-log-note, org-store-log-note): New funs.
	(org-log-note-headings): New option.
	(org-dblock-write:clocktable): Bug fix, removed infinite loop.
	(org-store-link): Support for dired-mode.
	(org-open-file): Substitute environment variables into filename.
	(org-last): New defsubst.
	(org-agenda-re-align-tags): New function.
	(org-agenda-align-tags-to-column): New option.
	(org-agenda-timeline): Group removed.
	(org-prepare-agenda, org-prepare-agenda-buffers)
	(org-run-agenda-series, org-timeline, org-agenda-list)
	(org-todo-list, org-tags-view): Call `org-agenda-prepare' and set
	the text property inticating the agenda type.
	(org-agenda-post-command-hook): Get agenda type from text property
	at point.
	(org-agenda): Handle command sets.  Set `org-agenda-last-arguments'
	and obey `org-agenda-overriding-arguments'.
	(org-agenda-overriding-arguments, org-agenda-last-arguments): New vars.
	(org-agenda-goto-today, org-agenda-later, org-agenda-earlier)
	(org-agenda-week-view, org-agenda-day-view):
	Use `org-agenda-overriding-arguments' to make updating work with
	multi-block agendas.
	(org-agenda-prefix-format): Allow different formats for the
	different agenda entry types.
	(org-timeline-prefix-format): Option removed, use
	`org-agenda-prefix-format' instead.
	(org-prepare-agenda): New function.
	(org-select-timeline-window): Option removed, use
	`org-select-agenda-window' instead.
	(org-respect-restriction): Variable removed.
	(org-cmp-tag): New function.
	(org-agenda-sorting-strategy, org-entries-lessp):
	Implement sorting by last tag.
	(org-complete): Better completion in in-buffer option lines.
	(org-in-item-p): New function.
	(org-org-menu): Add entries for checkboxes.
	(org-cycle): Extra brouping in outline-regexp, because it is used
	in a search with "^" prepended.
	(org-provide-checkbox-statistics): New option.
	(org-set-font-lock-defaults): Highlight checkbox statistics.
	(org-update-checkbox-count-maybe)
	(org-get-checkbox-statistics-face): New functions.
	(org-update-checkbox-count): New command.
	(org-insert-item, org-toggle-checkbox):
	Call `org-update-checkbox-count-maybe'.
	(org-export-as-html): XEmacs compatibility for coding system.
	(org-force-cycle-archived): New command.
	(org-cycle-hide-archived-subtrees): Display message when ARCHIVE
	overrules cycling.
	(org-fix-position-after-promote): If the line contains only a todo
	keyword, add a final space.
	(org-promote-subtree, org-demote-subtree):
	Call `org-fix-position-after-promote'.

2006-11-10  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-dst.el: Do not assume DST starts/ends on the same
	date in every year.
	(calendar-dst-check-each-year-flag): New customizable variable.
	(calendar-dst-find-data): New function, extracted from
	calendar-current-time-zone.
	(calendar-current-time-zone): Use calendar-dst-find-data.
	(calendar-dst-transition-cache): New variable.
	(calendar-dst-find-startend, calendar-dst-starts)
	(calendar-dst-ends): New functions.
	(calendar-daylight-savings-starts)
	(calendar-daylight-savings-ends): Change value to use
	calendar-dst-starts, calendar-dst-ends; respectively.

	* progmodes/f90.el (f90-indent-region): Bind case-fold-search to t.

	* ido.el (ido-enable-prefix)
	* ses.el (ses-call-printer-return)
	* net/tramp.el (tramp-unified-filenames)
	* progmodes/cc-align.el (c-lineup-string-cont)
	* progmodes/compile.el (compilation-directory-matcher)
	* progmodes/ebnf2ps.el (ebnf-stop-on-error)
	* progmodes/gdb-ui.el (gdb-many-windows)
	* progmodes/vhdl-mode.el (vhdl-reset-active-high)
	(vhdl-clock-rising-edge)
	* textmodes/org.el (org-export-with-timestamps)
	(org-export-remove-timestamps-from-toc, org-export-with-tags)
	(org-read-date): Doc fix (Nil -> nil).

2006-11-10  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-select-text, x-cut-buffer-or-selection-value):
	Encode/decode text to/from cut buffers to/from iso-latin-1 only.

2006-11-10  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--window-for-buffer): Remove.
	(bs--show-with-configuration): Use `get-window-with-predicate'
	instead of `bs--window-for-buffer'.

2006-11-10  Kenichi Handa  <handa@m17n.org>

	* files.el (revert-buffer): Fix previous change.

2006-11-09  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--redisplay): Fix typo in docstring.
	(bs--window-config-coming-from): Make frame-local.
	(bs--restore-window-config): New function.
	(bs-kill, bs-select, bs-select-other-window)
	(bs-select-other-frame): Use it.
	(bs--window-for-buffer): Return as soon as a matching buffer is found.
	(bs--show-with-configuration): Save the window configuration as a
	frame local var, and only if *buffer-selection* is not already
	visible on this frame.

2006-11-08  Chong Yidong  <cyd@stupidchicken.com>

	* vc-svn.el (vc-svn-admin-directory): New var.
	(vc-svn-registered, vc-svn-responsible-p)
	(vc-svn-repository-hostname): Use it.
	Suggested by arit93@yahoo.com.

2006-11-08  Juanma Barranquero  <lekktu@gmail.com>

	* ldefs-boot.el: Regenerate.

2006-11-08  Alan Mackenzie  <acm@muc.de>

	* emacs-lisp/lisp.el (beginning-of-defun-raw): Code up the
	case (eq open-paren-in-column-0-is-defun-start nil) by searching
	for least nested open-paren.

2006-11-08  Romain Francoise  <romain@orebokech.com>

	* subr.el (remove-overlays): Fix typo in last change.

2006-11-08  Richard Stallman  <rms@gnu.org>

	* subr.el (remove-overlays): Call overlay-recenter.

2006-11-08  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el (pr-alist-custom-set, pr-ps-utility-custom-set)
	(pr-ps-name-custom-set, pr-txt-name-custom-set): Return back the old
	behaviour.
	(pr-menu-bind): Act on global-map instead of menu-bar-file-menu
	directly.

2006-11-08  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-ignore-extensions, ido-show-dot-for-dired)
	(ido-max-dir-file-cache, ido-decorations)
	(ido-rewrite-file-prompt-functions, ido-use-mycompletion-depth)
	(ido-magic-backward-char, ido-enter-dired)
	(ido-enter-insert-buffer, ido-enter-insert-file, ido-dired)
	(ido-list-directory, ido-first-match, ido-only-match)
	(ido-subdir, ido-indicator): Fix typos in docstrings.
	(ido-buffer-internal, ido-completion-help): Fix typos in messages.
	(ido-read-internal): Fix typo in error message.

2006-11-08  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (set-default-coding-systems):
	Always set default-file-name-coding-system to utf-8 for Mac Darwin.

2006-11-08  Juanma Barranquero  <lekktu@gmail.com>

	* makefile.w32-in (setwins): Remove.
	(WINS_ALMOST): New macro.
	(WINS): Use it.
	(autoloads): Don't extract autoloads from files in obsolete/.

2006-11-07  Chong Yidong  <cyd@stupidchicken.com>

	* whitespace.el (whitespace-buffer): Call remove-overlays after
	overlay-recenter for performance.  Suggested by Martin Rudalics.

2006-11-07  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-default-method): scp is the default method.

2006-11-07  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-start): Save also the Emacs pid in the server file.

2006-11-07  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/reftex-cite.el (reftex-pop-to-bibtex-entry): Preserve
	point when displaying a bibtex cross reference in the echo area.

2006-11-06  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule.el (make-char): Fix typo in docstring.
	(load-with-code-conversion, charsetp): Doc fixes.

	* international/ja-dic-cnv.el (skkdic-convert):
	* cus-edit.el (hook): Fix typo in docstring.

2006-11-06  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (custom-mode-map): Move defvar above code using it.
	(custom-mode-link-map): New variable.
	(custom-group-link, custom-manual): Use follow-link.

2006-11-06  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el: Fix typo in name of author of bibtex.el,
	"Mark Shapiro" -> "Marc Shapiro".  Update his email address.

2006-11-06  Richard Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-correct-word-before-point):
	New function broken out of flyspell-correct-word.
	(flyspell-mode-map): Bind it to M-RET.
	(flyspell-correct-word): Call it.

	* textmodes/fill.el (fill-minibuffer-function): New function.
	(fill-paragraph): Bind fill-paragraph-function to
	fill-minibuffer-function.

	* ruler-mode.el (ruler-mode-map): Add bindings for up-events
	so that they aren't undefined.

	* dired.el (dired-readin): Locally bind file-name-coding-system.

	* bindings.el: Shorten and clarify usual mode line mouse help string.

	* Makefile.in (autoloads): Don't include `obsolete'.

2006-11-06  Chong Yidong  <cyd@stupidchicken.com>

	* printing.el (pr-alist-custom-set, pr-ps-utility-custom-set)
	(pr-ps-name-custom-set, pr-txt-name-custom-set): Don't update the
	Printing menu if it's not initialized.
	(pr-menu-bind): Act on menu-bar-file-menu directly.

2006-11-06  Juanma Barranquero  <lekktu@gmail.com>

	* help.el (view-emacs-news): Fix typo in error message.

	* menu-bar.el (menu-bar-update-buffers): Fix typo in menu entry.

	* shadowfile.el (shadow-define-regexp-group)
	(shadow-literal-groups, shadow-insert-var): Doc fixes.
	(shadow-read-files): Fix typo in message.
	(shadow-inhibit-overload, shadow-find, shadow-suffix)
	(shadow-site-match, shadow-write-todo-file, shadow-insert-var)
	(shadow-suffix, shadow-site-match, shadow-expand-file-name)
	(shadow-file-match): Fix typos in docstrings.

	* terminal.el (terminal-emulator): Fix typo in message.

	* emacs-lisp/authors.el (authors-fixed-entries): Fix typo.

	* emacs-lisp/lselect.el (x-kill-primary-selection)
	(x-delete-primary-selection, x-copy-primary-selection):
	Fix typos in error messages.

	* emulation/edt-mapper.el: Fix typo in interactive message.

	* mail/emacsbug.el (report-emacs-bug): Fix typos in output message.

	* textmodes/ispell.el (ispell, ispell-local-dictionary-alist)
	(ispell-help): Fix typos in docstrings.
	(ispell-help): Fix typo in output message.

	* allout.el (allout-adjust-file-variable)
	(allout-passphrase-verifier-string)
	(allout-passphrase-hint-string)
	(allout-toggle-current-subtree-encryption):
	* apropos.el (apropos-synonyms):
	* cus-edit.el (hook):
	* emacs-lock.el (emacs-lock-from-exiting):
	* follow.el (follow-avoid-tail-recenter-p):
	* hexl.el (hexl-mode):
	* mouse-copy.el (mouse-copy-work-around-drag-bug):
	* mouse.el (mouse-set-font):
	* resume.el (resume-emacs-args-file):
	* rfn-eshadow.el (file-name-shadow-tty-properties):
	* t-mouse.el (t-mouse-process, t-mouse-mode):
	* emacs-lisp/cust-print.el (custom-print-install)
	(custom-print-uninstall, custom-format):
	* emacs-lisp/shadow.el (list-load-path-shadows):
	* emulation/tpu-edt.el (tpu-help-text)
	(tpu-save-all-buffers-kill-emacs, tpu-emacs-replace)
	(tpu-reset-control-keys):
	* emulation/vip.el (vip-emacs-local-map)
	(vip-change-mode-to-emacs):
	* emulation/viper.el (viper-mode, viper-set-hooks)
	(viper-major-mode-modifier-list):
	* emulation/viper-init.el (viper-emacs-state-cursor-color):
	* emulation/viper-keym.el (viper-emacs-kbd-map)
	(viper-toggle-key):
	* mail/feedmail.el (feedmail-queue-reminder)
	(feedmail-queue-reminder-alist, feedmail-confirm-outgoing)
	(feedmail-confirm-outgoing-timeout, feedmail-nuke-bcc)
	(feedmail-nuke-resent-bcc, feedmail-fill-to-cc-fill-column)
	(feedmail-sender-line, feedmail-force-binary-write)
	(feedmail-from-line, feedmail-deduce-envelope-from)
	(feedmail-x-mailer-line, feedmail-message-id-generator)
	(feedmail-date-generator, feedmail-fiddle-plex-user-list)
	(feedmail-enable-spray, feedmail-spray-this-address)
	(feedmail-spray-address-fiddle-plex-list, feedmail-enable-queue)
	(feedmail-queue-runner-confirm-global)
	(feedmail-ask-before-queue-prompt)
	(feedmail-ask-before-queue-reprompt)
	(feedmail-prompt-before-queue-standard-alist)
	(feedmail-prompt-before-queue-user-alist)
	(feedmail-prompt-before-queue-help-supplement)
	(feedmail-queue-use-send-time-for-message-id)
	(feedmail-queue-default-file-slug, feedmail-queue-fqm-suffix)
	(feedmail-mail-send-hook-splitter, feedmail-mail-send-hook)
	(feedmail-mail-send-hook-queued)
	(feedmail-confirm-addresses-hook-example)
	(feedmail-last-chance-hook, feedmail-before-fcc-hook)
	(feedmail-queue-runner-mode-setter)
	(feedmail-queue-alternative-mail-header-separator)
	(feedmail-queue-runner-message-sender)
	(feedmail-buffer-eating-function, feedmail-binmail-template)
	(feedmail-run-the-queue-no-prompts)
	(feedmail-run-the-queue-global-prompt)
	(feedmail-queue-subject-slug-maker, feedmail-fiddle-header)
	(feedmail-envelope-deducer, feedmail-fiddle-date)
	(feedmail-default-message-id-generator)
	(feedmail-fiddle-message-id, feedmail-fiddle-x-mailer)
	(feedmail-fiddle-spray-address, feedmail-deduce-address-list):
	* mail/vms-pmail.el (vms-pmail-save-and-exit, vms-pmail-abort)
	(vms-pmail-setup):
	* play/dunnet.el (dun-help):
	* play/handwrite.el (handwrite):
	* play/hanoi.el (hanoi-unix-64):
	* progmodes/idlwave.el (idlwave-rescan-asynchronously):
	* textmodes/enriched.el (fixed):
	* textmodes/org.el (org-file-apps)
	(org-emphasis-regexp-components, org-emphasis-alist):
	* textmodes/texinfmt.el (batch-texinfo-format):
	Fix typos in docstrings.

2006-11-05  Juanma Barranquero  <lekktu@gmail.com>

	* loadhist.el (read-feature): Don't complete features not loaded
	from a file (which make `unload-feature' to fail).

2006-11-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* add-log.el (add-log-time-zone-rule): Mark as safe-local-variable.

2006-11-05  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line-1): Kill emacs if the last frame is
	deleted while evaluating the command-line arguments.

2006-11-05  Richard Stallman  <rms@gnu.org>

	* startup.el (init-file-had-error): Add doc string.
	(fancy-splash-text, fancy-splash-head, fancy-splash-tail):
	Use fixed-width font for keyboard key descriptions.

	* cus-edit.el (custom-save-all): Error if saving in .emacs
	and it had an error when loaded.

	* dired-aux.el (dired-copy-file-recursive): Catch errors
	from recursive copies in the loop, around the recursive call.

2006-11-05  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* battery.el (battery-linux-proc-acpi): Search an ac_adapter in
	`/proc/acpi/ac_adapter/*'.  Ditto for the thermometers in
	`/proc/acpi/thermal_zone/*'.
	(battery-search-for-one-match-in-files): New.  Search a regexp in
	the content of some files.

2006-11-05  Martin Rudalics  <rudalics@gmx.at>

	* window.el (mouse-autoselect-window-now): Remove variable.
	(mouse-autoselect-window-state): New variable.
	(mouse-autoselect-window-start, mouse-autoselect-window-cancel)
	(mouse-autoselect-window-select, handle-select-window):
	Rewritten to make mouse-autoselect-window-timer a one-shot timer.
	Suspend delayed autoselection during menu or popup dialog.

	* info-look.el (info-lookup-guess-custom-symbol): New function
	for retrieving symbol at point in custom buffers.
	(top level) <info-lookup-maybe-add-help>: Add backquote and
	comma to ignored characters in regexps of help specifications
	for emacs-lisp-mode and lisp-interaction-mode.  This permits
	looking up symbols in `...' and after a comma.  Add help
	specifications for custom-mode and help-mode.

2006-11-04  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (rmail-redecode-body): New optional argument RAW.
	Don't encode body if RAW is non-nil, or if the old encoding is
	identical to the new encoding, or if the body contains only
	eight-bit-* characters.

2006-11-04  Yoni Rabkin Katzenell  <yoni-r@actcom.com>  (tiny change)

	* faces.el (faces-sample-overlay, describe-face): Revert last changes.
	(faces-sample-overlay): Remove variable.
	(describe-face): Insert sample text in the face being described.

2006-11-04  Martin Rudalics  <rudalics@gmx.at>

	* whitespace.el (whitespace-indent-regexp): Make this match any
	multiples of eight spaces near the beginning of a line.
	(whitespace-buffer): Use `remove-overlays' instead of
	`whitespace-unhighlight-the-space' and `overlay-recenter' to
	speed up overlay handling.
	(whitespace-buffer-leading, whitespace-buffer-trailing):
	Make these functions highlight the text removed by
	`whitespace-buffer-leading-cleanup' and
	`whitespace-buffer-trailing-cleanup' respectively.
	(whitespace-buffer-search): Use `with-local-quit'.
	Move `format' out of loop to speed up scanning larger buffers.
	(whitespace-unhighlight-the-space): Remove `remove-hook' since
	that function is never added to a hook.
	(whitespace-spacetab-regexp, whitespace-ateol-regexp)
	(whitespace-buffer-leading-cleanup)
	(whitespace-refresh-rescan-list): Fix docstrings.

2006-11-03  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-during-yank-processing): Cue for inhibiting
	aberrance processing during yanks.
	(allout-doublecheck-at-and-shallower): Reduce the limit to reduce
	the amount of yanked topics that can be aberrant.
	(allout-do-doublecheck): Encapsulate this multiply-used recipe in
	a function, and supplement with inihibition of doublechecking
	during yanks.
	(allout-beginning-of-line, allout-next-heading)
	(allout-previous-heading, allout-goto-prefix-doublechecked)
	(allout-back-to-current-heading, allout-next-visible-heading)
	(allout-next-sibling): Use new allout-do-doublecheck function.
	(allout-next-sibling): Ensure we made progress when returning
	other than nil.
	(allout-rebullet-heading): Preserve text property annotations
	indicating the text was hidden, if it was.
	(allout-kill-line): Remove any added was-hidden annotations.
	(allout-kill-topic): Remove any added was-hidden annotations.
	(allout-annotate-hidden): Inhibit adding was-hidden text
	properties to the undo list.
	(allout-deannotate-hidden): New function to remove was-hidden
	annotation.
	(allout-hide-by-annotation): Use new allout-deannotate-hidden.
	(allout-remove-exposure-annotation): Replace by
	allout-deannotate-hidden.
	(allout-yank-processing): Signal that yank processing is happening
	with allout-during-yank-processing.  Also, wrap
	allout-unprotected's closer to the text changes, for easier
	debugging.  We need to inhibit-field-text-motion explicitly, in
	lieu of the encompassing allout-unprotected.
	(outlineify-sticky): Adjust criteria for triggering new outline
	decorations to presence or absence of any topics, not just a topic
	at the beginning of the buffer.

2006-11-03  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--show-all, bs--redisplay):
	* cus-edit.el (custom-unlispify-menu-entries)
	(custom-unlispify-tag-names, custom-prompt-variable):
	* expand.el (expand-pos):
	* speedbar.el (speedbar-generic-list-tag-p):
	* wid-edit.el (widget-image-enable):
	* emacs-lisp/checkdoc.el (checkdoc-rogue-space-check-engine):
	* emacs-lisp/find-func.el (find-function-noselect)
	(find-function, find-variable-noselect, find-variable)
	(find-definition-noselect, find-face-definition):
	* mail/rmail-spam-filter.el (rsf-scanning-messages-now):
	* net/eudc-vars.el (eudc-expansion-overwrites-query):
	* progmodes/ada-xref.el (ada-find-in-ali):
	* textmodes/flyspell.el (flyspell-check-tex-math-command):
	* textmodes/org.el (org-copy-subtree):
	* textmodes/table.el (table--row-column-insertion-point-p):
	Use "non-nil" in docstrings.

2006-11-03  Mark Davies  <mark@mcs.vuw.ac.nz>

	* sort.el (sort-columns): Set the field separator to tab; on
	NetBSD, sort complains if "\n" is used as field separator.

2006-11-03  NIIMI Satoshi  <sa2c@sa2c.net>

	* emacs-lisp/pp.el (pp-eval-last-sexp): Evaluate target sexp.

2006-11-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-auth-key): Remove.  Replace by a process-property.
	(server-start): Don't remove the file of the previous process, but
	instead clear out the place for the new file.
	(server-start): Set the :auth-key property.
	(server-process-filter): Use the :auth-key property.

2006-11-02  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-mode-map): No longer copy
	`outline-mode-map' explicitly - this is already done by
	`define-derived-mode'.

2006-11-02  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-visit-files): Use `when'.
	(server-process-filter): When authentication fails, send error
	message to client.  Wrap `process-send-region' in `ignore-errors'
	instead of `condition-case', and remove misleading comment.

2006-11-01  Juri Linkov  <juri@jurta.org>

	* simple.el (yank): Doc fix.

2006-11-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el: Try and fit within 80 columns.
	(server-start): Make the auth file unreadable by other users.

2006-10-31  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* battery.el (battery-linux-proc-acpi): Prevent range error when
	`full-capacity' is 0.

2006-10-31  Yoni Rabkin Katzenell  <yoni-r@actcom.com>  (tiny change)

	* faces.el (faces-sample-overlay): New defvar.
	(faces-sample-overlay): New function to show face sample text.
	(describe-face): Use it.

2006-10-31  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-stmt.el: Change maintainer, apply
	whitespace-cleanup, checkdoc.
	(ada-func-or-proc-name): Add doc string.

	* progmodes/ada-prj.el (ada-prj-new): Change maintainer, apply
	whitespace-cleanup, checkdoc.  Minor improvements to many doc
	strings and comments.
	(ada-prj-display-page): Change buffer name to more accurately
	reflect function.

	* progmodes/ada-xref.el: Change maintainer, apply
	whitespace-cleanup, checkdoc.  Minor improvements to many doc
	strings and comments.  Don't look for `gvd' or `ddd' debuggers.
	(ada-compile-current): Don't add newlines to commands.

2006-10-31  Juanma Barranquero  <lekktu@gmail.com>

	* server.el: Add support for TCP sockets.
	(server-use-tcp, server-host, server-auth-dir): New options.
	(server-auth-key): New variable.
	(server-ensure-safe-dir): Create nonexistent parent dirs.
	Ignore Unix-style file modes on Windows.
	(server-start): Crete a TCP or Unix socket according to the value
	of `server-use-tcp'.  For TCP sockets, create the id/auth file in
	`server-auth-dir' directory.
	(server-process-filter): Delete process if authentication
	fails (which never happens for Unix sockets).

2006-10-30  David Kastrup  <dak@gnu.org>

	* subr.el (add-to-list): Don't continue checking if a match has
	been found.

2006-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* tutorial.el: Move defvars to avoid bytecomp warnings.
	(tutorial--find-changed-keys): Check if viper-current-state is
	bound before using it.
	(help-with-tutorial): Check if viper-tutorial is defined before
	using it.

2006-10-30  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* help-fns.el (help-with-tutorial): Move to tutorial.el.

	* tutorial.el: New file.
	(help-with-tutorial): Move here from help-fns.el.  Add help for
	rebound keys.  Fix resume of tutorial.
	(tutorial--describe-nonstandard-key, tutorial--sort-keys)
	(tutorial--find-changed-keys, tutorial--display-changes)
	(tutorial--saved-dir, tutorial--saved-file)
	(tutorial--save-tutorial): New functions to support the changes in
	help-with-tutorial.

2006-10-30  Kenichi Handa  <handa@m17n.org>

	* files.el (revert-buffer): If a unibyte buffer is being reverted
	with a coding system for multibyte, set buffer multibyte before
	calling insert-file-contents.

2006-10-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-select-display): Use a dummy buffer to detect when
	the frame is later used.
	(server-select-display): New function.
	(server-process-filter): Use it to detect unused temp frames.

2006-10-29  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-mode.el: Change maintainer, apply
	whitespace-clean, checkdoc.  Minor improvements to many doc strings.
	(ada-mode-version): New function.
	(ada-create-menu): Menu operations are available for all supported
	compilers.

2006-10-29  Lars Hansen  <larsh@soem.dk>

	* net/tramp.el (with-parsed-tramp-file-name): Correct debug spec.
	Highlight as keyword.
	(tramp-do-copy-or-rename-file): Correct data for 'file-already-exists.
	Don't call tramp-method-out-of-band-p for local files.
	(tramp-touch): Quote file name.

2006-10-28  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (cal-html-cursor-month)
	(cal-html-cursor-year): Add autoloads for this new package.
	(calendar-mode-map): Bind cal-html-cursor-month, cal-html-cursor-year.

2006-10-28  Anna M. Bigatti  <bigatti@dima.unige.it>

	* calendar/cal-html.el: New file.

2006-10-28  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/authors.el (authors-aliases): Update.

2006-10-27  Chong Yidong  <cyd@stupidchicken.com>

	* version.el (emacs-version): Bump version number to 22.0.90.

2006-10-26  John W. Eaton  <jwe@octave.org>

	* progmodes/octave-inf.el (inferior-octave-has-built-in-variables):
	New defvar.
	(inferior-octave-resync-dirs): Check to see whether Octave has
	built-in variables and set inferior-octave-has-built-in-variables.
	Check inferior-octave-has-built-in-variables to decide whether to
	send commands that set built-in variables or call functions to
	change Octave's behavior.
	Send "disp (pwd ())" to Octave instead of just "pwd".
	(inferior-octave-startup): Send "more off" to Octave instead of
	"page_screen_output = 0".

2006-10-26  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/cl-indent.el (lisp-indent-259): Indent nil's in the
	pattern normally.

2006-10-26  Nick Roberts  <nickrob@snap.net.nz>

	* bindings.el (mode-line-mode-menu): Remove bindings for global
	minor modes (line/column number) as they are on the menubar.

2006-10-25  Juanma Barranquero  <lekktu@gmail.com>

	* term/w32-win.el (x-handle-name-switch): Doc fix.
	(w32-standard-fontset-spec): Fix typo in docstring.

	* midnight.el (midnight-buffer-display-time): Doc fix.
	(clean-buffer-list-kill-never-buffer-names): Add "*server*".

2006-10-23  Michael Kifer  <kifer@cs.stonybrook.edu>

	* emulation/viper-cmd.el (viper-prefix-arg-com): Define gg as G0.

	* emulation/viper-ex.el (ex-read): Quote file argument.

	* ediff-diff.el (ediff-same-file-contents): Expand file names.

	* ediff-mult.el (ediff-append-custom-diff): Quote shell file arguments.

2006-10-22  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/flyspell.el (flyspell-check-region-doublons):
	Fix last fix.

2006-10-23  Nick Roberts  <nickrob@snap.net.nz>

	* bindings.el (mode-line-mode-menu): List global minor modes
	before local ones.

2006-10-23  Kim F. Storm  <storm@cua.dk>

	* subr.el (add-to-list): Optimize if compare-fn is `eq' or `eql'.
	(sit-for): If last command was a prefix arg, add the read-ahead
	event to unread-command-events as (t . EVENT) so it will be added
	to this-command-keys by read-key-sequence.

2006-10-22  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/flyspell.el (flyspell-word): Skip past all previous
	whitespace when checking doublons.
	(flyspell-check-region-doublons): Fix doublon regexp.
	(flyspell-highlight-incorrect-region): Highlight doublons using
	flyspell-duplicate face.

	* progmodes/cperl-mode.el (cperl-invalid-face): Fix defcustom.

2006-10-22  John Wiegley  <johnw@newartisans.com>

	* progmodes/python.el (python-use-skeletons): python-mode was
	auto-inserting templates (for those with abbrev-mode on), not only
	by default -- *but without a configuration variable to disable
	it*.  This rendered python-mode completely useless for me, so I
	have added `python-use-skeletons', which is now off by default.

2006-10-22  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/cperl-mode.el (cperl-mode): Don't assume
	font-lock-multiline is auto-local (it's not).
	(cperl-windowed-init): Ensure that cperl-font-lock-multiline is
	initialized before calling cperl-init-faces.

2006-10-22  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-info-stack-custom): Don't try to give
	gdb-stack-position a value when there is no fringe.

	* bindings.el (mode-line-mode-menu): Disable auto-revert-tail-mode
	indicator if not visiting a file.

2006-10-20  David Kastrup  <dak@gnu.org>

	* window.el (kill-buffer-and-window): Fix a bug where an aborted
	operation would still cause some window to collapse later.

2006-10-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-switch-backend): Try to be more careful with unwanted
	side-effect due to mixing various backends's file properties.

	* vc-svn.el (vc-svn-parse-status): Remove unused arg `localp'.
	Add arg `filename' instead.  Don't set vc-backend if `filename' is set.
	Return `filename's status if applicable.  Update callers.

2006-10-19  Kenichi Handa  <handa@m17n.org>

	* international/kkc.el (kkc-region): When a key sequence is not
	defined, append (this-single-command-raw-keys) to
	unread-input-method-events.

2006-10-19  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/ada-mode.el (ada-in-string-p): Doc fix.

2006-10-19  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* version.el (emacs-version): Use mac-carbon-version-string.

	* term/macterm.el (res-geometry): Apply 2006-10-18 change for x-win.el.

2006-10-19  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* select.el (ccl-check-utf-8, string-utf-8-p): New functions (by
	Kenichi Handa).
	(xselect-convert-to-string): Decline requests for UTF8_STRING if
	the selection is not UTF-8.

2006-10-18  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/ada-mode.el (ada-83-string-keywords)
	(ada-last-which-function-line ada-no-auto-case, ada-indent-region)
	(ada-which-compiler, ada-align-modes, ada-adjust-case-buffer)
	(ada-looking-at-semi-private, ada-get-body-name):
	Fix typos in docstrings.
	(ada-create-case-exception, ada-create-case-exception-substring):
	Fix typos in error messages.
	(ada-goto-matching-end, ada-narrow-to-defun): Doc fixes.

2006-10-18  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (res-geometry): Don't set geometry from Xresources
	to default-frame-alist if default-frame-alist already contains
	width/height.

2006-10-18  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/pp.el (pp-eval-expression): Use `X' to read value.
	Non-interactive arg is the value, not the expression.

	* simple.el (read-expression-map): Just set it, no defvar.

	* subr.el (insert-for-yank-1): If last inserted char has
	properties, mark them as rear-nonsticky.

	* recentf.el (recentf-mode): Doc fix.

	* facemenu.el (facemenu-add-new-face): Defend against symbol
	that isn't a face name.

	* dired-aux.el (dired-do-copy): Doc fix.

2006-10-18  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-1): Ignore fields when moving to the
	beginning of line to avoid getting point stuck.

2006-10-18  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/flyspell.el (flyspell-word-search-backward):
	Set inhibit-point-motion-hooks to avoid looping due to intangibile
	text.

2006-10-16  Richard Stallman  <rms@gnu.org>

	* help-fns.el (describe-function-1): Special case optimization
	for self-insert-command.

2006-10-16  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-reread-directory): Work in `dir' mode too.

2006-10-15  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/table.el: Require 'regexp-opt.

2006-10-15  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* progmodes/flymake.el (flymake-get-project-include-dirs-imp):
	Use shell-quote-argument.

	* shell.el (explicit-bash-args): Likewise.

	* progmodes/ada-xref.el (ada-find-in-src-path): Likewise.
	Use grep -E rather than egrep.

2006-10-15  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* ido.el (ido-exhibit): Allow `-', `_', and trailing `$' in user id.

2006-10-15  Kim F. Storm  <storm@cua.dk>

	* filesets.el (filesets-run-cmd--repl-fn): Use shell-quote-argument.

2006-10-14  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* filesets.el (filesets-cmd-shell-command): Quote buffer-file-name
	to protect whitespace and metacharacters from the shell.

2006-10-13  Giorgos Keramidas  <keramida@ceid.upatras.gr>  (tiny change)

	* apropos.el (apropos-pattern-quoted): Fix a typo in a doc string.

2006-10-13  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (start-process-shell-command): Doc fix.

2006-10-13  Andrea Russo  <rastandy@salug.it>  (tiny change)

	* info-look.el <maxima-mode, inferior-maxima-mode>: Allow [0-9] in
	the regexp for Maxima symbols.

2006-10-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-ignore-dir-regexp): Make it into a defcustom.
	(vc-find-root): Don't walk higher up than ~.

2006-10-12  Chong Yidong  <cyd@stupidchicken.com>

	* international/utf-8.el (utf-translate-cjk-load-tables):
	Avoid clobbering last-coding-system-used during load.

2006-10-12  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/reftex-global.el (reftex-create-tags-file):
	Quote file arguments.

2006-10-12  Richard Stallman  <rms@gnu.org>

	* files.el (file-name-history): Add defvar.
	(save-some-buffers-action-alist): Improve description strings.

2006-10-12  Andreas Schwab  <schwab@suse.de>

	* files.el (auto-mode-alist): Match change log file name also with
	a dash before a numeric extension.

2006-10-11  Ilya Zakharevich  <ilyaz@cpan.org>

	* progmodes/cperl-mode.el: Merge from upstream, upto version 5.22.
	After 5.0:
	(cperl-add-tags-recurse-noxs-fullpath): New function (for -batch mode).

	After 5.1: Major edit.  Summary of most visible changes:

	- Multiple <<HERE per line allowed.
	- Handles multiline subroutine declaration headers (with comments).
	  (The exception is `cperl-etags' - but it is not used in the rest
	  of the mode.)
	- Fontifies multiline my/our declarations (even with comments,
	  and with legacy `font-lock').
	- Major speedup of syntaxification, both immediate and postponed
	  (3.5x to 15x [for different CPUs and versions of Emacs] on the
	  huge real-life document I tested).
	- New bindings, edits to imenu.
	- "_" is made into word-char during fontification/syntaxification;
	  some attempts to recognize non-word "_" during other operations too.
	- Detect bug in Emacs with `looking-at' inside `narrow' and bulk out.
	- autoload some more perldoc-related stuff
	- New convenience features: ISpell POD/HEREDOCs, narrow-to-HEREDOC.
	- Attempt to incorporate XEmacs edits which reached me.

	Fine-grained changelog:
	(cperl-hook-after-change): New configuration variable.
	(cperl-vc-sccs-header): Likewise.
	(cperl-vc-sccs-header): Likewise.
	(cperl-vc-header-alist): Default via two preceding variables.
	(cperl-invalid-face): Remove double quoting under XEmacs
		(still needed under 21.2).
	(cperl-tips): Update URLs for resources.
	(cperl-problems): Likewise.
	(cperl-praise): Mention new features.
	New C-c key bindings: for `cperl-find-bad-style',
	`cperl-pod-spell', `cperl-here-doc-spell', `cperl-narrow-to-here-doc',
	`cperl-perdoc', and `cperl-perldoc-at-point'.
	CPerl Mode menu changes: "Fix style by spaces", "Imenu on Perl Info"
	moved, new submenu of Tools with Ispell entries and narrowing.
	(cperl-after-sub-regexp): New defsubst.
	(cperl-imenu--function-name-regexp-perl): Use `cperl-after-sub-regexp'.
		Allows heads up to head4.
		Allow "package;".
	(defun-prompt-regexp): Use `cperl-after-sub-regexp'.
	(paren-backwards-message): ??? Something for XEmacs???
	(cperl-mode): Never auto-switch abbrev-mode off.
		Try to allow '_' be non-word char.
		Do not use `font-lock-unfontify-region-function' on XEmacs.
		Reset syntax cache on mode start.
		Support multiline facification (even on legacy `font-lock').
	(cperl-facemenu-add-face-function): ??? Some contributed code ???
	(cperl-after-change-function): Since `font-lock' and `lazy-lock'
		refuse to inform us whether the fontification is due to lazy
		calling or due to edit to a buffer, install our own hook
		(controlled by `cperl-hook-after-change').
	(cperl-electric-pod): =cut may have been recognized as start.
	(cperl-block-p): Move, updated for attributes.
	(cperl-calculate-indent): Try to allow '_' be non-word char
		Support subs with attributes.
	(cperl-where-am-i): Quiet (?) a warning.
	(cperl-cached-syntax-table): New function.
	(cperl-forward-re): Use `cperl-cached-syntax-table'.
	(cperl-unwind-to-safe): Recognize `syntax-type' property
		changing in a middle of line.
	(cperl-find-sub-attrs): New function.
	(cperl-find-pods-heres): Allow many <<EOP per line.
		Allow subs with attributes.
		Major speedups (3.5x..15x on a real-life test file nph-proxy.pl).
		Recognize "extproc " (OS/2) case-folded and only at start.
		/x on s///x with empty replacement was not recognized.
		Better comments.
	(cperl-after-block-p): Remarks on diff with `cperl-block-p'.
		Allow subs with attributes, labels.
		Do not confuse "else::foo" with "else".
		Minor optimizations...
	(cperl-after-expr-p): Try to allow '_' be non-word char.
	(cperl-fill-paragraph): Try to detect a major bug in Emacs
	        with `looking-at' inside `narrow' and bulk out if found.
	(cperl-imenu--create-perl-index): Updates for new
	        `cperl-imenu--function-name-regexp-perl'.
	(cperl-outline-level): Likewise.
	(cperl-init-faces): Allow multiline subroutine headers
	        and my/our declarations, and ones with comments.
		Allow subroutine attributes.
	(cperl-imenu-on-info): Better docstring.
	(cperl-etags): Rudimentary support for attributes.
		Support for packages and "package;".
	(cperl-add-tags-recurse-noxs): Better (?) docstring.
	(cperl-add-tags-recurse-noxs-fullpath): Likewise.
	(cperl-tags-hier-init): Misprint for `fboundp' fixed.
	(cperl-not-bad-style-regexp): Try to allow '_' be non-word char.
	(cperl-perldoc): Add autoload.
	(cperl-perldoc-at-point): Likewise.
	(cperl-here-doc-spell): New function.
	(cperl-pod-spell): Likewise.
	(cperl-map-pods-heres): Likewise.
	(cperl-get-here-doc-region): Likewise.
	(cperl-font-lock-fontify-region-function): Likewise (backward
		compatibility for legacy `font-lock').
	(cperl-font-lock-unfontify-region-function): Fix style.
	(cperl-fontify-syntaxically): Recognize and optimize away deferred
		calls with no-change.  Governed by `cperl-hook-after-change'.
	(cperl-fontify-update): Recognize that syntaxification region
		can be larger than fontification one.
		XXXX we leave `cperl-postpone' property, so this is quadratic...
	(cperl-fontify-update-bad): Temporary placeholder until
	        it is clear how to implement `cperl-fontify-update'.
	(cperl-time-fontification): New function.
	(attrib-group): New text attribute.
	(multiline): New value: `syntax-type' text attribute.

	After 5.2:
	(cperl-emulate-lazy-lock): New function.
	(cperl-fontify-syntaxically): Would skip large regions.
	Add `cperl-time-fontification', `cperl-emulate-lazy-lock' to menu.
	Some globals were declared, but uninitialized.

	After 5.3, 5.4:
	(cperl-facemenu-add-face-function): Add docs, fix U<>.
	Copyright message updated.
	(cperl-init-faces): Work around a bug in `font-lock'. May slow
			facification down a bit.
		Misprint for my|our|local for old `font-lock'
			"our" was not fontified same as "my|local".
		Highlight variables after "my" etc even in
			a middle of an expression.
		Do not facify multiple variables after my etc
			unless parentheses are present.

	After 5.5, 5.6
	(cperl-fontify-syntaxically): after-change hook could reset.
	(cperl-syntax-done-to) to a middle of line; unwind to BOL.

	After 5.7:
	(cperl-init-faces): Allow highlighting of local ($/).
	(cperl-problems-old-emaxen): New variable (for the use of DOCSTRING).
	(cperl-problems): Remove fixed problems.
	(cperl-find-pods-heres): Recognize #-comments in m##x too.
		Recognize charclasses (unless delimiter is \).
	(cperl-fontify-syntaxically): Unwinding to safe was done in wrong order.
	(cperl-regexp-scan): Update docs.
	(cperl-beautify-regexp-piece): Use information got from regexp scan.

	After 5.8:
	Major user visible changes:
	Recognition and fontification of character classes in RExen.
	Variable indentation of RExen according to groups.

	(cperl-find-pods-heres): Recognize POSIX classes in REx charclasses.
		Fontify REx charclasses in variable-name face.
		Fontify POSIX charclasses in "type" face.
		Fontify unmatched "]" in function-name face.
		Mark first-char of HERE-doc as `front-sticky'.
		Reset `front-sticky' property when needed.
	(cperl-calculate-indent): Indents //x -RExen accordning to parens level.
	(cperl-to-comment-or-eol): Recognize ends of `syntax-type' constructs.
	(cperl-backward-to-noncomment): Recognize stringy `syntax-type'
		constructs.  Support `narrow'ed buffers.
	(cperl-praise): Remove a reservation.
	(cperl-make-indent): New function.
	(cperl-indent-for-comment): Use `cperl-make-indent'.
	(cperl-indent-line): Likewise.
	(cperl-lineup): Likewise.
	(cperl-beautify-regexp-piece): Likewise.
	(cperl-contract-level): Likewise.
	(cperl-toggle-set-debug-unwind): New function.
		New menu entry for this.
	(fill-paragraph-function): Use when `boundp'.
	(cperl-calculate-indent): Take into account groups when indenting RExen.
	(cperl-to-comment-or-eol): Recognize # which end a string.
	(cperl-modify-syntax-type): Make only syntax-table property non-sticky.
	(cperl-fill-paragraph): Return t: needed for `fill-paragraph-function'.
	(cperl-fontify-syntaxically): More clear debugging message.
	(cperl-pod2man-build-command): Check (XEmacs) `Man-filter-list'.
	(cperl-init-faces): More complicated highlight even on XEmacs (new).
	Merge cosmetic changes from XEmacs.

	After 5.9:
	(cperl-1+): Move to before the first use.
	(cperl-1-): Likewise.

	After 5.10:

	This code may lock Emacs hard!!!  Use at your own risk!

	(cperl-font-locking): New internal variable.
	(cperl-beginning-of-property): New function.
	(cperl-calculate-indent): Use `cperl-beginning-of-property'
	instead of `previous-single-property-change'.
	(cperl-unwind-to-safe): Likewise.
	(cperl-after-expr-p): Likewise.
	(cperl-get-here-doc-region): Likewise.
	(cperl-font-lock-fontify-region-function): Likewise.
	(cperl-to-comment-or-eol): Do not call `cperl-update-syntaxification'
			recursively.
		Bound `next-single-property-change' via `point-max'.
	(cperl-unwind-to-safe): Bound likewise
	(cperl-font-lock-fontify-region-function): Likewise.
	(cperl-find-pods-heres): Mark as recursive for `cperl-to-comment-or-eol'
		Initialization of `cperl-font-lock-multiline-start' could be
		missed if the "main" fontification did not run due to the
		keyword being already fontified.
	(cperl-pod-spell): Return t from do-one-chunk function.
	(cperl-map-pods-heres): Stop when the worker returns nil.
		Call `cperl-update-syntaxification'.
	(cperl-get-here-doc-region): Call `cperl-update-syntaxification'.
	(cperl-get-here-doc-delim): Remove unused function.

	After 5.11:

	The possible lockup of Emacs (introduced in 5.10) fixed.

	(cperl-unwind-to-safe): `cperl-beginning-of-property' won't return nil.
	(cperl-syntaxify-for-menu): New customization variable.
	(cperl-select-this-pod-or-here-doc): New function.
	(cperl-get-here-doc-region): Extra argument.
		Do not adjust pos by 1.

	New menu entries
		(Perl/Tools): Selection of current POD or HERE-DOC section.
		(Debugging CPerl:) backtrace on fontification.

	After 5.12:
	(cperl-cached-syntax-table): Use `car-safe'.
	(cperl-forward-re): Remove spurious argument SET-ST.
		Add documentation.
	(cperl-forward-group-in-re): New function.
	(cperl-find-pods-heres): Find and highlight (?{}) blocks in RExen
	(XXXX Temporary (?) hack is to syntax-mark them as comment).

	After 5.13:
	(cperl-string-syntax-table): Make { and } not-grouping
	  (Sometimes they ARE grouping in RExen, but matching them would only
	   confuse in many situations when they are not)
	(beginning-of-buffer): Replace two occurrences with goto-char...
	(cperl-calculate-indent): `char-after' could be nil...
	(cperl-find-pods-heres): REx can start after "[" too.
		Hightlight (??{}) in RExen too.
	(cperl-maybe-white-and-comment-rex): New constant
	(cperl-white-and-comment-rex): Likewise.
		XXXX Not very efficient, but hard to make
		better while keeping 1 group.

	After 5.13:
	(cperl-find-pods-heres): $foo << identifier() is not a HERE-DOC.
		Likewise for 1 << identifier.

	After 5.14:
	(cperl-find-pods-heres): Different logic for $foo .= <<EOF etc.
		Error-less condition-case could fail.
	(cperl-font-lock-fontify-region-function): Likewise.
	(cperl-init-faces): Likewise.

	After 5.15:
	(cperl-find-pods-heres): Support property REx-part2.
	(cperl-calculate-indent): Likewise.
		Don't special-case REx with non-empty 1st line.
	(cperl-find-pods-heres): In RExen, highlight non-literal backslashes.
		Invert highlighting of charclasses:
			now the envelop is highlighted.
		Highlight many others 0-length builtins.
	(cperl-praise): Mention indenting and highlight in RExen.

	After 5.15:
	(cperl-find-pods-heres): Highlight capturing parens in REx.

	After 5.16:
	(cperl-find-pods-heres): Highlight '|' for alternation
	Initialize `font-lock-warning-face' if not present.
	(cperl-find-pods-heres): Use `font-lock-warning-face' instead of
			 `font-lock-function-name-face'.
	(cperl-look-at-leading-count): Likewise.
	(cperl-find-pods-heres): Localize `font-lock-variable-name-face',
			`font-lock-keyword-face' (needed for
			batch processing), etc...
		Use `font-lock-builtin-face' for builtin in REx
			Now `font-lock-variable-name-face'
			is used for interpolated variables
		Use "talking aliases" for faces inside REx
		Highlight parts of REx (except in charclasses)
			according to the syntax and/or semantic
		Syntax-mark a {}-part of (?{}) as "comment"
			(it was the ()-part)
		Better logic to distinguish what is what in REx
	(cperl-tips-faces): Document REx highlighting
	(cperl-praise): Mention REx syntax highlight etc.

	After 5.17:
	(cperl-find-sub-attrs): Would not always manage to print error message.
	(cperl-find-pods-heres): Localize `font-lock-constant-face'.

	After 5.18:
	(cperl-find-pods-heres): Misprint in REx for parsing REx.
		Very minor optimization.
		`my-cperl-REx-modifiers-face' got quoted.
		Recognize "print $foo <<END" as HERE-doc.
		Put `REx-interpolated' text attribute if needed.
	(cperl-invert-if-unless-modifiers): New function.
	(cperl-backward-to-start-of-expr): Likewise.
	(cperl-forward-to-end-of-expr): Likewise.
	(cperl-invert-if-unless): Works in "the opposite way" too.
		Cursor position on return is on the switch-word.
		Indents comments better.
	(REx-interpolated): New text attribute.
	(cperl-next-interpolated-REx): New function.
	(cperl-next-interpolated-REx-0): Likewise.
	(cperl-next-interpolated-REx-1): Likewise.
	"\C-c\C-x", "\C-c\C-y", "\C-c\C-v": New keybinding for these functions.
	Perl/Regexp menu: 3 new entries for `cperl-next-interpolated-REx'.
	(cperl-praise): Mention finded interpolated RExen.

	After 5.19:
	(cperl-init-faces): Highlight %$foo, @$foo too.
	(cperl-short-docs): Better docs for system, exec.
	(cperl-find-pods-heres): Better detect << after print {FH} <<EOF etc.
		Would not find HERE-doc ended by EOF without NL.
	(cperl-short-docs): Correct not-doubled \-escapes.
	start block: Put some `defvar' for stuff gone from XEmacs.

	After 5.20:
	initial comment: Extend copyright, fix email address.
	(cperl-indent-comment-at-column-0): New customization variable.
	(cperl-comment-indent): Indentation after $#a would increasy by 1.
	(cperl-mode): Make `defun-prompt-regexp' grok BEGIN/END etc.
	(cperl-find-pods-heres): Mark CODE of s///e as `syntax-type' `multiline'
	(cperl-at-end-of-expr): Would fail if @BAR=12 follows after ";".
	(cperl-init-faces): If `cperl-highlight-variables-indiscriminately'
			highlight $ in $foo too (UNTESTED).
	(cperl-set-style): Docstring missed some available styles.
	toplevel: Menubar/Perl/Indent-Styles had FSF, now K&R.
		Change "Current" to "Memorize Current".
	(cperl-indent-wrt-brace): New customization variable; the default is
		as for pre-5.2 version.
	(cperl-styles-entries): Keep `cperl-extra-newline-before-brace-multiline'.
	(cperl-style-alist): Likewise.
	(cperl-fix-line-spacing): Support `cperl-merge-trailing-else' being nil,
		and `cperl-extra-newline-before-brace' etc
		being t
	(cperl-indent-exp): Plans B and C to find continuation blocks even
		if `cperl-extra-newline-before-brace' is t.

	After 5.21:
	Improve some docstrings concerning indentation.
	(cperl-indent-rules-alist): New variable.
	(cperl-sniff-for-indent): New function name
		(separated from `cperl-calculate-indent').
	(cperl-calculate-indent): Separate the sniffer and the indenter;
		uses `cperl-sniff-for-indent' now.
	(cperl-comment-indent): Test for `cperl-indent-comment-at-column-0'
		was inverted;
		Support `comment-column' = 0.

2006-10-11  Martin Rudalics  <rudalics@gmx.at>

	* dnd.el (dnd-handle-one-url): Fix typo in doc-string.
	* help-at-pt.el (scan-buf-move-to-region): Likewise.
	* longlines.el (longlines-window-change-function): Likewise.
	* simple.el (undo-ask-before-discard): Likewise.
	* wid-edit.el (widget-field-prompt-internal)
	(widget-documentation-link-p): Likewise.

2006-10-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-get-kw): | is not among the allowed chars
	for a keyword.

2006-10-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* newcomment.el (comment-valid-prefix-p): Make the check
	more thorough.  From an idea by Martin Rudalics <rudalics@gmx.at>.
	(comment-indent-new-line): Adjust call.

2006-10-09  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-back-to-current-heading): Base on lower-level
	routines to get proper disqualification of aberrant topics.

2006-10-09  Richard Stallman  <rms@gnu.org>

	* textmodes/two-column.el (2C-two-columns): Doc fix.

2006-10-09  Kim F. Storm  <storm@cua.dk>

	* shell.el (explicit-csh-args, explicit-bash-args): Add comment
	about implicit use.

2006-10-08  Richard Stallman  <rms@gnu.org>

	* textmodes/two-column.el (2C-two-columns): Doc fix.

2006-10-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* files.el: Mark `buffer-read-only' as safe-local-variable.

2006-10-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-speedbar-expand-node):
	Burp if GUD buffer has been killed.

2006-10-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* completion.el (add-completions-from-c-buffer):
	Don't presume an error's second element is a string.
	Use looking-at rather than buffer-substring + member.

2006-10-07  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (rmail-redecode-body): If the old encoding is
	`undecided', call find-coding-systems-region to find a proper
	non-trivial encoding.
	(rmail-mime-charset-pattern): Allow a TAB between "Content-Type"
	and "text/plain".

2006-10-07  Kevin Ryde  <user42@zip.com.au>

	* textmodes/reftex-vars.el (defgroup reftex): Update home page
	url-link.

	* strokes.el (defgroup strokes): Remove invalid url-link.

2006-10-07  Magnus Henoch  <mange@freemail.hu>

	* autoinsert.el (auto-insert-alist): Doc fix.

2006-10-07  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* mouse-sel.el (mouse-insert-selection-internal):
	Use insert-for-yank, so that yank handlers are run.

2006-10-07  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-file-extension-aux): Fix comparison.

2006-10-06  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-wide-find-dirs-or-files): Use shell-quote-argument.

2006-10-05  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/advice.el (ad-remove-advice, ad-parse-arglist)
	(ad-make-mapped-call): Use `let', not `let*'.

2006-10-05  Chong Yidong  <cyd@stupidchicken.com>

	* international/mule-cmds.el (coding-system-change-eol-conversion):
	Ensure the coding system is initialized before calling
	coding-system-eol-type.

2006-10-04  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-rm-props, org-activate-plain-links)
	(org-activate-angle-links, org-activate-dates)
	(org-activate-target-links, org-activate-camels)
	(org-activate-tags): Add `rear-nonsticky' text property to avoid
	textproperty keymaps from being active beyond the end of a line.
	(org-unfontify-region): Also remove `rear-nonsticky' property.

2006-10-04  Kenichi Handa  <handa@m17n.org>

	* international/code-pages.el (next): Table fixed.

2006-10-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-prev-thing): Remove (forward-char 1) now
	that it's been made unnecessary by removing narrowing.

2006-10-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-prev-thing): Massage to untangle the
	control flow a bit, simplify another bit, and add comments.

2006-10-03  David Kastrup  <dak@gnu.org>

	* help.el (describe-mode): For clicks on mode-line, use "@"
	interactive argument to get the major mode of the click instead of
	the current buffer.

	* isearch.el (isearch-mouse-2): Use new semantics of `key-binding'
	in order to better redirect mouse-2 clicks.  Also allow default
	bindings to apply.

2006-10-03  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/cl.el (pushnew-internal): Remove defvar.
	(pushnew): Fix last change.

2006-10-03  Denis St,A|(Bnkel  <dstuenkel@googlemail.com>  (tiny change)

	* ibuf-ext.el (eval, view-and-eval) <define-ibuffer-op>:
	Use the interactive spec of `eval-expression'.

2006-10-02  Michael Welsh Duggan  <md5i@cs.cmu.edu>

	* progmodes/sh-script.el (sh-prev-thing): Fix last change.

2006-10-02  MIYOSHI Masanori  <miyoshi@meadowy.org>  (tiny change)

	* mail/smtpmail.el (smtpmail-try-auth-methods): Fix typo in
	2006-09-28 commit.

2006-10-02  Kenichi Handa  <handa@m17n.org>

	* international/code-pages.el (iso-8859-6): Table fixed.

2006-10-01  Chris Moore  <christopher.ian.moore@gmail.com>

	* dired.el (dired-build-subdir-alist): Fix previous change.

2006-10-01  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* simple.el (undo-elt-crosses-region): Fix the inequalities.

2006-10-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/find-func.el (find-function-regexp): Don't match
	"define-button-type".

	* pcvs.el (cvs-update-header): Fix handling of extra newlines so that
	they don't keep accumulating.

2006-10-01  Bob Rogers  <rogers-emacs@rgrjr.dyndns.org>  (tiny change)

	* ffap.el (ffap-rfc-path): Change the address of the RFC
	repository to ftp.rfc-editor.org, as ds.internic.net seems to be gone.

2006-10-01  Stephen Berman  <Stephen.Berman@gmx.net>

	* allout.el (allout-expose-topic): Rectify implementation of "+"
	spec, so that bodies are not exposed with headlines.

2006-10-01  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-current-depth): Do aberrent check only at or
	below doublecheck depth.
	(allout-chart-subtree): Make it explicit that LEVELS being nil
	means unlimited depth.  Drop undocumented support for LEVELS value
	t meaning unlimited depth.  (This is consistent with
	allout-chart-to-reveal, but contrary to allout-show-children,
	which needs to use nil to default to depth of 1.)
	(allout-goto-prefix-doublechecked): Wrap long docstring line.
	(allout-chart-to-reveal): Be explicit in docstring about meaning
	of nil LEVELS, and drop support for LEVELS value t.
	(allout-show-children): Translate the level spec used by this
	routine to that used by allout-chart-subtree and
	allout-chart-to-reveal.
	(allout-show-to-offshoot): Retry once when stuck, after opening
	subtree - improvements in discontinuity handling likely will
	enable progress.

2006-09-30  Chong Yidong  <cyd@stupidchicken.com>

	* wid-edit.el (widget-button-click-moves-point): New variable.
	(widget-button-click): If widget-button-click-moves-point is
	non-nil, set point after performing the button action.

	* cus-edit.el (custom-mode): Set widget-button-click-moves-point.

2006-09-30  Martin Rudalics  <rudalics@gmx.at>

	* files.el (find-file-existing): Modify to not allow wildcards.

2006-09-30  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* simple.el (undo-more): When undo information for the region is
	exhausted, say "No further undo information FOR REGION".

2006-09-30  Michael Welsh Duggan  <md5i@cs.cmu.edu>

	* progmodes/sh-script.el (sh-prev-thing):
	Take `sh-leading-keywords' into account.

2006-09-29  Glenn Morris  <rgm@gnu.org>

	* custom.el (defcustom): Doc fix.

	* calendar/calendar.el (european-calendar-style):
	Call european-calendar or american-calendar as needed when set.
	(diary-view-entries, list-calendar-holidays): Move autoloads
	before use.

2006-09-29  Juri Linkov  <juri@jurta.org>

	* progmodes/cperl-mode.el (cperl-after-expr-p): Don't move point
	to nil if there is no previous property change.

2006-09-29  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* cus-edit.el (custom-save-all): Switch to emacs-lisp mode before
	saving anything to be sure that `forward-sexp' behaves correctly.

2006-09-29  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-finish): Ignore field boundaries if the
	initial and final points have the same `field' property.

2006-09-29  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-file-internal): Only bind minibuffer-completing-file-name
	to t while calling ido-read-internal.

2006-09-29  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-file-remote-p): Get regexp from list.
	(org-archive-subtree): Remove erraneous `]' from character list.

2006-09-28  Jonathan Yavner  <jyavner@member.fsf.org>

	* ses.el (ses-in-print-area, ses-goto-data, ses-load)
	(ses-reconstruct-all): Make undo of "insert row" work by keeping
	markers for data-area and parameters-area.

2006-09-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/make-mode.el (makefile-mode): Don't disable jit-lock.

	* font-lock.el (font-lock-after-change-function): Refontify next line
	as well if end is at BOL.
	(font-lock-extend-jit-lock-region-after-change): Be more careful to
	only extend the region as much as needed.

2006-09-28  Richard Stallman  <rms@gnu.org>

	* comint.el (comint-mode): Bind font-lock-defaults non-nil.

	* subr.el (insert-for-yank-1): Handle `font-lock-face' specially.

	* international/mule.el (after-insert-file-set-coding):
	If VISIT, don't let set-buffer-multibyte make undo info.

2006-09-28  Osamu Yamane  <yamane@green.ocn.ne.jp>  (tiny change)

	* mail/smtpmail.el (smtpmail-try-auth-methods): Do not break long
	lines in base64-encoded authentication response.

2006-09-26  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* progmodes/ebnf2ps.el: Doc fix. Implement arrow spacing and scaling.
	(ebnf-version): New version 4.3.
	(ebnf-arrow-extra-width, ebnf-arrow-scale): New options.
	(ebnf-prologue): Adjust PostScript programming.
	(ebnf-begin-file, ebnf-insert-ebnf-prologue, ebnf-terminal-dimension1)
	(ebnf-repeat-dimension, ebnf-except-dimension): Adjust code.

2006-09-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* jit-lock.el (jit-lock-force-redisplay): Rename from
	jit-lock-fontify-again, and undo the mistaken change I've just done.

	* jit-lock.el (jit-lock-fontify-now): Don't fontify the empty text.
	(jit-lock-fontify-again): Don't refontify text that's not displayed.

2006-09-26  Kenichi Handa  <handa@m17n.org>

	* startup.el (display-splash-screen): Allow a prefix argument.

2006-09-25  Jason Rumney  <jasonr@gnu.org>

	* subr.el (shell-quote-argument): Use DOS logic for Windows
	shells with DOS semantics.

2006-09-24  Richard Stallman  <rms@gnu.org>

	* progmodes/compile.el (compilation-goto-locus-delete-o): New fn.
	(compilation-goto-locus): Use compilation-goto-locus-delete-o
	to delete the overlay.  Put it on pre-command-hook.

	* emacs-lisp/timer.el (timer-max-repeats): Doc fix.

	* startup.el (fancy-splash-screens, normal-splash-screen):
	Call the splash buffer *About GNU Emacs*.

	* simple.el (next-error-highlight, next-error-highlight-no-select):
	Default to 0.5.
	(yank-excluded-properties): Add `fontified'.

	* font-lock.el (font-lock-compile-keywords): Allow value of
	syntax-begin-function to enable paren-column-0 highlighting.

2006-09-24  Chris Moore  <christopher.ian.moore@gmail.com>

	* dired.el (dired-build-subdir-alist): When file ends in colon,
	don't exit the loop, just disregard that file.

2006-09-24  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-finish): Handle corner case for fields in
	continued lines.
	(line-move-1): Remove flawed test for that case.

2006-09-24  Ken Manheimer  <ken.manheimer@gmail.com>

	* icomplete.el (icomplete-simple-completing-p): Use the correct
	name for the new variable, `icomplete-with-completion-tables'.
	(file local variables): Remove superfluous setting.

2006-09-23  Jeff Miller  <jmiller@cablespeed.com>  (tiny change)

	* calendar/appt.el (appt-check): Fix typo for appointments just
	after midnight.

2006-09-23  Chong Yidong  <cyd@stupidchicken.com>

	* help.el (describe-key-briefly, describe-key): Don't expect an
	extra up event if a down-event is generated by a popup menu.

2006-09-23  Michal Nazarewicz  <mnazarewicz@gmail.com>  (tiny change)

	* textmodes/ispell.el (ispell-change-dictionary): Don't check the
	local dictionary when changing the global dictionary.

2006-09-23  Ken Manheimer  <ken.manheimer@gmail.com>

	* icomplete.el (icomplete-with-completion-tables): List of
	specialized completion tables with which icomplete should
	operate.  Include the new `internal-complete-buffer', so icomplete
	works with interactive buffer-selection.
	(icomplete-simple-completing-p): Add acceptance of specialized
	completion tables listed in icomplete-with-completion-tables.

2006-09-23  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* frame.el (focus-follows-mouse): Set default to nil on Mac.

	* startup.el (command-line): Use `custom-reevaluate-setting' for
	`focus-follows-mouse'.

2006-09-22  Richard Stallman  <rms@gnu.org>

	* cus-edit.el (custom-buffer-create-internal): In `emacs -q',
	explain why Save is not available.

2006-09-22  Juanma Barranquero  <lekktu@gmail.com>

	* woman.el (woman0-so): Use `let*', not `let'.
	(woman-horizontal-line): Remove unbalanced parenthesis.

2006-09-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* woman.el: Make sure all the end-of-region markers we use have
	a non-nil insertion-type.
	(woman0-so): Move things around so we can use copy-marker.
	(woman0-roff-buffer, woman2-process-escapes-to-eol, woman2-roff-buffer):
	Adjust marker type.
	(woman2-process-escapes): Check marker type.
	(woman-horizontal-line): Dispense with the use of a marker.

2006-09-22  Jay Belanger  <belanger@truman.edu>

	* calc/calc-lang.el: Add Greek letters to math-variable-table
	property of tex.

2006-09-22  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (save-some-buffers-action-alist): Display diff in view-mode.

2006-09-22  Masatake YAMATO  <jet@gyve.org>

	* add-log.el (add-log-current-defun): Use `forward-sexp'
	instead of `forward-word' to pick c++::symbol.
	Reported by Guanpeng Xu <herberteuler@hotmail.com>.

2006-09-22  Kenichi Handa  <handa@m17n.org>

	* bindings.el: Fix setting self-insert-command for multibyte
	characters in global-map.

2006-09-21  David Kastrup  <dak@gnu.org>

	* mouse.el (mouse-posn-property): Fix typo for `event-start' in
	doc string.

2006-09-21  Kenichi Handa  <handa@m17n.org>

	* language/european.el ("Latin-1"): Add windows-1252 to
	coding-priority.
	("German"): Likewise.

2006-09-21  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/cl-macs.el (member*): Use memql instead of complex code.
	Suggested by Miles Bader.

	* emacs-lisp/cl.el (pushnew): Rework 2006-09-10 change.  Use memql
	instead of add-to-list in the simple case.

2006-09-20  Kenichi Handa  <handa@m17n.org>

	* isearch.el (isearch-process-search-char): Cancel the previous change.
	(isearch-search-string): New function.
	(isearch-search): Use isearch-search-string.
	(isearch-lazy-highlight-search): Likewise.

2006-09-20  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* lpr.el (lpr-page-header-switches): Insert `*' at beginning of doc
	string to become an option.

2006-09-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (find-buffer-visiting): Don't get fooled by a nil inode.

2006-09-20  Kim F. Storm  <storm@cua.dk>

	* simple.el (line-move-partial): Call pos-visible-in-window-p with
	position t instead of trying both window-end and window-end - 1.

2006-09-20  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-scan-tags): Find end of subtrees also in
	hidden trees.

2006-09-20  David Kastrup  <dak@gnu.org>

	* mouse.el (mouse-posn-property): Improve doc string.
	(mouse-on-link-p): Change buffers for function calls on links.

	* menu-bar.el (clipboard-yank): Bomb out in interactive use if
	buffer is read-only.

2006-09-20  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-unprotected): Let inhibit-read-only only when
	buffer-read-only isn't set.
	(allout-annotate-hidden): Enable topic annotation during copies even
	when the buffer is read-only, eg for topic copies.  Ensure that the loop
	advances, even when the span extends beyond the deletion region.
	(allout-toggle-subtree-encryption): Use allout-structure-added-hook
	rather than allout-exposure-changed-hook, as a stronger assertion.
	(allout-keybindings-list): Add bindings for
	allout-copy-line-as-kill and allout-copy-topic-as-kill.
	(allout-copy-line-as-kill, allout-copy-topic-as-kill):
	Copy wrappers for allout-kill-line and allout-kill-topic.
	(allout-listify-exposed): Position correctly to accumulate lines.

2006-09-19  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-1): Escape field boundaries occurring
	exactly at point.  Update goal column if constrained to a field.
	(line-move-finish): Escape field boundaries occurring exactly at point.

2006-09-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (mouse-on-link-p): Tentatively fix last change.
	(mouse-drag-vertical-line): Remove unused var `wconfig'.

2006-09-19  Kim F. Storm  <storm@cua.dk>

	* help.el (describe-key-briefly, describe-key): Simplify printing
	of descriptions by using format and %S.  Fix "is undefined"
	messages to say "at that spot" for mouse events.

	* simple.el (line-move-partial): Optimize.  Try window-line-height
	before posn-at-point to get vpos of current line.

2006-09-18  Michael Kifer  <kifer@cs.stonybrook.edu>

	* emulation/viper.el: Bump up version/date of update to reflect the
	substantial changes done in August 2006.

	* emulation/viper-cmd (viper-next-line-at-bol): Make sure button-at,
	push-button are defined.

	* ediff-util.el (ediff-add-to-history): New function.

	* ediff.el: Use ediff-add-to-history instead of add-to-history.

2006-09-18  Wolfgang Jenkner  <wjenkner@inode.at>  (tiny change)

	* textmodes/conf-mode.el (conf-space-mode): Doc fix.
	Delete duplicate make-local-variable form.
	(conf-space-keywords): Add autoload cookie.
	Fix typo (`keywords', not `keyword').

2006-09-18  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* cus-start.el (all): Rename x-gtk-show-chooser-help-text to
	x-gtk-file-dialog-help-text.  Rename x-use-old-gtk-file-dialog
	to x-gtk-use-old-file-dialog.

2006-09-18  Richard Stallman  <rms@gnu.org>

	* wid-edit.el (widget-button-click): Handle non-mouse-motion events
	that might come in during mouse tracking.

2006-09-18  Kim F. Storm  <storm@cua.dk>

	* simple.el (line-move-partial): Rework 2006-09-15 change to use
	new window-line-height function.  Further optimize by not calling
	pos-visible-in-window-p for window-end when window-line-height
	returns useful information.

2006-09-16  Richard Stallman  <rms@gnu.org>

	* textmodes/conf-mode.el (conf-mode-map): Use conf-space-keywords cmd.
	(conf-space-mode): Don't handle prefix arg.
	Delete conf-space-keywords-override code.
	Use add-hook.
	(conf-space-keywords): New command.
	(conf-space-mode-internal): Be careful with imenu-generic-expression.
	Delete conf-space-keywords-override code.
	(conf-space-keywords-alist): Doc fix.
	(conf-space-font-lock-keywords): Doc fix.
	(conf-space-keywords-override): Var deleted.

2006-09-16  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-splash-screens): Don't switch to the scratch
	buffer; it may not be the next buffer.

2006-09-16  Romain Francoise  <romain@orebokech.com>

	* saveplace.el (load-save-place-alist-from-file): Use expanded name
	in both messages.

2006-09-16  Slawomir Nowaczyk  <slawomir.nowaczyk.847@student.lu.se>

	* progmodes/python.el (python-preoutput-filter):
	Fix arg order to string-match.

2006-09-16  Richard Stallman  <rms@gnu.org>

	* obsolete/fast-lock.el (fast-lock-cache-data): Provide 2nd arg to
	font-lock-compile-keywords.

	* font-lock.el (font-lock-compile-keywords): Rename optional arg
	to SYNTACTIC-KEYWORDS and reverse the sense.  All callers changed.

2006-09-16  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* cus-start.el (all): Add x-gtk-show-chooser-help-text.

	* select.el (xselect-convert-to-string): If UTF8_STRING is requested
	and the data doesn't look like UTF8, send STRING instead.

2006-09-16  Agust,Am(Bn Mart,Am(Bn  <agustin.martin@hispalinux.es>

	* textmodes/flyspell.el (flyspell-check-region-doublons):
	New function to detect duplicated words.
	(flyspell-large-region): Use it.

2006-09-16  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-to-column): Revert 2006-08-03 change.

2006-09-16  Eli Zaretskii  <eliz@gnu.org>

	* help.el (describe-prefix-bindings): Use let, not let*.

2006-09-16  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-regexp, allout-line-boundary-regexp)
	(allout-bob-regexp): Correct grouping and boundaries to fix
	backwards traversal.
	(allout-depth-specific-regexp, allout-depth-one-regexp):
	New versions that exploit \\{M\\} regexp syntax, to avoid geometric or
	worse time in allout-ascend.
	(allout-doublecheck-at-and-shallower): Identify depth threshold
	below which topics are checked for and disqualified by containment
	discontinuities.
	(allout-hotspot-key-handler): Correctly handle multiple-key
	strokes.  Remove some unused variables.
	(allout-mode-leaders): Clarify that mode-specific comment-start
	will be used.
	(set-allout-regexp): Correctly regexp-quote allout regexps to
	properly accept alternative header-leads and primary bullets with
	regexp-specific characters (eg, C "/*", mathematica "(*").
	Include new regular expressions among those configured.
	(allout-infer-header-lead-and-primary-bullet):
	Rename allout-infer-header-lead.
	(allout-recent-depth): Manifest as a variable as well as a function.
	(allout-prefix-data): Simplify into an inline instead of a macro,
	assuming current match data rather than being explicitly passed
	it.  Establish allout-recent-depth value as well as
	allout-recent-prefix-beginning and allout-recent-prefix-end.
	(allout-aberrant-container-p): True when an item's immediate
	offspring discontinuously contained.  Useful for disqualifying
	unintended topic prefixes, likely at low depths.
	(allout-goto-prefix-doublechecked): Elaborate version of
	allout-goto-prefix which disqualifies aberrant pseudo-items.
	(allout-pre-next-prefix): Layer on top of lower-level routines, to
	get disqualification of aberrant containers.
	(allout-end-of-prefix, allout-end-of-subtree): Disqualify aberrant
	containers.
	(allout-beginning-of-current-entry): Position at start of buffer
	when in container (depth 0) entry.
	(nullify-allout-prefix-data): Invalidate allout-recent-* prefix data.
	(allout-current-bullet): Strip text properties.
	(allout-get-prefix-bullet): Use right match groups.
	(allout-beginning-of-line, allout-next-heading):
	Disqualify aberrant containers.
	(allout-previous-heading): Disqualify aberrant containers, and
	change to regular (rather than inline) function, to allow
	self-recursion.
	(allout-get-invisibility-overlay): Increment so progress is made
	when the first overlay is not the sought one.
	(allout-end-of-prefix): Disqualify aberrant containers.
	(allout-end-of-line): Cycle something like allout-beginning-of-line.
	(allout-mode): Make allout-old-style-prefixes (ie, enabling use with
	outline.el outlines) functional again.  Change the primary bullet
	along with the header-lead - level 1 new-style bullets now work.
	Engage allout-before-change-handler in mainline Emacs, not just
	XEmacs, to do undo handling.
	(allout-before-change-handler): Expose undo changes occurring in
	hidden regions.  Use allout-get-invisibility-overlay instead of
	reimplementing it inline.
	(allout-chart-subtree): Use start rather than end of prefix in
	charts.  Use allout-recent-depth variable.
	(allout-chart-siblings): Disqualify aberrant topics.
	(allout-beginning-of-current-entry): Position correctly.
	(allout-ascend): Use new allout-depth-specific-regexp and
	allout-depth-one-regexp for linear instead of O(N^2) or worse
	behavior.
	(allout-ascend-to-depth): Depend on allout-ascend, rather than
	reimplementing an algorithm.
	(allout-up-current-level): Depend on allout-ascend, rather than
	reimplementing an algorithm.  Return to start-point if we fail.
	(allout-descend-to-depth): Use allout-recent-depth variable
	instead of function.
	(allout-next-sibling): On traversal of numerous intervening
	topics, resort to economical allout-next-sibling-leap.
	(allout-next-sibling-leap): Specialized version of
	allout-next-sibling that uses allout-ascend cleverly, to depend on
	a regexp search to leap large numbers of contained topics, rather
	than arbitrarily many one-by-one traversals.
	(allout-next-visible-heading): Disqualify aberrant topics.
	(allout-previous-visible-heading): Position consistently when
	interactive.
	(allout-forward-current-level): Base on allout-previous-sibling
	rather than (differently) reimplmenting the algorithm.  Remove some
	unused variables.
	(allout-solicit-alternate-bullet): Present default choice stripped
	of text properties.
	(allout-rebullet-heading): Use bullet stripped of text properties.
	Register changes using allout-exposure-change-hook.
	Disregard aberrant topics.
	(allout-shift-in): With universal-argument, make topic a peer of
	it's former offspring.  Simplify the code by separating out
	allout-shift-out functionality.
	(allout-shift-out): With universal-argument, make offspring peers
	of their former container, and its siblings.  Implement the
	functionality here, rather than inappropriately muddling the
	implementation of allout-shift-in.
	(allout-rebullet-topic): Respect additional argument for new
	parent-child separation function.
	(allout-yank-processing): Use allout-ascend directly.
	(allout-show-entry): Disqualify aberrant topics.
	(allout-show-children): Handle discontinuous children gracefully,
	extending the depth being revealed to expose them and posting a
	message indicating the situation.
	(allout-show-to-offshoot): Remove obsolete and incorrect comment.
	Leave cursor in correct position.
	(allout-hide-current-subtree): Use allout-ascend directly.
	Disqualify aberrant topics.
	(allout-kill-line, allout-kill-topic): Preserve exposure layout in
	a way that the yanks can restore it, as used to happen.
	(allout-yank-processing): Restore exposure layout as recorded by
	allout-kill-*, as used to happen.
	(allout-annotate-hidden, allout-hide-by-annotation): New routines
	for preseving and restoring exposure layout across kills.
	(allout-toggle-subtree-encryption): Run allout-exposure-change-hook.
	(allout-encrypt-string): Strip text properties.
	Rearranged order and outline-headings for some of the
	miscellaneous functions.
	(allout-resolve-xref): No need to quote the error name in the
	condition-case handler section.
	(allout-flatten): Classic recursive (and recursively intensive,
	without tail-recursion) list-flattener, needed by allout-shift-out
	when confronted with discontinuous children.

2006-09-16  Jason Rumney  <jasonr@gnu.org>

	* dnd.el (dnd-open-remote-file-function): Use dnd-open-local-file
	on ms-windows.
	(dnd-open-unc-file): Remove.
	(dnd-open-local-file): Mention in doc string that it also handles
	remote files if the system natively supports unc file-names.

2006-09-15  Kim F. Storm  <storm@cua.dk>

	* help.el (describe-key): Handle C-h k in *Help* buffer; collect
	all necessary information about the event before erasing *Help*.

	* simple.el (line-move-partial): Use window-line-visiblity to
	quickly check whether last line is partially visible, and only do
	the hard (and slow) part in that case.

2006-09-15  Jay Belanger  <belanger@truman.edu>

	* COPYING: Replace "Library Public License" by "Lesser Public
	License" throughout.

2006-09-15  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-menu-bar-open): New function for F10.

2006-09-15  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Disallow filenames containing " -" to avoid confusion with libtool
	compilation messages.  Suggested by Stefan Monnier.

2006-09-15  David Kastrup  <dak@gnu.org>

	* mouse-sel.el (mouse-sel-follow-link-p): Use event position
	instead of buffer position for `mouse-on-link-p'.

	* mouse.el (mouse-posn-property): New function looking up the
	properties at a click position in overlays and text properties in
	either buffer or strings.
	(mouse-on-link-p): Use `mouse-posn-property' to streamline lookup
	of both `follow-link' as well as `mouse-face' properties.
	(mouse-drag-track): Check `mouse-on-link-p' on event position, not
	buffer position.

	* help.el (describe-key-briefly): When reading a down-event on
	mode lines or scroll bar, swallow the following up event, too.
	Use the new mouse sensitivity of `key-binding' for lookup.
	(describe-key): The same here.

2006-09-15  Juanma Barranquero  <lekktu@gmail.com>

	* play/life.el (life-patterns): Add a few more interesting patterns.
	(life-setup): Force `show-trailing-whitespace' to nil.

2006-09-14  Richard Stallman  <rms@gnu.org>

	* startup.el (fancy-splash-text): Change text to improve alignment.
	(fancy-splash-screens): Don't set non-standard tab width.
	Bind cursor-type temporarily, and make it easy to patch to
	preserve the splash buffer.
	(normal-splash-screen, fancy-splash-tail): Spell out "Meta-x".
	(fancy-splash-screens): Display echo-area message explicitly.
	Don't set fancy-splash-help-echo.

	* simple.el (line-number-mode): Group mode-line instead of
	editing-basics.
	(column-number-mode, size-indication-mode): Likewise.

	* faces.el (mode-line-faces): Group mode-line instead of modeline.

	* time.el (display-time): Group mode-line instead of modeline.

	* cus-edit.el (mode-line): Rename from modeline.  All uses changed.

2006-09-14  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-splash-text): Move editing instructions to
	fancy-splash-head.
	(fancy-splash-head): Issue editing instructions.
	(fancy-splash-screens): Fixup whitespace.

2006-09-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bindings.el (mode-line-buffer-identification-keymap):
	Remove duplicate line.

2006-09-14  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* ido.el (ido-ignore-item-p): Allow any kind of functions in
	ignore lists.

2006-09-14  Kim F. Storm  <storm@cua.dk>

	* jit-lock.el (jit-lock-fontify-again): New function.
	(jit-lock-fontify-now): Use it instead of lambda form.

2006-09-13  Agustin Martin  <agustin.martin@hispalinux.es>

	* textmodes/flyspell.el (flyspell-word, flyspell-correct-word)
	(flyspell-auto-correct-word): Make ispell-filter local to these
	functions.  Check that ispell-filter has new stuff before calling
	ispell-parse-output.

2006-09-13  Kim F. Storm  <storm@cua.dk>

	* simple.el (line-move-partial): Optimize.

2006-09-13  Richard Stallman  <rms@gnu.org>

	* thingatpt.el (thing-at-point-bounds-of-url-at-point):
	Delete spurious backquote.

2006-09-07  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-print): Fix last change.

2006-09-12  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc-dispatch): Remove unnecessary `sit-for'.

2006-09-07  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-scroll-show-maximum-output): Rename from
	rcirc-show-maximum-output.
	(rcirc-mode): Remove window-scroll-function hook.
	(rcirc-scroll-to-bottom): Remove function.
	(rcirc-print): Recenter so point stays at the bottom of the window
	if point was already there.

2006-09-12  Paul Eggert  <eggert@cs.ucla.edu>

	* comint.el (comint-exec-1): Set EMACS to the full name of Emacs,
	not to "t".
	* progmodes/compile.el (compilation-start): Likewise.
	* progmodes/idlwave.el (idlwave-rescan-asynchronously):
	Don't use expand-file-name on invocation-directory, since this
	might mishandle special characters in invocation-directory.

2006-09-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs-defs.el: Remove * in defcustom's docstrings.

2006-09-12  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/compile.el (compilation-directory-properties):
	Doc fix for help-echo.

2006-09-12  Lars Hansen  <larsh@soem.dk>

	* desktop.el (desktop-read): Add comment.

2006-09-12  Kim F. Storm  <storm@cua.dk>

	* simple.el (next-error-highlight, next-error-highlight-no-select):
	Fix spelling error.

	* subr.el (sit-for): Rework to use input-pending-p and cond.
	Return nil input is pending on entry also for SECONDS <= 0.
	(while-no-input): Use input-pending-p instead of sit-for.

2006-09-11  Richard Stallman  <rms@gnu.org>

	* simple.el (next-error-highlight, next-error-highlight-no-select):
	Fix custom type and doc strings.

2006-09-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-apply-hunk-to-backup-file): New var.
	(diff-apply-hunk): Use it to ask for confirmation.

2006-09-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* emacs-lisp/cl.el (pushnew): Add missing `,'.

2006-09-11  David Kastrup  <dak@gnu.org>

	* help.el (string-key-binding, describe-key-briefly)
	(describe-key): Remove `string-key-binding' and its callers since
	`key-binding' already caters for the proper lookup now.

2006-09-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cfengine.el (cfengine-font-lock-syntactic-keywords): Newvar.
	(cfengine-mode): Use it.  Fix \ syntax to be like /.

	* bindings.el (mode-line-buffer-identification-keymap):
	Move initialization into declaration.

2006-09-10  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-edit-input, ido-complete, ido-take-first-match)
	(ido-push-dir-first, ido-kill-buffer-at-head, ido-exhibit)
	(ido-delete-file-at-head): Pass head of ido-matches through ido-name
	in case of merged directories.  Reported by Micha,Ak(Bl Cadilhac.

2006-09-10  Richard Stallman  <rms@gnu.org>

	* dired-aux.el: Handle errors in recursive copy usefully.
	(dired-create-files-failures): New variable.
	(dired-copy-file): Remove condition-case.
	(dired-copy-file-recursive): Check for errors on all file
	operations, and add them to dired-create-files-failures.
	Check file file-date-erorr here too.
	(dired-create-files): Check dired-create-files-failures
	and report those errors too.

	* emacs-lisp/cl.el (pushnew): Use add-to-list when convenient.

	* subr.el (add-to-list): New argument COMPARE-FN.

2006-09-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* filecache.el (file-cache-add-directory)
	(file-cache-add-directory-list, file-cache-add-file)
	(file-cache-add-directory-using-find)
	(file-cache-add-directory-using-locate)
	(file-cache-add-directory-recursively): Add autoloads.

2006-09-09  Richard Stallman  <rms@gnu.org>

	* textmodes/conf-mode.el (conf-space-mode):
	Use hack-local-variables-hook instead of calling hack-local-variables.
	(conf-space-keywords-override): New variable.
	(conf-space-mode-internal): New subroutine.  Reinit Font Lock mode.
	(conf-space-mode): Always make conf-space-keywords and
	conf-space-keywords-override local.
	Call conf-space-mode-internal directly as well as via hook.

2006-09-09  Slawomir Nowaczyk  <slawomir.nowaczyk.847@student.lu.se>  (tiny change)

	* progmodes/python.el (python-font-lock-keywords): Add `self' and other
	quasi-keywords.

2006-09-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el: Quieten the compiler about hippie-expand vars.
	(python-send-string): Be slightly more careful about adding \n.

	* startup.el (normal-splash-screen): Don't display the buffer if we'll
	kill it right away anyway.

2006-09-09  Eli Zaretskii  <eliz@gnu.org>

	* international/codepage.el (cp850-decode-table): Fix a few codes.
	(cp858-decode-table): New variable.

2006-09-09  Toby Allsopp  <Toby.Allsopp@navman.com>  (tiny change)

	* net/ldap.el (ldap-search-internal): Doc fix.

2006-09-09  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* play/life.el (life-display-generation): Test for input manually if
	`sleeptime' is negative or null.

	* lpr.el (lpr-page-header-switches): Page title switch is one of them.
	(print-region-1): Substitute `%s' with the page title.

2006-09-09  Matt Hodges  <MPHodges@member.fsf.org>

	* locate.el (locate-current-search): New variable.
	(locate): Set buffer local value.  Use current buffer if it is
	in Locate mode.
	(locate-mode): Disable undo here.
	(locate-do-setup): Use locate-current-filter from buffer to be killed.
	(locate-update): Use locate-current-search and locate-current-filter.

2006-09-08  David Kastrup  <dak@gnu.org>

	* desktop.el (desktop-read): When loading a desktop, disable
	saving it while the load progresses, and switch off a pending lazy
	load by calling `desktop-lazy-abort'.

2006-08-27  Martin Rudalics  <rudalics@gmx.at>

	* window.el (mouse-autoselect-window-timer)
	(mouse-autoselect-window-position)
	(mouse-autoselect-window-window)
	(mouse-autoselect-window-now): New vars.
	(mouse-autoselect-window-cancel)
	(mouse-autoselect-window-select)
	(mouse-autoselect-window-start): New functions.
	(handle-select-window): Call `mouse-autoselect-window-start' when
	delayed window autoselection is enabled.

	* cus-start.el (mouse-autoselect-window): Handle delayed window
	autoselection.

	* emacs-lisp/eldoc.el: Add `handle-select-window' to the set of
	commands after which it is allowed to print in the echo area.

2006-09-08  Richard Stallman  <rms@gnu.org>

	* textmodes/fill.el (adaptive-fill-regexp): Don't match `(1)' or `1.'

	* mail/rmail.el (rmail-get-new-mail): Say whether all msgs are spam.
	(rmail-convert-to-babyl-format): Don't record undo, leave list empty.

	* emacs-lisp/timer.el (timer-create, timer-activate): Doc fixes.
	(cancel-timer-internal): Add doc string.
	(cancel-function-timers): Doc fix.
	(with-timeout-handler, timer-event-last*): Add doc strings.

	* emacs-lisp/bindat.el (bindat-unpack): Doc fix.

	* files.el (risky-local-variable-p): Match ...-bindat-spec.

	* dired.el (dired-log-summary): Add doc string.

	* cus-edit.el (custom-menu-create): Bind deactivate-mark here.
	(custom-group-menu-create): Not here.

2006-09-08  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-dblock-write:clocktable): Avoid infinite loop.

2006-09-08  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (show-hide-font-panel): New HI command ID symbol.
	(mac-apple-event-map): Define its handler.

2006-09-07  Toby Allsopp  <Toby.Allsopp@navman.com>  (tiny change)

	* net/ldap.el (ldap-search-internal): Handle `auth' key.

2006-09-07  Magnus Henoch  <mange@freemail.hu>

	* net/rcirc.el (rcirc-activity-string): Don't quote value in case
	clause.

2006-09-07  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* info.el (Info-index): Bind completion-ignore-case.

2006-09-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/prolog.el (inferior-prolog-flavor): New var left out of
	previous commit.
	(inferior-prolog-guess-flavor): New fun left out of previous commit.
	(prolog-consult-region-and-go): Don't hard code "*prolog*" and don't
	burp in dedicated windows.
	(inferior-prolog-self-insert-command): New command.
	(inferior-prolog-mode-map): Use it.

2006-09-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* international/latexenc.el (latex-inputenc-coding-alist): Add cp858.

	* international/code-pages.el: Add cp858.

2006-09-07  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* dnd.el: Fix bootstrapping.

2006-09-07  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* dnd.el (dnd-protocol-alist): Add what url-handler-mode can handle.
	(dnd-open-remote-url): New function.
	(dnd-open-remote-file-function): Set to dnd-open-remote-url if
	not windows-nt.

2006-09-07  Jason Rumney  <jasonr@gnu.org>

	* dnd.el (dnd-open-remote-file-function): New variable.
	(dnd-open-unc-file): New function.
	(dnd-open-file): Call dnd-open-remote-file-function if set.

2006-09-06  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-region): Encode passphrase with
	pgg-passphrase-coding-system rather than locale-coding-system.
	* pgg-def.el (pgg-passphrase-coding-system): New user option.

2006-09-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/prolog.el: Remove * in docstrings.
	(prolog-program-name): Add SWI prolog.
	(prolog-mode-menu): New menu.
	(prolog-mode): Set comment-add.
	(prolog-indent-line): Simplify.  Use indent-line-to.
	(inferior-prolog-buffer): New var.
	(inferior-prolog-run, inferior-prolog-process): New funs.
	(run-prolog, switch-to-prolog): Rewrite, using them.
	(prolog-consult-region): Use inferior-prolog-buffer.
	(inferior-prolog-load-file): New function.
	(prolog-mode-map): Add bindings for load-file and switch-to-prolog.

	* textmodes/fill.el (fill-single-word-nobreak-p): Allow breaking before
	last word, if it's not the end of the paragraph.

	* files.el (abbreviate-file-name): Don't mistakenly match newlines in
	file name.

2006-09-06  Ralf Angeli  <angeli@caeruleus.net>

	* frame.el (display-mm-dimensions-alist): New defcustom.
	(display-mm-height, display-mm-width): Use it.

2006-09-06  Simon Josefsson  <jas@extundo.com>

	* mail/smtpmail.el (smtpmail-starttls-credentials): Doc fix.

2006-09-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-list-children-regexp)
	(gdb-var-list-children-regexp-1): Tweak regexps to catch full
	string values.

2006-09-06  Kim F. Storm  <storm@cua.dk>

	* simple.el (line-move-partial): New function to do vscrolling for
	partially visible images / tall lines.  Rewrite based on code
	previously in line-move.  Simplify backwards vscrolling.
	(line-move): Use it.  Simplify.

2006-09-05  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua--pre-command-handler-1): Rewrite.

2006-09-05  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Process the `gcc-include' after the `gnu' rule.

2006-09-05  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-visit-buffer): Use buffer name if buffer arg is a buffer.

2006-09-05  Daiki Ueno  <ueno@unixuser.org>

	* pgg.el (pgg-clear-string): Alias to clear-string for backward
	compatibility.

	* pgg-gpg.el (pgg-gpg-process-region): Avoid display blinking with
	inhibit-redisplay; encode passphrase with locale-coding-system.

2006-09-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Add more C-M- bindings.

2006-09-05  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-list-children-regexp)
	(gdb-var-list-children-regexp): Make type field optional.

	* progmodes/gud.el (gud-speedbar-buttons): Allow for no type
	e.g public, protected in C++.

2006-09-04  John Paul Wallington  <jpw@pobox.com>

	* simple.el (completion-show-help): New defcustom.
	(completion-setup-function): Heed it.

2006-09-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Add C-M- bindings.

2006-09-04  Richard Stallman  <rms@gnu.org>

	* mail/rmail-spam-filter.el (rsf-scanning-messages-now): Doc fix.
	(rsf-min-region-to-spam-list): Doc fix.
	(rsf-add-content-type-field): Doc fix.

	* simple.el (kill-region): Explicitly test there is a region.

2006-09-04  Chong Yidong  <cyd@stupidchicken.com>

	* mail/feedmail.el (feedmail-buffer-to-sendmail): Look for
	sendmail in several common directories.

	* mail/sendmail.el (sendmail-program): Moved here from paths.el.

	* paths.el (sendmail-program): Removed.

2006-09-04  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-region): Revert two patches from Satyaki
	Das.  http://article.gmane.org/gmane.emacs.gnus.general/49947
	http://article.gmane.org/gmane.emacs.gnus.general/50457

2006-09-03  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (custom-group-menu-create): Avoid deactivating the
	mark after running the menu filter.

2006-09-03  Juri Linkov  <juri@jurta.org>

	* international/quail.el (quail-defrule-internal): Add a check
	if a key is a vector.

2006-09-02  Juri Linkov  <juri@jurta.org>

	* man.el (Man-topic-history): New variable.
	(man): Use it.

	* woman.el (woman-topic-history): Change defvar to defvaralias
	for symbol `Man-topic-history'.

	* shell.el (shell-filter-ctrl-a-ctrl-b): Check if
	`comint-last-output-start' is a marker by using `markerp' and
	check if it has a position by using `marker-position', and use
	this position for `goto-char'.

	* international/quail.el (quail-defrule-internal): Add missing
	`error' call for null key.

2006-09-02  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-keywords): New variable.
	(rcirc-bright-nicks, rcirc-dim-nicks): New variables.
	(rcirc-bright-nick-regexp, rcirc-dim-nick-regexp): Remove
	variables.
	(rcirc-responses-no-activity): New function.
	(rcirc-handler-generic): Check for responses in above.
	(rcirc-process-command): Add ?: character to arguments of raw
	server commands.
	(rcirc-format-response-string): Use `rcirc-bright-nicks' and
	`rcirc-dim-nicks'.
	(rcirc-gray-toggle): Remove unused variable.
	(rcirc-print): Remove some tracking logic, which is moved into
	markup functions.
	(rcirc-activity-types): Was `rcirc-activity-type', now a list of
	types.
	(rcirc-activity-string): Look for 'keyword in activity-types.
	(rcirc-window-configuration-change): Don't erase overlay-arrow
	unnecessarily.
	(rcirc-add-or-remove): New function.
	(rcirc-cmd-ignore): Use it.
	(rcirc-message-leader): Remove unused function.
	(rcicr-cmd-bright, rcirc-cmd-dim, rcirc-cmd-keyword): New commands.
	(rcirc-add-face): New function.
	(rcirc-facify): Use rcirc-add-face.
	(rcirc-url-regexp): Add parens.
	(rcirc-map-regexp): Remove function.
	(rcirc-mangle-regexp): Remove function.
	(rcirc-markup-text-functions): New variable.
	(rcirc-markup-text): New function (replaces `rcirc-mangle-text').
	(rcirc-markup-body-text, rcirc-markup-attributes)
	(rcirc-markup-my-nick, rcirc-markup-urls, rcirc-markup-keywords)
	(rcirc-markup-bright-nicks): New markup handler functions.
	(rcirc-nick-in-message-full-line): New face.
	(rcirc-track-nick): Rename from `rcirc-mode-line-nick'.
	(rcirc-track-keyword, rcirc-url, rcirc-keyword): New faces.

2006-09-02  Martin Rudalics  <rudalics@gmx.at>

	* cus-start.el (hscroll-margin, hscroll-step)
	(mode-line-in-non-selected-windows, mouse-autoselect-window)
	(x-use-underline-position-properties): Change version to "22.1"
	since they will appear there for the first time.

2006-09-01  Chong Yidong  <cyd@stupidchicken.com>

	* imenu.el (imenu-update-menubar): Use buffer-chars-modified-tick.

2006-08-31  Richard Stallman  <rms@gnu.org>

	* cus-edit.el (custom-save-variables): Slight cleanup.
	(Custom-no-edit): Renamed from custom-no-edit.
	(Custom-newline): Renamed from custom-newline.
	(custom-mode-map): Use new names.

	* emacs-lisp/easy-mmode.el (define-minor-mode): Reference manual
	about customization, rather than M-x customize, in the doc string
	made for the defcustom.

	* emacs-lisp/trace.el (trace-function-background): Doc fix.

2006-08-31  Romain Francoise  <romain@orebokech.com>

	* dired-x.el (dired-guess-shell-alist-default): Update.

2006-08-31  Michael Mauger  <mmaug@yahoo.com>

	* custom.el (custom-theme-set-variables): Autoload packages before
	sorting the variables.

2006-08-30  Michael Kifer  <kifer@cs.stonybrook.edu>

	* emulation/viper-cmd.el (viper-special-read-and-insert-char):
	Convert events to chars if XEmacs.
	(viper-after-change-undo-hook): Check if undo-in-progress is bound.

2006-08-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-eldoc-function): Re-enable quit while
	waiting for process.

2006-08-30  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-string-to-utxt): If adjustment for MacJapanese
	results in ASCII-only string, encode original one directly.

2006-08-29  Romain Francoise  <romain@orebokech.com>

	* startup.el (normal-splash-screen, fancy-splash-screens):
	Make buffer read-only and arrange to enter view mode if necessary.

2006-08-29  Chong Yidong  <cyd@stupidchicken.com>

	* hl-line.el (hl-line): New face.
	(hl-line-face): Use it.

	* image-mode.el (image-mode): Fix last fix.
	Suggested by Kim F. Storm.

2006-08-29  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.0.54.

	* net/tramp.el (tramp-convert-file-attributes): Call `eql' instead
	of `=', because `tramp-get-remote-gid' might not always return an
	integer when expected.
	(tramp-register-file-name-handlers): `partial-completion-mode' is
	unknown to XEmacs.
	(tramp-time-diff): Don't use `floor', it might fail for large
	differences.
	(tramp-handle-make-auto-save-file-name): For Emacs 21, set
	`tramp-auto-save-directory' if unset in order to guarantee unique
	auto-save file names.

2006-08-28  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-mode): Display image as text on a terminal.

2006-08-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-send-command): Simplify.
	(run-python): Don't generate a new buffer unless `new' was specified.
	Make sure we send `import emacs' to the proper process.

	* progmodes/python.el (python-send-command): Don't wait for the command
	to terminate.  Don't fiddle with compilation-parsing-end.

2006-08-28  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/checkdoc.el (checkdoc-file-comments-engine):
	Insert commentary after first line summary.

	* woman.el (woman-follow): New function, based on `man-follow'.
	(woman-mode-map): Use it.

	* ibuffer.el (ibuffer-do-sort-by-recency): Perform full update
	since ibuffer-do-sort-by-recency does not define a sorter.

2006-08-28  Kim F. Storm  <storm@cua.dk>

	* find-dired.el (find-dired): Use shell-quote-argument to properly
	escape ( and ) args.  Also use it on {} and ; args in default
	value of find-ls-option string.
	(find-grep-dired): Use shell-quote-argument on {} and ; args.

2006-08-27  Michael Olson  <mwolson@gnu.org>

	* emacs-lisp/tq.el: Small grammar fix in comments.
	(tq-enqueue): Check for existence of queue rather than the
	head queue item's question, which was a no-op.
	(tq-filter, tq-process-buffer): Make sure the process buffer
	exists before making it the current buffer.

2006-08-27  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-apple-event-map): Rename hicommand to hi-command.
	(mac-dnd-drop-data): Apply 2006-08-22 change for x-dnd-drop-data.
	(special-event-map): Apply 2006-08-16 change for x-win.el.

2006-08-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-send-receive): Wait in the
	process's buffer so as to check the right buffer-local variables.

2006-08-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/checkdoc.el: Remove * in defcustoms.
	(defgroup checkdoc): Move to beginning.

	* progmodes/python.el (python-preoutput-skip-next-prompt): New var.
	(python-preoutput-continuation): Remove.
	(python-preoutput-filter): Simplify correspondingly.
	Remove handling of _emacs_ok.  Make sure we skip _emacs_out's prompts.
	Loop around to catch embedded _emacs_out output.
	(run-python): Send the import&print command on a single line.
	(python-send-command): Send command&print on a single line.
	(python-send-string): Only add double \n if needed.
	(python-send-receive): Loop until the result comes.
	(python-mode-running): Defvar it.
	(python-setup-brm): Remove unused var `menu'.
	Only bind py-mode-map and `features' around brm-init.
	(python-calculate-indentation): Remove unused var `point'.
	(python-beginning-of-defun): Remove unused var `def-line'.

2006-08-25  Richard Stallman  <rms@gnu.org>

	* kmacro.el (kmacro-repeat-on-last-key): Doc fix.

2006-08-25  Michael Kifer  <kifer@cs.stonybrook.edu>

	* emulation/viper.el (viper-set-hooks): Use frame bindings for
	viper-vi-state-cursor-color.
	(viper-non-hook-settings): Don't set default
	mode-line-buffer-identification.

	* emulation/viper-util.el (viper-set-cursor-color-according-to-state):
	New fun.
	(viper-set-cursor-color-according-to-state)
	(viper-get-saved-cursor-color-in-replace-mode)
	(viper-get-saved-cursor-color-in-insert-mode): Make conditional on
	viper-emacs-state-cursor-color.

	* emulation/viper-cmd.el (viper-envelop-ESC-key): Bug fix.
	(viper-undo): Use point if undo-beg-posn is nil.
	(viper-insert-state-post-command-sentinel, viper-change-state-to-emacs)
	(viper-after-change-undo-hook): Don't use
	viper-emacs-state-cursor-color by default.
	(viper-undo): More sensible positioning after undo.

	* emulation/viper-ex.el (ex-splice-args-in-1-letr-cmd): Get rid of caddr.
	(viper-emacs-state-cursor-color): Default to nil, since this feature
	doesn't work well yet.

	* ediff-mult.el (ediff-intersect-directories)
	(ediff-get-directory-files-under-revision, ediff-dir-diff-copy-file):
	always expand filenames.

2006-08-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tumme.el: Remove * in defcustoms's docstrings.

2006-08-24  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/timer.el (timer-set-idle-time, run-with-idle-timer):
	Accept internal time format for SECS arg.
	(timer-relative-time): Doc fix.

	* jit-lock.el: "Stealth fontification by requeuing timers" patch,
	adapted from Martin Rudalics.
	(jit-lock-stealth-repeat-timer, jit-lock-stealth-buffers): New vars.
	(jit-lock-mode): Create jit-lock-stealth-repeat-timer.
	(jit-lock-stealth-fontify): Reschedule as a idle timer instead of
	using sit-for.

2006-08-24  Francesc Rocher  <francesc.rocher@gmail.com>

	* cus-start.el (all): Add `overline-margin' and
	`x-underline-at-descent-line'.

2006-08-24  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (grep-find-use-xargs): Use explicit value `exec'
	to mean "use find -exec"; nil now unambiguously means auto-detect.
	(grep-compute-defaults): Set grep-find-use-xargs to `exec' if not `gnu'.
	Use shell-quote-argument to build grep-find-command and
	grep-find-template.
	(rgrep): Use shell-quote-argument to properly quote arguments to find.
	Reported by Tom Seddon.

2006-08-23  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-splash-head): Give instructions for dismissing
	the splash screen for default startup too.
	(display-startup-echo-area-message, fancy-splash-screens)
	(use-fancy-splash-screens-p): New arg hide-on-input.  If nil, show
	all splash text at once and keep the splash buffer around.
	(command-line-1): Give display-startup-echo-area-message a t arg.

2006-08-23  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-follow-gnus-link): Make sure the dedicated
	gnus frame is selected.

2006-08-23  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-starting): Reset gdb-signalled to nil.

2006-08-22  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-set-matches-1): Fix full matching for subdirs.
	Add suffix matching for subdirs.

2006-08-22  Jorgen Schaefer  <forcer@forcix.cx>  (tiny change)

	* x-dnd.el (x-dnd-drop-data): Don't call goto-char if
	mouse-yank-at-point is non-nil.

2006-08-22  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-frame-memory-buffer): Make frame
	a bit wider and remove fringes to fit initial output on line.

2006-08-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* frame.el (blink-cursor-end): Only ignore the error we care about.
	(blink-cursor-mode): Use blink-cursor-end to simplify the code.

2006-08-21  Richard Stallman  <rms@gnu.org>

	* whitespace.el (whitespace-cleanup): Doc fix.

2006-08-20  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-show-maximum-output): New var.
	(rcirc-buffer-process): If no buffer argument is supplied, use
	current-buffer.
	(rcirc-complete-nick): Complete to the last completed nick first.
	(rcirc-mode): Preserve the value of `rcirc-urls' across
	connections.  Setup scroll function.
	(rcirc-scroll-to-bottom): New function.
	(rcirc-print): Use nick syntax around regexp work.
	Notice dim-nicks speaking only if they say our nick.
	(rcirc-update-activity-string): Do not show the modeline indicator
	if there are no live rcirc processes.
	(rcirc-cmd-ignore): Ignore case.
	(rcirc-browse-url-at-point): Fix off-by-one error.

2006-08-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el: Remove * in defcustom docstrings.
	(run-python, python-proc, python-try-complete): Use derived-mode-p.
	(python-mode): Set tab-width and indent-tabs-mode.

2006-08-20  Dave Love  <fx@gnu.org>

	* progmodes/python.el: Update to Dave Love's latest version.
	(python-font-lock-keywords, python-mode): Don't use
	font-lock-syntax-table, but match symbol elements explicitly instead.
	(python-mode-map): Add help, and a few more key bindings.
	(python-skip-comments/blanks): Move out of comments as well.
	(python-continuation-line-p): Behave better with unbalanced parens.
	(python-blank-line-p): New fun.
	(python-open-block-statement-p): Don't use a heuristic.
	(python-outdent-p): Better handle blocks-in-the-same-line.
	(python-calculate-indentation): Misc improvements.
	(python-comment-indent): Remove.
	(python-block-pairs): New var.
	(python-first-word): New fun.
	(python-indentation-levels): Handle more common cases.
	(python-indent-line-1): Add `leave' argument.
	(python-indent-region): New fun.
	(python-skip-out): New fun.
	(python-beginning-of-statement, python-end-of-statement): Use it.
	(python-next-statement): Return correct count even at eob.
	(python-end-of-block): Fix paren-typo.
	(python-imenu-create-index): Add module variables.
	(run-python): Add `new' arg.
	Check we're at a prompt before returning.
	(python-send-command): Move to end of buffer.
	Wait for prompt to return.
	(python-set-proc): New fun.
	(python-imports): New var.
	(python-describe-symbol): Use it.  Adjust to new interface of `ehelp'.
	(python-eldoc-function): Try to move out of arg list.
	(python-outline-level): Offset by 1.
	(python-find-imports): New fun.
	(python-symbol-completions): Use python-imports.
	(python-module-path, ffap-alist): Add support for ffap.
	(python-skeletons, python-mode-abbrev-table, def-python-skeleton)
	(python-insert-*, python-default-template, python-expand-template):
	Add templates/skeletons.
	(python-setup-brm): Support for Bicycle Repair Man.
	(python-abbrev-syntax-table): New var.
	(python-abbrev-pc-hook, python-pea-hook): New funs.

2006-08-20  Chong Yidong  <cyd@stupidchicken.com>

	* frame.el (blink-cursor-start): Set timer first.
	(blink-cursor-end): Ignore timer cancelling errors.
	Suggested by Ken Manheimer.

2006-08-20  Juanma Barranquero  <lekktu@gmail.com>

	* newcomment.el (comment-box): Call `comment-normalize-vars'.
	Add autoload cookie.

2006-08-20  Richard Stallman  <rms@gnu.org>

	* simple.el (line-number-at-pos): Doc fix.

	* emacs-lisp/timer.el (run-with-idle-timer): Pass t to
	timer-activate-when-idle, so timer can run before Emacs becomes
	non-idle again.

2006-08-18  Yoni Rabkin Katzenell  <yoni-r@actcom.com>  (tiny change)

	* whitespace.el (whitespace-cleanup-internal): New optional arg
	REGION-ONLY.  If it's non-nil, modify the message to the user
	accordingly.
	(whitespace-cleanup-region): Call whitespace-cleanup-internal with
	a non-nil argument.

2006-08-18  Gustav H,Ae(Bllberg  <gustav@gmail.com>  (tiny change)

	* rect.el (spaces-string): Simplify and add doc string.

2006-08-17  Romain Francoise  <romain@orebokech.com>

	* progmodes/gdb-ui.el (gdb-edit-locals-value): Balance parens.

2006-08-17  Richard Stallman  <rms@gnu.org>

	* compare-w.el (compare-windows): lambda's take an arg and pass
	it to compare-windows-skip-whitespace.

2006-08-17  Martin Rudalics  <rudalics@gmx.at>

	* jit-lock.el (jit-lock-fontify-now): Protect the modified status of
	the right buffer.

2006-08-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs-parse.el (cvs-parse-table): Accept the new `...' format for
	removed files.

2006-08-17  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-locals-watch-map)
	(gdb-locals-watch-map-1): Suppress keymap first.
	(gdb-edit-locals-map-1): New variable.
	(gdb-edit-locals-value): New function.
	(gdb-stack-list-locals-handler): Use them.

2006-08-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (global-map): Allow yanking with mouse-2 at a spot whose
	cursor would normally be drawn in the fringe.

	* font-lock.el (font-lock-extend-region-wholelines): Fix up typo.
	Reported by Martin Rudalics <rudalics@gmx.at>.

2006-08-16  Richard Stallman  <rms@gnu.org>

	* term/x-win.el (x-clipboard-yank): Specify * in interactive spec.
	(special-event-map): Process drag-n-drop events this way.

	* simple.el (move-beginning-of-line): Test whether fields
	would prevent motion back to line's first visible character.
	If so, stop where the fields would stop the motion.

	* newcomment.el (comment-indent): Fully update INDENT
	before checking to see if it will change the text.

	* cus-edit.el (custom-newline): New function.
	(custom-mode-map): Bind newline to custom-newline.

	* compare-w.el (compare-windows): Factor compare-ignore-whitespace
	into ignore-whitespace.
	Check each buffer for its skip-function.
	Handle compare-windows-skip-whitespace special-case test
	by returning t from default skip function.

2006-08-15  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-clock-special-range)
	(org-clock-update-time-maybe): New functions.
	(org-stamp-time-of-day-regexp): Allow weekday to be of word chars,
	not only a-z.
	(org-agenda-get-blocks): Allow multiple blocks per headline.
	(org-timestamp-change): Call `org-clock-update-time-maybe'.
	(org-export-html-title-format)
	(org-export-html-toplevel-hlevel): New options.
	(org-export-language-setup): Add support for Czech.
	(org-mode, org-insert-todo-heading, org-find-visible)
	(org-find-invisible, org-invisible-p, org-invisible-p2)
	(org-back-to-heading, org-on-heading-p, org-up-heading-all)
	(org-show-subtree, org-show-entry, org-make-options-regexp):
	Remove compatibility support for old outline-mode.
	(org-check-occur-regexp): Funtion removed.
	(org-on-heading-p, org-back-to-heading): Made defalias.
	(org-set-local): New defsubst.
	(org-set-regexps-and-options, org-mode)
	(org-set-font-lock-defaults, org-edit-agenda-file-list)
	(org-timeline, org-agenda-list, org-todo-list, org-tags-view)
	(org-remember-apply-template, org-table-edit-field)
	(org-table-edit-formulas, orgtbl-mode, org-export-as-ascii)
	(org-set-autofill-regexps): Use `org-set-local'.
	(org-table-eval-formula): Fix bug with parsing of display flags.

2006-08-15  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-info-stack-custom): Indicate selected
	frame with fringe arrow.  Suggested by Simon Marshall
	<simon.marshall@misys.com>.
	(gdb-stack-position): New variable.
	(gdb-starting, gdb-exited): Reset gdb-stack-position to nil.
	(gdb-frames-mode): Set gdb-stack-position to nil.
	Add to overlay-arrow-variable-list
	(gdb-reset): Delete gdb-stack-position from above list.

2006-08-14  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (menu-bar-edit-menu): Disable paste if buffer is
	read only.

2006-08-13  Romain Francoise  <romain@orebokech.com>

	* cus-theme.el (customize-create-theme)
	(custom-theme-visit-theme): End `y-or-n-p' prompt with a space.

	* filesets.el (filesets-add-buffer): Ditto.

	* pcvs.el (cvs-change-cvsroot): Ditto.

2006-08-13  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-frame-separate-io-buffer)
	(gdb-use-separate-io-buffer, menu): Avoid using `inferior' in text.
	(gdb-memory-mode, gdb-locals-watch-map): Don't quote lambda
	expressions.
	(gdb-info-breakpoints-custom): Use gdb-breakpoint-regexp.
	Only search till end of line.
	Add face to function names in case of no filename.
	Add face to variable names of watchpoints.

2006-08-12  Robert Thorpe  <rthorpe@realworldtech.com>  (tiny change)

	* cus-start.el <indent-tabs-mode>: Move to the `indent'
	customization group.

2006-08-12  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-prior-bindings, allout-added-bindings):
	Remove, after long deprecation.
	(allout-beginning-of-line-cycles, allout-end-of-line-cycles):
	Add customization vars controlling allout-beginning-of-line and
	allout-end-of-line conveniences.
	(allout-header-prefix, allout-use-mode-specific-leader)
	(allout-use-mode-specific-leader, allout-mode-leaders):
	Revise docstrings.
	(allout-infer-header-lead): Change to be an alias for
	allout-infer-header-lead-and-primary-bullet.
	(allout-infer-header-lead-and-primary-bullet): New version of
	allout-infer-header-lead which assigns the primary bullet to the
	same as the header lead, when its being changed.
	(allout-infer-body-reindent): Apply regexp-quote instead of
	unconditionally prepending "\\", so that all literal
	allout-header-prefix and allout-primary-bullet strings are
	properly handled.
	(allout-add-resumptions): Add optional qualifier for extending or
	appending to existing values, rather than replacing them.
	(allout-view-change-hook): Clarify docstring.
	(allout-exposure-change-hook): Take explicit arguments, via
	run-hook-with-args.
	(allout-structure-added-hook)
	(allout-structure-deleted-hook)
	(allout-structure-shifted-hook): New hooks analogous to
	allout-exposure-change-hook for other kinds of structural outline
	edits.
	(allout-encryption-plaintext-sanitization-regexps): New encryption
	customization variable, by which cooperating modes can provde
	massage of the plaintext without actually being passed it.
	(allout-encryption-ciphertext-rejection-regexps)
	(allout-encryption-ciphertext-rejection-ceiling): New encryption
	customization variables, by which cooperating modes can prohibit
	rare but possible ciphertext patterns from fouling their
	operation, with actually being passed the ciphertext.
	(allout-mode): Run activation and deactivation hooks after the
	minor-mode variable has been toggled, to clarify the mode
	disposition.  The new encryption ciphertext rejection variable is
	used to ensure that the ciphertext does not contain text that
	would be recognized as outline structural elements by allout.
	Substite allout-beginning-of-line and allout-end-of-line for
	conventionall beginning-of-line and end-of-line bindings.
	If allout-old-style-prefixes is non-nil, don't nullify it on mode
	activation!
	(allout-beginning-of-line): Respect `allout-beginning-of-line-cycles'.
	(allout-end-of-line): Respect `allout-end-of-line-cycles'.
	(allout-chart-subtree): Implement new mode, charting only the
	visible items in the subtree, when new 'visible' parameter is non-nil.
	(allout-end-of-subtree): Properly handle the last item in the buffer.
	(allout-pre-command-business, allout-command-counter):
	Increment an advertised counter so that cooperating enhancements can
	track revisions of items.
	(allout-open-topic): Run allout-structure-added-hook with suitable
	arguments.
	(allout-shift-in): Run allout-structure-shifted-hook with suitable
	arguments.
	(allout-shift-out): Fix doubling for negative args and ensure call
	of allout-structure-shifted-hook by solely using allout-shift-in.
	(allout-kill-line, allout-kill-topic):
	Run allout-structure-deleted-hook with suitable arguments.
	(allout-yank-processing): Run allout-structure-added-hook with
	proper arguments.
	(allout-yank): Enclose activity in allout-unprotected.
	(allout-flag-region): Run allout-exposure-change-hook with
	suitable arguments, instead of making the callee infer the arguments.
	(allout-encrypt-string):
	Support allout-encryption-plaintext-sanitization-regexps,
	allout-encryption-ciphertext-rejection-regexps, and
	allout-encryption-ciphertext-rejection-ceiling.  Indicate correct
	en/de cryption mode in symmetric encryption failure message.
	(allout-obtain-passphrase): Use copy-sequence to get a distinct
